commit 06454cddfaf1062a06fca463f48b1ed07ac7333b
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Dec 31 15:05:12 2005 +0000

    Fix an issue with AStreamRefillStream and mp4 indexes

commit 1752e105c769319cd449d74d1cf111238a56e07f
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Dec 29 13:08:52 2005 +0000

     * modules/demux/livedotcom.cpp: New --rtp-client-port option to help
       users of firewalls.

commit d87bb094afb64f1fc37403b677f7427b1a07cd1c
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Dec 28 23:43:02 2005 +0000

    Detect directfb headers properly and put the right linker flags.

commit 648a16ca0d19c9c444877b72dd3188be5bef1b7c
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Dec 28 19:10:22 2005 +0000

    Add a DirectFB module. Patch by: Iuri Diniz <iuri_at_digizap_dot_com_dot_br> applied with some coding style cleanup and autoconf fixes.

commit f9350ddf67262b93fd51a34854b5abbdfc2f1879
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Dec 28 19:07:36 2005 +0000

    Removed unused variables, this fixes some compiler warnings

commit 491d44ce9b1101499972d8d28b4151a4679fb642
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Dec 28 19:07:21 2005 +0000

    Removed unused variables, this fixes some compiler warnings

commit 6e6b321afc8748a33ec95160513a5c4beb298977
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Dec 28 19:02:46 2005 +0000

     * modules/access/dvb: Handle removal of the CAM module, and fix some kludgy
       inits.

commit ef68c415e41471995e0699b42d31eb0b4691a759
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Dec 28 18:56:43 2005 +0000

    Initialise i_priority to LOG_INFO as default value in case p_msg->i_type has an invalid value.

commit d41acf4d37de2bb14bfc708e27f2c0f3f5d92703
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Dec 28 11:04:41 2005 +0000

    Patch by Dennis van Amerongen: Unify x264 commandline options and VLC's x264 options.

commit 9679e00c74c846b6d7cee4711a66840fd51480cb
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Dec 27 18:18:55 2005 +0000

     * modules/access/dvb/linux_dvb.c: Disabled FE_CAN_CLEAN_SETUP check because
       apparently the machine running the buildbot has old uncompatible
       kernel headers.

commit 23f5aa0231d283ab2b320670983fb0e513270bcc
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Dec 27 18:05:47 2005 +0000

     * modules/access/dvb: Full support for DVB MMI menus via an optional HTTP
       server.

commit 88aa40770056c86cbfb81ed20116394f44f28483
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 27 13:17:45 2005 +0000

    * oops, deciding for either 2 or 2 isn't really the intended purpose

commit 86310411f8ff771d2e4558d21e40f5bf1a1bf226
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 27 13:16:15 2005 +0000

    * fixed compilation warning

commit 39a9ff265a610c489872d466d11ab5d99aaa5236
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Tue Dec 27 07:41:43 2005 +0000

    Set Id keyword

commit b67a25f98933e2f2b54a8de3aaf665b177ffa0c1
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Tue Dec 27 07:37:47 2005 +0000

    oups...

commit 2f78783f5a6c12321088f02423a590f1af58f8ef
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Tue Dec 27 00:06:33 2005 +0000

    * Add an controls to the vout (using the embedded vout framework)
      - There is some redundancy in the controls now...
      - This is just a proposal. If you don't like it, say so...
      - Hope I didn't forget any file (yell if you habe troubles)
    * Add an option to disable the embedded window

commit 8b953e6db34d43e3c5704c02f737d5bb535cd328
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 25 20:35:25 2005 +0000

    Fix SAP autoplay, patch by Dermot McGahon. Thanks

commit 91463596b4b10b3dbf335a282a9c7fc06aede3a8
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 25 16:53:10 2005 +0000

    * added a note that 0.8.5 isn't released yet

commit 4b086be99e0393e55c35e1c314cf8d19dd8f5f8b
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Dec 23 08:00:55 2005 +0000

    Disable root wrapper on BeOS

commit 5d339b4216096abfa68e974aa28b9c9664dff1ae
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Dec 22 00:29:08 2005 +0000

    SetProperty in CoreAudio is not only Asynchronious, but also not atomic in it's bahaviour. Check the actual set format multiple times to make sure the SetProperty completly finished.

commit a148e9176c873a53a3ddd57db4f6bb97a7f92d3d
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Dec 21 19:41:59 2005 +0000

    Use the original samplerate of the a52 or dts stream, if the device is capable of it, current samplerate if it is not, and highest other available samplerate as a last resort.

commit 440da29de61e01f9dfe4c63fb3921c378d03e2fe
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 21 17:41:48 2005 +0000

    Use group lists
    so that devices can be opened according to usual group ownership (audio, video...)

commit f15b9cb73b9049fb9db6db6df6b583c2e1dcb076
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 21 17:10:24 2005 +0000

    Add missing \n

commit 167a2bd29512203a5b1b8103b4b7d8abff20a26d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 21 17:08:38 2005 +0000

    Disable root wrapper by default
    until it is fixed

commit f69b5658256d2e43a678c1b5a81010248333bf9e
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 21 17:07:49 2005 +0000

    Add svn:ignore

commit ad3c73f596d27fb1191d8d0178064de3077601d6
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Dec 21 15:50:58 2005 +0000

     * modules/access/dvb: Fixed link-level CAM API.

commit 415518de9afd158cc5090a1b602049fed8b6637f
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Dec 21 01:18:40 2005 +0000

    Preliminary interaction framework for Mac OS X. Not finished, since core changes should be made to better match wxwidgets vs. Mac OS X style dialogs and concepts. part-2

commit f6fb175a3fe82304d8a24630569ad23625c6e1da
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Dec 21 01:18:23 2005 +0000

    Preliminary interaction framework for Mac OS X. Not finished, since core changes should be made to better match wxwidgets vs. Mac OS X style dialogs and concepts.

commit 746ad2ae990b530ffbc245a1fb9798f4208714c5
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Dec 20 02:32:27 2005 +0000

    Set original framesize on the spu format for nero vobsubs in mp4, so that rescaling will work for videos in a cropped resolution compared to the vobsubs

commit 7f95dd6708414fcdceb1babccd890976e263d944
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Dec 19 22:49:36 2005 +0000

    remove unneeded includes

commit f0b97796abcc694dccc3f19929f542d8b2312381
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Dec 19 16:46:48 2005 +0000

     * src/input/es_out.c: New --no-spu and --no-sout-spu options to disable
       processing of SPU elementary streams.

commit 8ba6d9a8eaa23172a6ae0939857c98a2025f3050
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Dec 19 16:36:30 2005 +0000

     * src/input/es_out.c: New --audio-track-id and --sub-track-id options
       to select a precise track by its ID.
     * modules/demux/ts.c: Enable --ts-es-id-pid by default since I see no
       drawback to it.

commit ab75c697fb9ebe0382836d48a5efde019acfa87b
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Mon Dec 19 14:23:25 2005 +0000

    bindings/python/setup.py: Mac OS X build fixes (link parameters)

commit b46b7ffc0695c83b5f3c9d671dd4471c06436db9
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Dec 19 14:17:19 2005 +0000

    Older OSX versions need more includes to work with rootwrap

commit dfdc9cb2167908b03026419f2bd304f3a27984b6
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 18 21:41:35 2005 +0000

    Brightness threshold patch by Enrico Gueli (with some modifications)

commit b993b6f0db42ad3baeb8a4c8c148114922236923
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Dec 18 21:20:17 2005 +0000

    add MSN "now playing" windows plugin

commit f3ccaec1c592a77f34044b0f36cdc47343e9563d
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Sun Dec 18 18:54:28 2005 +0000

    * Apply changed made to the 0.8.5 branch to trunk.
    * Embedded Vout should work now
    * To create an embedded vout, just create a custom view of type VLCEmbeddedVoutView in interface builder
    * Just make sure you define the view as resizeable
    * Hotkeys and mose events should work
    * Tests with the mozilla plugin are welcome

commit 3371c10fac67b86beb4867ddfd09a4e7a2caa52b
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sun Dec 18 12:01:15 2005 +0000

    Remove unusefull variable and test

commit bff090425dc99534fd32d1da3cbba3174630ac7b
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 18 11:55:27 2005 +0000

    Work around bu^unexpected behaviour in wxTreeCtrl (Closes:#468)

commit 582b25306a5de5024381fea8a456508289d46067
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Dec 17 23:01:46 2005 +0000

    Support CHUNK_TYPE_RESET for mmsh. (Patch by Gregory Hartman: bap0se _at_ adelphia _dot_ net)

commit 2b96210be780b5f28f295cc1af168b7b1ecc970a
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Dec 17 18:39:28 2005 +0000

    Release playlist

commit 6e1b9040aa7ee61e0de4c46f6a67bb6081b6fc98
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Dec 17 18:38:45 2005 +0000

    Update NEWS

commit d7b6f7ebb48a4ff8b43b5597ed950d3f4bde9b2b
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Dec 17 18:19:05 2005 +0000

    Improve the open box layout
     * Present the simple options first
     * Put the subtitles file option in the main panel

commit 02b1c7e268cb23a09d7572bf3b62b330517b15dc
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Fri Dec 16 17:47:05 2005 +0000

    use vlc_object_exists -> the messages queue isn't filled with warnings
    anymore.

commit 2a2b6acccf4dd3520f1bd556c1c4ba24a12f5d0b
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Fri Dec 16 17:46:26 2005 +0000

    add vlc_object_exist rpn function that checks if an object of ST(1) type exists

commit 28f1eebfa926991eebac52abbb32ffedc8cdc3e5
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Fri Dec 16 17:34:15 2005 +0000

    Housekeeping

commit b39cec8750c791e86974ff8738680fbccfa5dcbb
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Fri Dec 16 17:29:03 2005 +0000

    Fix dirac detection

commit 60b307b4bc1ec3422daa3f5b75bef3eeaad0a04d
Author: Clément Stenac <zorglub@videolan.org>
Date:   Fri Dec 16 17:28:36 2005 +0000

    Refill stream when seeking near of end of track.
    Needs testing and review
    
    + allow enabling of debug through #define STREAM_DEBUG

commit 1f61d23a127e0686aa6b2d5e3afdbd11d9ffcbc5
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Dec 16 14:50:11 2005 +0000

    Accept UID 0 as a valid though dangerous user

commit fedbe507c3b1efb7bce22438e21db96e2f9669ff
Author: Clément Stenac <zorglub@videolan.org>
Date:   Fri Dec 16 14:19:06 2005 +0000

    Don't crash

commit e5858d4b0f3eef1c4f519db4df14710546597e71
Author: Clément Stenac <zorglub@videolan.org>
Date:   Fri Dec 16 13:46:42 2005 +0000

    Add multi-item support to cdda module (default enabled) - Refs:#459

commit b020cf3ad88a81c61a3e9fbb3a66c73ba4ffe908
Author: Clément Stenac <zorglub@videolan.org>
Date:   Fri Dec 16 12:47:30 2005 +0000

    Match doxygen \todo marker

commit 59c865d11580f415bf5fe5562abbc7c2d1f1890c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Dec 16 11:51:44 2005 +0000

    Missing includes

commit 9be948268e0d5e0157f829cf22b409aa63814211
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Dec 16 11:32:19 2005 +0000

    Add SVN properties

commit 55f877f08dfd49f95ae5fd916d0a9162adcb59d4
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Dec 16 11:18:38 2005 +0000

    Implement root wrapper to allow using privileged TCP ports
    while not running the whole VLC as root - closes #440

commit a21fa2255e8a6cf288fe3ecc5c779428ec3585dc
Author: Clément Stenac <zorglub@videolan.org>
Date:   Fri Dec 16 10:12:26 2005 +0000

    Bordel de saloperie de merde

commit 3478c353410e423c60b477b39aff8a2be0c2b802
Author: Clément Stenac <zorglub@videolan.org>
Date:   Fri Dec 16 09:47:15 2005 +0000

    Grmbl

commit be75111279d99551f279e3663255b2114ae87d5a
Author: Clément Stenac <zorglub@videolan.org>
Date:   Fri Dec 16 09:46:03 2005 +0000

    Revert

commit c660fbd1a0205977d7056efa55b7e70c4d3b3e4d
Author: Clément Stenac <zorglub@videolan.org>
Date:   Fri Dec 16 09:26:34 2005 +0000

    Move cddax to access/cddax

commit 8bf1f21af53152af5e3e0f192d9c62f898832b45
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 15 18:36:46 2005 +0000

    * fixed breakage introduced in [13766]

commit 47e25c657aecd96193c74043b9473e82a884d15a
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Dec 15 18:16:28 2005 +0000

     * extras/contrib/src/Makefile: Cosmetic.

commit d26257e044957aed10a262e73538e6d4eb47f396
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Dec 15 18:11:58 2005 +0000

     * modules/control/http/mvar.c: Handle file extensions case-insensitively.

commit 938b3718f4dba60b82c57b7b2e5d6d8ff78777e6
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 15 17:49:05 2005 +0000

    o.O (refs [13767])

commit a1a819ef409cd7dc8c84d932c4db34d481f67145
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 15 17:45:02 2005 +0000

    * unify the Time-To-Live string and fix its Spanish translation (thanks to the forum user martintxo)

commit be79cc893dd7b1766ac095aaff14cc2186ed50f5
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 15 17:32:45 2005 +0000

    * fixed the compilation of libmpcdec, so INSTALL_NAME runs finely. Please check whether this script should run on win32/linux/BeOS as well.

commit ca4e3e39900144ec66daf501233c8eb60d562648
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Dec 15 16:57:38 2005 +0000

    Use libdir to determine PLUGIN_PATH - should fix #474

commit 9d1e20eec2040776d39dd60665d61fd9efe58ebb
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Dec 15 16:51:38 2005 +0000

    Remove unused & broken AC_DEFINE

commit 6cc60c12dbcec7c48b2a6ab1b8cf61e85cd4fd8d
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Thu Dec 15 16:00:44 2005 +0000

    Makefile works for both i386 and amd64 platforms

commit 4785ff416c67ea11cdd77d0a2a4e442b3c218578
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Dec 15 15:51:59 2005 +0000

    Few modifs

commit dfedddf334a773c8576756395af4864d435c84dc
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Dec 15 14:36:49 2005 +0000

    Who said I'm bored ?

commit dae0444f7c000f9056a8ce6f2735c7f12d58b4a7
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Thu Dec 15 14:12:58 2005 +0000

    Emacs mode for Videolan Coding style.

commit 20e745510a9b629002faac5eef4cf4fd3a68a5d1
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Thu Dec 15 13:51:05 2005 +0000

    - Add brackets around IPv6 address automatically if needed
    - Some cleanup

commit 782faf1d5a0cbe614f3e306ee90bee1d267f9fda
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Thu Dec 15 13:10:50 2005 +0000

    ooops

commit 8df58e5c0b72b97f2c02d3d149241a5f58e866cf
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Thu Dec 15 12:53:22 2005 +0000

    Change the http password request message.

commit d9ae9e50efdc897ed768682704621f8c3116348f
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Thu Dec 15 12:52:14 2005 +0000

    add automatic casts to vlc_object_t

commit eff4f52a1182200fd0a091386dc1f3f231c11050
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Dec 15 11:45:08 2005 +0000

    Minor cleanup

commit dc09f863f97360cd5dfcb9b475074c5d61f57fcd
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Dec 15 11:37:45 2005 +0000

    Remove unused structures from vlc_common.h
    Minor headers cleanup

commit bf50e13bd293f77d8a4c8e4029600289203dbc6e
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Dec 15 11:14:49 2005 +0000

    Update VIM syntax file, originally written by fenrir

commit 1fb54fc49d803b13021310bbacaebd8b9804088f
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Thu Dec 15 10:14:42 2005 +0000

    python bindings: formatted to VLC coding style

commit 9992f3424ae25a0931d502d0354954108ce9693d
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Dec 15 09:37:57 2005 +0000

    Use a wxDialog rather than a wxFrame

commit 6c79c8e6f8c4da383273530832c2096d17fb7fd0
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Dec 15 09:15:03 2005 +0000

    Don't put a progress bar behing each input box

commit 0984909d714ed730b8399a5fb85cb72b7c6bea17
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Thu Dec 15 09:00:28 2005 +0000

    src/control/core.c: fix start-time handling in start + coding style fixes

commit 06ecc0b06606d780410b41770840c4eeb6032135
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Dec 15 01:44:00 2005 +0000

    * - This should fix the "crash upon quit" issue with VLC Mac OS X.
      - It should also no longer crash if you select macosx as an extraintf. This is not allowed. It is the cause of the NSDictionary crash reported often in the forums. Notice however that if you have selected a primary interface that is not macosx, you might end up with a "blank application" forcing you to reset the preferences manually (your fault for mocking with them in the first place).
      - Should fix clivlc mode. (this mode allows you to run VLC on OSX while no user is logged in, in the GUI).
    
    Thanks to Jean-Michel Vallat for kicking my ass. :D

commit d91bba21e9d6763ed8dd8eb643b5116b3ba50c0b
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Thu Dec 15 01:16:30 2005 +0000

    fix comments

commit 99af6d29158d1050fe45ab2fa98cc565816afb26
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Thu Dec 15 01:11:38 2005 +0000

    File description fixed and propset done.

commit 7d7dc16969d08bc7dea4711a929e386ddd31f395
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Thu Dec 15 00:58:04 2005 +0000

    typo fix

commit 9ce752b7df32f33b359c70686ec92a5c624a6226
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Thu Dec 15 00:40:53 2005 +0000

    <vlc/control_structures.h> header is installed by make.

commit 481e3b67abc8bf8a01092415dff7528f9e0a1250
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Dec 14 22:57:31 2005 +0000

    small remark

commit 404777401c24c5836eb68ad20c8fd58457a4c586
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Dec 14 22:26:55 2005 +0000

    * Free scandir results when we are done with them. Issue pointed out by jmvallat_vlc at mac dot com.

commit 20993cf238e196f3e432290329d63bb229c09df0
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Dec 14 22:01:24 2005 +0000

    * Enable liveMedia's RTSP over HTTP mode. This is something first used by QuickTime, and useful to get around annoying and dense NAT/firewall/proxy setups.
      --rtsp-http enables the HTTP tunneling. --rtsp-http-port allows you to choose which port. The default port is 80.

commit 35f91481cc0a6fbe024752ff2aed775963d28536
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Dec 14 19:39:01 2005 +0000

    Typo

commit 095cd049a80bce98733be6ffc32ab1c46cd16a67
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Dec 14 19:13:43 2005 +0000

    Don't keep mutex locked if we bail out

commit f6f0e8efc36608388f8ebcd7ece9fc4e764e534c
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Dec 14 19:10:46 2005 +0000

    Fix no

commit c854d8e8f0483c05d0d7134aa79144a4d7bd3ea1
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Dec 14 19:04:40 2005 +0000

    Progress bar for AVI index creation

commit b1bf144c079ddd38f758a4b3e9848fedfee186fc
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Dec 14 18:29:29 2005 +0000

    build fix

commit 25368dcd565835166b736d19615bb66324696b0b
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Dec 14 18:10:27 2005 +0000

    Use input_Read in shoutcast and display a progress dialog

commit eff1f159b6044e12f46aa11fdde69957e811c3d2
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Dec 14 18:10:07 2005 +0000

    WX support for progressbar dialog. Still need some layout work

commit 7224b1db92207c40186c6db84d1d4b977bb01854
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Dec 14 18:09:50 2005 +0000

    Add support for progress bars

commit 82447676341b7d303e1b1f270968b4b8cef4143c
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Dec 14 18:08:08 2005 +0000

    Playlist can be ANYWHERE

commit 21e5f396d435c593c22a439a7650a2de00792c25
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Wed Dec 14 17:52:33 2005 +0000

    Python bindings fixed for the new mediacontrol headers

commit 5918009da6e71f2fd93cbff9e3f1581cb9d47d2d
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Dec 14 16:42:00 2005 +0000

    Update symbols

commit 56439bf0913ff57e2fa31f6d6a60bd7ac2143ee9
Author: Filippo Carone <littlejohn@videolan.org>
Date:   Wed Dec 14 16:40:56 2005 +0000

    Mediacontrol interface changes to detach use of vlc/control.h
    header from internal headers.
    Patch elaborated with Olivier Aubert.

commit 064023b0fc38fc7d351e3d52e1a5de7b11cecc94
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Dec 14 16:34:46 2005 +0000

    Make input_Read return the input object id

commit 34b42b0b86e80c0033bf628944faf0e95a7ecf42
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Wed Dec 14 14:08:16 2005 +0000

    test.html: updated example HTML code for activex plugin

commit 8328bbf1cb6a6c1755fe4696f7e351d00e1a84f9
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Wed Dec 14 13:56:01 2005 +0000

    vlc.win32.nsi: activex plugin is now selected by default

commit 4c747e4b375949d1874c68d82dd990b76244f667
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Wed Dec 14 13:53:36 2005 +0000

    Makefile.am: target 'package-win32-base-exe' is now a bit smarter when looking for makensis, which also cover cygwin. Hence, target 'package-win32-base-exe-cygwin' is now redundant

commit bb2476fb5b115cc445a7f03249719adae4b25171
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Wed Dec 14 10:14:20 2005 +0000

    src/control/core.c: correctly set start-time through playlist_ItemAddOption

commit 1077bd592d21889bc6c89b4d84baea422a416409
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Dec 14 00:04:43 2005 +0000

    * Support the "pcm " WAV fourcc. it's equal to "araw".
      Tested against the WAV 6ch Speaker Test from SeeMoreDigital.net (Validated against QuickTime Player)

commit 2579d74e24fdfaa7d145b1928e4359149b0d8832
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Tue Dec 13 23:38:19 2005 +0000

    configure.ac: fixed "header present but cannot be compiled" warning for dshow.h and objsafe.h

commit a21093777a5f0c5ef7afea8867b811ee7bbfe934
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Dec 13 23:12:38 2005 +0000

    * Don't upmix the channels if we only have Stereo or Mono audio. Let the device setup take care of that.

commit 3f9d14bbdbbed642eb541cc23be5ab3979e26e69
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Dec 13 20:16:47 2005 +0000

    * Fix directory.c on WinCE (which has neither DT_DIR nor S_ISDIR)

commit 7aca6e90f7b4ee3011c16e3ea88226986a367f75
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 13 20:08:57 2005 +0000

    * hmm, you should use a clean tree for this... sorry

commit a4388bcc53bb590b909ba02301f03fbbb9e2f7e5
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 13 20:06:13 2005 +0000

    * ran 'make update-po' to get everything in sync again (the previous commit was targetted for 0.8.4a, but the translation was a bit too slow)

commit fb029021986881501f7ff50cdb7b3e0ede5e8f2c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Dec 13 20:02:22 2005 +0000

    * Updated Chinese translation by Wei Mingzhi

commit c905b7187ba38228acacd0ca481ab9452885f624
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Dec 13 14:50:36 2005 +0000

    * patch to generalize our debian .desktop file so it is suited for the gentoo distribution.
      patch by Diego 'Flameeyes' Petteno < flameeyes at gentoo dot org >

commit 3a6533473b5dae16485d438a3a376ee6a79857d8
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Dec 12 22:15:20 2005 +0000

    Fix a crash in stream_ReadLine

commit b587e9ff10d0102686a6c7a6ff38afbc58cacff8
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Dec 12 21:11:59 2005 +0000

    Fix crash when no IEEE1394/Firewire device is present

commit 68af308e15ac445d4d3d9fec9994e2bfaf2c9fc5
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Dec 12 20:56:53 2005 +0000

    Fix --enable-dv detection

commit bf6ba2ca9e70a36ca30854b0451e76b5872bccb0
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Dec 12 20:25:21 2005 +0000

    Use standard buttons

commit 211ae07d062e2f29efd5ace2e660aa57149cec41
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Mon Dec 12 19:58:12 2005 +0000

    freetype.c: BeOS fix (c++ism) and cosmetic

commit 4c640001c5c19d7fa39e173f8eaae18b4c990d6f
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Dec 12 19:56:23 2005 +0000

    Support interaction in skins2

commit 6d2739944db9944855aa9c849d3cd30414c45a5b
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Dec 12 19:24:55 2005 +0000

    Don't recurse in symbolic link - fixes #375

commit d708c14a27fec63e1bd463189b5272ae458bd877
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Dec 12 18:14:23 2005 +0000

    Minor changes to release howto

commit f08d346e2543c02fab409cdc1ddad83b7ab17e04
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Dec 12 18:13:18 2005 +0000

    Handle all types of buttons and fix layouts

commit a483f98c456aa8c32202fe50ecbd0b242dee5665
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Dec 12 18:11:26 2005 +0000

    Clean up and remove unnused internal parameter

commit 0e1777c234a2604ea7fd8588e4c2bfd4c74abd89
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Dec 12 18:02:27 2005 +0000

    Propose to fix AVI index

commit 89518a71429d439c328c2b0ea788672515bace72
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Dec 12 17:58:56 2005 +0000

    Add support for Yes/No questions (Refs:#27)

commit e8279dbaed5d4ff9c2241dba701f13e671f8b252
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Dec 12 17:26:01 2005 +0000

    * trunk version of [13699]

commit 0d6c62daa8ca3b13556531309a8c0270c6414112
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Mon Dec 12 15:22:35 2005 +0000

    src/control/audio_video.c: cast visual_id parameter to int

commit 5412a976c47a8737b53ecacab30400d8750ef3e4
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Mon Dec 12 14:51:50 2005 +0000

    control/core.c: raise exceptions in get_media_position

commit 3fe47215fbce25270969582c83aac05cca1afa30
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Dec 12 12:31:32 2005 +0000

    * Fix an issue with changed names of seek hotkeys in osx intf.

commit 25ffd3f7564b7676dcdea0fe891b0b9269013149
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Mon Dec 12 08:57:48 2005 +0000

    src/control/core.c: remove superfluous ;

commit 23cdbc02777ba38ff7041545e0bc9fceddaebd22
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Mon Dec 12 08:57:20 2005 +0000

    python/setup.py: use PIC versions of the libraries (patch by Filippo Carone)

commit e0de322a2341f80aa53a89dbc3d74ce9e0c058b8
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Dec 12 00:09:40 2005 +0000

    add note about testing the win32 installer *and* uninstaller

commit 64094f562474a6751f7ed6c49ffc7823c8042603
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Dec 11 23:41:29 2005 +0000

    * hebrew line order fixes. patch by Barak Ori (barakori at gmail dot com) (closes #369)

commit 127a398a852c39aa0f65ef70afcd503c4b1247d1
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Dec 11 22:31:31 2005 +0000

    * Updated BeOS icon

commit 1d601451f01fb936b07852ebaac15978da28af93
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Dec 11 21:45:54 2005 +0000

     * Added Mac OS X SPDIF audio to the NEWS

commit 148c4910187df1d60f7fce676365f2c75ac635e6
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 11 21:19:48 2005 +0000

    Warn -> Dbg

commit 1ad2022a9d5d65173ad85c9b28d1f7237a8a8d79
Author: Boris Dorès <babal@videolan.org>
Date:   Sun Dec 11 21:11:46 2005 +0000

    - correct calculation of the size of the overflow buffer
      (fixes a crash with mono streams)

commit 3fbfb3d4a2960ba8833db55e80711c5279ba45a6
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 11 19:59:14 2005 +0000

    Handle removal
    Improve non-handling by interfaces without interaction

commit 59a8d434fc6d3bfe190d51ec0a67636866044099
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 11 18:23:31 2005 +0000

    Declare vlc_current_object. Patch by Filippo Carone

commit 688c81b7ef9f2cbe18cf78bb3bdb3539d858304e
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 11 16:08:23 2005 +0000

    Beginning of a WX implementation
    
    Dirty currently ...

commit af19f5c9512853546881b8162d4302a978637153
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 11 16:07:51 2005 +0000

    Request authentication if we get a 401 error

commit 15354b0406c9222fd39dcee94f9d7239d65d5f39
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 11 16:06:19 2005 +0000

    * Handle dialogs needing answer
    * Handle interfaces not providing interaction correctly
    * Add a new helper to request authentication
    * Add return codes

commit 0f6f58c60482c4b0698578e734f68e3a269e7ad1
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Dec 10 23:59:43 2005 +0000

    * don't convert UTF-8 -> UTF-8 because we found a BOM.

commit a5e04c86eb59fa61e29cd22ef2cc99800b2aa259
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Dec 10 23:47:34 2005 +0000

    * UTF16 and UTF32 conversion to UTF8 for stream_ReadLine(). (fixes #304)

commit 301d98f7390b5d1bafed0a79c6dfb85b47b15876
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sat Dec 10 23:36:34 2005 +0000

    Fix make dist

commit 85cdc511935ddf07cb82733540b5e9cd410ed178
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Dec 10 18:21:34 2005 +0000

    * Remove coreaudio resampler

commit 15b3893e3cf10122d948429fe6c43db8388db8ca
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Dec 10 18:20:20 2005 +0000

    * Remove CoreAudio module

commit f2a6cd9f92e59ca30c98c81b4c1ca94583ca164d
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Dec 10 18:16:02 2005 +0000

    * Remove outdated CoreAudio module

commit 5af4b466001c1daaedd78326e04061813b0bd8db
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Dec 10 16:24:22 2005 +0000

    remove duplicate

commit 156da0b10315a94a007f727e2ac107f0dfe652b3
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 10 16:23:01 2005 +0000

    * moved my last addition to the OSX-intf-stuff and added the FOURCC-fixes

commit 1a81de016df091c9eb3dcbaf36eaf32bf11a7751
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Sat Dec 10 16:16:10 2005 +0000

    directx.c: fixed the initial grey flicker when using overlay surfaces by postponing painting the overlay colorkey until the first picture has been received the vout display

commit f77f9497471e6b1d8dccb3cc3130d19c00b29ebc
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Dec 10 16:10:46 2005 +0000

    cook is real audio

commit 2857e20e45df2f86976d5c8780e3d9b556dbb2bf
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 10 16:00:57 2005 +0000

    * added another one

commit a7afe1678411a57c4f98910fdfa76eae4349ebbc
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Dec 10 15:53:38 2005 +0000

    update news for 0.8.4a ... is anything missing ?

commit 4933bf4034f6e0a62c6892da0eea507f74d367ae
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Sat Dec 10 11:34:20 2005 +0000

    src/control/core.c, include/vlc/control.h: Applied patch from Filippo Carone,
     using vlc_object_id instead of a direct p_object pointer as parameter
     for mediacontrol_new_from_object

commit 0591a1d3fec932940bd7d1bf46b792acf7eea702
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Dec 10 11:15:19 2005 +0000

    * modules/demux/real.c: improved cook support. We now try to send audio subpackets as soon as they are available instead of waiting for the full re-ordering to be finished. Added some sanity checks as well and gave a try to 28_8 support (not tested).

commit 51821081e252ce095e76e4d2dda48a8caac69a42
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 10 10:50:02 2005 +0000

    * added 'M264' as FOURCC for H.263 (used by MS's encoder)

commit 65a29b122f0ca3a5f48bb52d38776416dc8271c5
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Dec 10 10:21:51 2005 +0000

    * modules/codec/realaudio.c: subpackets re-ordering is now done in the demuxer.

commit ccc4b2ca57bd5ab672882c456dba848cdb7969e1
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Fri Dec 9 23:40:24 2005 +0000

    Fix portaudio (closes #419)

commit c6cce79226a95456a047a6e52c0ee61bab419dc9
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Dec 9 22:31:56 2005 +0000

    Cumulated UPnP fixes from Christian Henz

commit 75f2ed950ec6f3b21b661cf0909a40fb8cc1dc0d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Dec 9 21:53:30 2005 +0000

    * modules/demux/real.c: re-order cook subpackets and send them 1 at a time to the decoder. This is required by the new ffmpeg cook codec (It also breaks our binary realaudio codec but I'll repair that later on).

commit b8f9e25f5fcbf534486cc8daa105373d70e5f677
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Fri Dec 9 20:23:56 2005 +0000

    support for cook audio. Thanks to the ffmpeg people once more !

commit f12e7ed0dd045316870f47c719df95e4e91ef2e0
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Fri Dec 9 17:54:47 2005 +0000

    python/setup.py: use vlc-config --version to determine version and misc. doc updates

commit aeb0b482bf6895d141b70d8b0d05c12a5ec0348c
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Fri Dec 9 17:48:48 2005 +0000

    corba: remove useless files

commit 3dfa9f439e32bafc634da8a5bc09ac4f0e513c03
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Fri Dec 9 17:48:17 2005 +0000

    corba module: use the integrated mediacontrol API

commit 8b21bfe8ad06949b482bca753efdd6dc2e4408dc
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Fri Dec 9 15:44:43 2005 +0000

    Makefile.am: add src/control/init.c and src/control/plugin.c to EXTRA_DIST

commit 422173a4d0c6df21b8a687e666e9582929eb788d
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Fri Dec 9 15:15:12 2005 +0000

    src/control/plugin.c: correct include reference

commit f68669d3b8c8ff1ec065d6995f26be8c6a2499c8
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Fri Dec 9 14:17:18 2005 +0000

    python/Makefile.am: correct the test for win32 systems

commit f1cb32c3a7c388d0009e0361d3845cbf89f2cb23
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Fri Dec 9 13:37:06 2005 +0000

    python/vlcglue.c: fix a signature-related warning

commit d2c8e211e8b9b0b1ca1df362816bfd520920406c
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Fri Dec 9 13:29:09 2005 +0000

    python/vlcglue.c: Allow that start, stop, pause, resume methods can take no parameter.

commit b7e834c2032b31dd4d717c05737e992ab878f50d
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Fri Dec 9 13:13:20 2005 +0000

    python/vlcglue.c: exception-related code fixes

commit 3d26787a02dd791304a412c3378a76668ca2fc04
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Fri Dec 9 13:12:14 2005 +0000

    python/vlcglue.c : Clear the exception when vlc.MediaControl is instanciated with no parameter.

commit beca754e47f99aa7610049d2ecd29e9947c30027
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Fri Dec 9 12:13:58 2005 +0000

    Fix logger module on BeOS

commit 29c81fbc229006031b02e6295651d066a13fc185
Author: Clément Stenac <zorglub@videolan.org>
Date:   Fri Dec 9 10:17:41 2005 +0000

    Replace function callback by variable callback.

commit 27cd819c9e247187ae048bddf17a752849667f9b
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Thu Dec 8 23:16:30 2005 +0000

    Fix x264 on win32

commit e1fd2642b1bfbf56b79423854cb38b4eebcbe73f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 8 19:24:03 2005 +0000

    * added 'x264' as valid FOURCC for H.264, although it is an unofficial one used by strange apps

commit 697ec2d58d9e901bc480d2177766fb86b852178b
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Thu Dec 8 16:30:11 2005 +0000

    this should fix win32 and wince package-win*-base targets

commit 27b0d464b8a5fff718416e4221f02eae01fcbb00
Author: Marian Durkovic <md@videolan.org>
Date:   Thu Dec 8 14:48:59 2005 +0000

    first step towards SSM support in SDPs - refs #336

commit dfa48be343b1d32f032308534520d28e32517969
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Dec 8 09:05:58 2005 +0000

    Don't print too many errors

commit 5903fe3dd392a1b16b1db88c40cc61b89bd9343c
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Dec 7 23:23:30 2005 +0000

     * volume display fix

commit ca27e089baa12a1d322b749b6ab795aa13cf3af1
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Dec 7 23:20:42 2005 +0000

    add delete_small.png

commit 4a814bf093de41ee72f83fa3e0ed9f0c15d52377
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Dec 7 23:14:43 2005 +0000

    * modules/gui/wxwidgets: save embedded playlist size on exit.

commit 212f8afc2654d7f8386300b255780969b7ab0d6c
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Dec 7 22:59:04 2005 +0000

     * playlist improvements :
       * nodes can now be opened/closed
       * items can be deleted
       * shuffle, repeat and loop should work
     * add some comments to functions.js

commit 234ce23992e3a26a3b039c321ded83f46885de6d
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Dec 7 21:07:01 2005 +0000

     * fix misc fixes

commit c3537d9355bf307bfd63b4c1d319a0777cf80679
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Dec 7 21:03:45 2005 +0000

     * misc fixes. Should now work in IE

commit 4bc7b47e4533023ac846cdea0240d829d91d3cd5
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Dec 7 19:49:20 2005 +0000

    Fixes to the old coreaudio module. It will be removed, but at least we will have a proper version in the SVN history for prosperity

commit cb3ea07b4d3c7717045e089e7dfff89fc781ae5d
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Dec 7 17:09:57 2005 +0000

     * fix playlist bug and change some css

commit 3c6f137d598826885796399839643da348a4f8a9
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Dec 7 17:03:48 2005 +0000

    oooops

commit 79a3d6676ee8f3b76eb1e77fefa7f9859ac0e435
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Dec 7 16:57:18 2005 +0000

     * Makefile.am : add new browse.xml file
     * functions.js : add option to select directories too

commit cca6fda35dc2cf6e2446e72a09eea71a33c1fc93
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Dec 7 16:50:42 2005 +0000

     * add browse dialog for file input (this needs some authentification ... but
       i don't really know how i should handle it)
     * add now playing info

commit 7734ca0c9c0d6dec232a3ab3beb9267cf97eefa4
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 7 15:35:52 2005 +0000

    Link upnp with C++ rather than C

commit be2365a24ad053eb7aaf6e98b0fc9f877466b750
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 7 15:11:08 2005 +0000

    Added a bunch of "const" - should fix warning in VLM GUIs

commit 7db465a83ba888c536488e11ac44f2971b995578
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Dec 7 13:28:25 2005 +0000

    Work around for awfully broken Win32 DNS resolver - closes #445

commit f970744f98209fd903541a695b7265202418c00f
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Dec 7 12:15:36 2005 +0000

     & -> &amp; in name or uri

commit 8bc7546a2f6cfcbd5a08a9364af6d3af3e0cd532
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Dec 7 09:31:36 2005 +0000

    Improve dialogs handling

commit 1003427e2703f9a5e0d22ab3093114d18075a34c
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Dec 7 02:44:07 2005 +0000

    * Fix the make VLC.app   which was broken due to the changed web interface

commit ec9bf7dec079a2ddce26e9821426a0a69320680e
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Dec 7 01:45:10 2005 +0000

    Mac OS X audio module is now unified for analog and digital output. todo: test on a shitload of devices, test for stability (removal of USB audio device during playback), rename the plugin

commit 213c87b1dd493ad39159a009d4ff04981734e6d3
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Dec 7 00:33:03 2005 +0000

    propset svn:keywords Id

commit da8fc9c703919695cd00088465a0063c83da7f89
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Dec 7 00:12:39 2005 +0000

    add same controls as in previous http interface. As zorglub pointed out,
    some people might be using these controls regardless of the http interface
    code itself.

commit 121be2e06cea2cdb55259e1515da6056221f067c
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Dec 7 00:09:25 2005 +0000

    HTTP interface change

commit 55897318132cdac35af1edb037b1ffbc648dbef9
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Dec 7 00:03:13 2005 +0000

    New http interface
    
    Things that still need to be done :
     * check - and fix - compatibility with non-firefox browsers (it
       doesn't work in IE yet)
     * bind actions to the playlist sort/delete actions
     * fix the subtitle options stuff
     * add a "browse" dialog (i'm not sure if the is a good idea ...
       should be password protected)
     * VLM interface
    
    Comments are welcome :)

commit bcb8527578a91f546e79aa13203c638b955249ce
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Dec 6 23:58:31 2005 +0000

    move old http files to http-old

commit f11ec1fb27994bf289281c4edc1bcb785cdffe32
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 6 22:57:26 2005 +0000

    * modules/gui/wxwidgets/interface.cpp: last issues with the display of the embedded playlist should be solved.

commit 80e51f195b3994daf8173ab58a443d65d42e10cc
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Tue Dec 6 20:12:34 2005 +0000

     * doc/skins/skins2-howto.xml: A few fixes and additions.

commit 261f3e11d248cea18054933b1bb80c4f69b81f2e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 6 20:10:02 2005 +0000

    * modules/packetizer/h264.c: fixed massive memory leak.

commit 22fdc71c0669e8f86113a2c1de7c807d56c4cbba
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 6 19:23:31 2005 +0000

    * modules/demux/mkv.cpp: fixed memory leaks.

commit 40501a01e5375ed01499ce154df9f5afc20533c2
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Dec 6 19:09:37 2005 +0000

    fix make install

commit 1f319885ef4e486ae291b1d1f50771e43e4351f2
Author: Clément Stenac <zorglub@videolan.org>
Date:   Tue Dec 6 19:09:20 2005 +0000

    Interaction facility (Refs:#27)

commit 0ec68fc6f6cea902577b957a6a56307913853e49
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Dec 6 18:52:53 2005 +0000

    rename to vlc_volume_set

commit faf9f7cd7aa2e712879c97d64cefd103052b4963
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Dec 6 18:49:11 2005 +0000

    new rpn function : volume_set

commit 65357d51aa675cd4aca36f1290cac0360f56413a
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Dec 6 18:41:14 2005 +0000

    fix DISTCLEANFILES

commit 3d5d13f05120b7d11316caeb8e54ad7f7ae9c91c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Dec 6 18:25:09 2005 +0000

    Another bunch of non-existant files in POTFILES

commit 7d2147df0b82abd9d7099da0a72863701b401e02
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Dec 6 18:19:53 2005 +0000

    Don't include unused files in POTFILES(!)

commit 1104caf1242d6285a848db3e4805777db101bbb1
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Dec 6 18:16:12 2005 +0000

    * modules/gui/wxwidgets/interface.cpp: still more improvements to the display of the embedded playlist.

commit 063bb91066d47d41cfd1b4a2a07bda9b84ae254f
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Dec 6 17:16:07 2005 +0000

    Remove unexisting exported API

commit 1e9c5147e15179de3d7a71bbea41fe4e7ee15ab2
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Dec 6 16:49:16 2005 +0000

    Attempt to fix make distcheck

commit 8e326efee247a541a84f5f81e3d72597fde19e18
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Dec 6 16:38:58 2005 +0000

    One must update src/misc/modules.c whenever a new vlc_*.h file is created

commit 8888d3ff33ebb2e9b21e518224d59a7736ea3c26
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Dec 6 16:35:05 2005 +0000

    Fix symbols list

commit 9f64a797e0c8cc02f2222d983ba9caf416ebc0c3
Author: Clément Stenac <zorglub@videolan.org>
Date:   Tue Dec 6 16:33:34 2005 +0000

    Fix behaviour if repeat is enabled at startup

commit 9d8c977054defd96b7e152679d2843037a3524d9
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Dec 6 13:05:18 2005 +0000

    Don't translate empty strings ( Thanks to ShadeHawk)

commit 5e8a4703387dc556820dd87279bacc43d9dbd47c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Dec 6 12:39:13 2005 +0000

    Add missing include file

commit d015ddc74a4e517c15e8236887b76bc9675101b1
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Dec 6 12:34:02 2005 +0000

    Fix ./configure within make distcheck

commit 1539b471cfd35755d9ab28d20a2cf3d74446bdca
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Dec 6 12:32:39 2005 +0000

    Empty gettext translated strings are illegal

commit 9bf0edf19a726c66d604d75feac9a1380f17afed
Author: Clément Stenac <zorglub@videolan.org>
Date:   Tue Dec 6 12:19:52 2005 +0000

    Fix a string. Thanks to ShadeHawk on irc for noticing

commit 55107b3f05afa00c0be384fea6a4410786a218f1
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Dec 6 12:14:24 2005 +0000

    Fix POTFILES again

commit fd41d5904dd8efa94e6b3cea2285c892af688e1e
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Dec 6 12:08:14 2005 +0000

    Add .hosts

commit 08c17ed9069a357a48d44f4e460cb84bb10e77bf
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Dec 6 00:28:53 2005 +0000

    ugly dirty horrible thing so that text/xml files don't get labeled as text/html (and .xml files will now be parsed by VLC)

commit 472b2f192cf1ec4e97982a2c7191f45f689811a7
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Mon Dec 5 23:31:22 2005 +0000

    Reorder the ffmpeg detection. Please test, there is so many corner case :(

commit 3004ad4e9da2d681881499928dfd6f368b692180
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Dec 5 21:56:06 2005 +0000

    * share/http/admin/browse.html: made the file list a bit more readable.

commit 57b4d370660a88b4212a5038e4bcada188a074e3
Author: Cyril Deguet <asmax@videolan.org>
Date:   Mon Dec 5 21:40:46 2005 +0000

    * several updates: animations, percent vars, equalizer...

commit 1e6b04ccf9e6a172cf09d9116ab9d294ab0a7986
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Dec 5 20:53:56 2005 +0000

    - Don't print a bogus warning when reading on empty line in a .host file
    - Move acl.c to a more appropriate location

commit fbbbd731fc16f16ed394d06600e4486ba7d43819
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Dec 5 20:51:20 2005 +0000

    Add sample access list (currently accepting everything) for the HTTP interface

commit ad8e7d2a35578fda0c10ce89c8d34356086dbbfa
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Mon Dec 5 17:54:35 2005 +0000

    vlm.c: fix segfault when vlm command have mismatched quotes

commit 8ccea103076718e5bb69ec8c5c52208b5a003286
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Dec 5 17:48:21 2005 +0000

    Fix typo/compilation

commit 738e1f2690dfdc2f984c349ebb40c6074ede7c50
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Dec 5 17:46:22 2005 +0000

    - Use net_ConnectUDP on the slave side
    - Don't force a port on the slave side (that was not needed)

commit 594dbde22b379e8f4ad3525567f09b1d2796aaf6
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Dec 5 17:45:59 2005 +0000

    Use net_ConnectUDP

commit a8468e72429bfebb1035cd2d44481816b42f84c7
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Dec 5 17:33:11 2005 +0000

    Use OS default for multicast hop limit if not overriden by the user

commit 494933e13b13f3d2f21f19cf607c4b52074a6db3
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Dec 5 17:30:14 2005 +0000

    Use net_ConnectUDP

commit 544ad949033fa8e24e7d4c6b1e06b9d3e6267f72
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Dec 5 16:50:25 2005 +0000

    Update multicast stream output options

commit 923a1852917376fe8cd2afe8b8291d479aed8fef
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Dec 5 16:46:49 2005 +0000

    Implement IP_MULTICAST_IF

commit d16028ab1f7aaf3f645c1e782d1822cf982b68cc
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Dec 5 16:24:22 2005 +0000

    Repair make dist

commit 2f0962822efded5d4b1349327b3c2e365add3c28
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Dec 5 16:24:12 2005 +0000

    svn:ignore

commit 5afb060fb5643133bc5122733a4f642d9e22ba63
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Dec 5 15:51:39 2005 +0000

    Very beginning of the interaction framework (Refs:#27)

commit d93b664ac9c3d2077bf1cdc03abf2dcf2835e24e
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Dec 5 10:28:08 2005 +0000

    String remarks

commit 9efd4086f3e0fb6f1bdc5b547cee769644c1b120
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Dec 5 10:25:34 2005 +0000

    Recognize RV codecs

commit c829dc1bf1ecee66bbd01cda98aee63526207d7e
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Dec 5 10:09:14 2005 +0000

    fix previous commit

commit 104938796a36f93c23e659a1ef009b5bca77bce0
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Dec 5 10:00:14 2005 +0000

    Implement multicast hop limit

commit 8acc19a5424a31e2c436707845722695b57f986f
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Dec 5 09:36:39 2005 +0000

    Sort out io.c

commit 3793ee13a2146356d38ed9e2069a6bdf056f0923
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Dec 5 09:06:39 2005 +0000

    Create src/network subdirectory

commit 94a752b77d8efb5ab8864413a4636db6c904d659
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Dec 5 09:01:29 2005 +0000

    s/OpenTCP/ConnectTCP/ for consistency
    and other cosmetic fixes

commit 499c0ee2faaa61508dee744260155c52d582d1c0
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 4 22:46:03 2005 +0000

    * implemented the controls for the logo and time filters (refs #350)
    * complete l10n support
    
    The usage of the logo-filter doesn't work here, but that might be because of my strange PNG-files. I'll investigate this tomorrow.
    
    It would be nice if some of the OSX-devs and testers could check whether everything works as expected, whether you are able crash the entire thingie, etc.
    Note that on-the-fly activation of filters doesn't work (this needs the vout-rework scheduled for 0.8.5).

commit 9cafa66b811b29db71f3898bdbf76b558187056c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Dec 4 21:33:57 2005 +0000

    * retrieve the settings for the logo and time filters (there seems to be bug @ position though)
    * removed the controls used for fixed positioning, because they conflict with the relative controls and aren't used by most of the users anyway
    * fixed 10.3 compatiblity
    
    still TODO:
    - implement the logo and time controls completely
    - l10n
    - FIXMEs

commit a005a22e6ea41d55889070cea724b33c718cde8d
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 4 21:24:08 2005 +0000

    Clean up - convert todos to doxygen style

commit af10ead71f24220479ad5be2f153cfa60b787367
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 4 21:14:12 2005 +0000

    Implement playtree.sort() (basic implementation)
    
    Fix a bug in delete

commit 6728be820a128cf1e54c9cc4690c5c58f9264156
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Dec 4 20:37:47 2005 +0000

    * modules/access/rtsp/rtsp.c: fixed major bug in realrtsp access. Some incoming data would occasionally be dropped.

commit 2f5b226dd448e1a6c448df3334a173ca96707280
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 4 20:07:30 2005 +0000

    Selection is almost working correctly

commit b083e1e9e37d3a5325b90271f3d3f1bee274416c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Dec 4 19:40:36 2005 +0000

    * modules/audio_output/alsa.c: fix the leak in a nice way.

commit 1db9db8d0b364396bddde04728c8adb7b70c7d6b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Dec 4 19:35:35 2005 +0000

    * modules/audio_output/alsa.c: fixed minor memory leak.

commit 0d26b16638421761d2719a082c110cd1b8a3903b
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 4 19:27:20 2005 +0000

    Improve ensureVisible

commit a65b35246f797631dd3012e52fb11ce38a3c6d32
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Dec 4 19:13:29 2005 +0000

    * modules/demux/real.c, modules/access/rtsp: fixed a bunch of memory leaks.

commit 2fe8bace3781be3a089d89a775d2acc195f9eaab
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Dec 4 18:52:25 2005 +0000

     * share/skins2/winamp2.xml: removed a useless control (not even working :))

commit b6467fb9f9aca40f6370a0359e2932c0942764e6
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Sun Dec 4 18:47:26 2005 +0000

    * configure.ac: fix copy/paste artefact (silly me)

commit 16cba5287b6dd2aabd6cc5ed7451d4dc04e84b09
Author: Olivier Aubert <olivier.aubert@liris.cnrs.fr>
Date:   Sun Dec 4 18:46:21 2005 +0000

    * configure.ac: new --enable-snapshot option (snapshot was previously built
      with --enable-corba, but it can now be used through the python binding)

commit 1e26b23a83bf39e53884b56d984ccdc6e0da2d63
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Dec 4 18:23:30 2005 +0000

     * skins2/src/generic_layout.cpp: Fixed a resizing bug (the invisible controls
       were drawn when resizing the layout)

commit 986744e61251f8a03086583728661a66f4cdd1c6
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 4 17:40:59 2005 +0000

    implement net_ConnectUDP() (yet to be used) to create a connected UDP socket,
    and stop doing different things with net_OpenUDP()

commit 69392aa412e2484ddd25ce78de0fd3dd7e537d9a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Dec 4 17:36:24 2005 +0000

    * modules/codec/realaudio.c: try to detect dropped subpackets so we don't screw-up the subpackets reordering.

commit e5489da62c9fed9f330206e03bff29a5637dcdd6
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 4 17:15:24 2005 +0000

    Fix crash while drawing playlist
    + popup compile fix (bonus !)

commit 8f8be7fe258f5dc91b05ae195148f1db1b6cf077
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sun Dec 4 17:10:22 2005 +0000

    a52tospdif.c: fix regression in recent changes

commit 87d12b49dfc532911feb05a62b2c4958b5eecf13
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Dec 4 16:54:17 2005 +0000

     * share/skins2/skin.dtd: Video.autoresize defaults to true
     * doc/skins/skins2-howto.xml: Added documentation for this attribute

commit 5955ea3066d9ddf4376bcbfaa9468b68e2233500
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Dec 4 16:19:28 2005 +0000

     * skins2/macosx/macosx_factory.cpp: compilation fix

commit c4c65e064a6a1e6db423aa157d2d4b940336e654
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Dec 4 16:16:54 2005 +0000

    * modules/gui/wxwidgets: display and resizing of the embedded playlist should behave a lot better now.

commit 314feea51316bb9865e25c201a4807b48f1c0577
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Dec 4 16:01:12 2005 +0000

     * share/skins2/winamp2.xml: Change layout on double-clicks

commit 8cc0918e5c2cdd3f5a251ab24c22959683a965a9
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 4 15:43:03 2005 +0000

    Popup compile fix

commit 3526cfbf414e43628cc6542020f520d70f1e4da9
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 4 15:35:28 2005 +0000

    Improvements to playtree
    
    * Don't expand nodes by default
    * Distinguish notification types from document to view
      ( update of one item, global change, append of one item)
    * Handle item-append
       - Add a command/callback
       - TODO: Only rebuild the tree image if the newly appended item is
         visible
    * Rename m_lastPos to m_firstPos as it represents the first position
    * Beginning of a general ensureVisible function (not working yet)

commit 8a3513c0251811e84b77c5e4b3004334b176f3b9
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Dec 4 14:47:26 2005 +0000

     * skins2: support for custom popup menus, and win32 implementation.
       XML example:
           <PopupMenu id="sample_menu">
               <MenuItem label="Play" action="vlc.play()" />
               <MenuItem label="Pause" action="vlc.pause()" />
               <MenuSeparator />
               <MenuItem label="Show playlist" action="playlist_window.show()" />
               <MenuItem label="Hide playlist" action="playlist_window.hide()" />
               <MenuSeparator />
               <MenuItem label="Quick open file" action="dialogs.fileSimple()" />
           </PopupMenu>
    
       To call the menu:
           <Button action="sample_menu.show()" ... />
    
       Known bug: the popup disappears when the user clicks "too fast" on the
       button: the control refreshes itself in an asynchronous way, and the popup
       dislikes it... so click slowly :)

commit 646896fbaafa75a42cf424712a6298bce830c965
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 4 13:44:44 2005 +0000

    Determine the RTSP control URL host dynamically, as seen from the RTSP client

commit 0b68cee3409f25b910d205099f6bc44b86b110d8
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 4 13:05:40 2005 +0000

    Fix RC compilation from source snapshots

commit 0230e4e0b42b80cf8b5869e2126b8f2adcaa0433
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Dec 4 12:53:53 2005 +0000

    Do not crash on vlm command: 'new somestring vod enabled', when the user forgot --rtsp-host <ipaddress>:<port> on the vlc commandline.

commit 15ba2b61a09636371d49d70f9c195ae839bedf90
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 4 12:43:10 2005 +0000

    Fix make dist
    Case matters when using filenames!

commit 3daa12e4604194736153dd5a775251a3c3988c80
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Dec 4 11:54:22 2005 +0000

    Avahi 0.6 patch by  Diego 'Flameeyes' Pettenò flameeyes at gentoo d0t org
    
    Thanks.

commit 5c59e3cfedbcd6c1a1d8ec37a6b6fd3eb04e48cf
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Dec 4 11:23:55 2005 +0000

    Enable timeshifting automatically with SAP - closes #450
    (can be disabled with an advanced option)

commit c315e22887ab8b4d946fa317484fced8479b5f82
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Dec 4 02:14:59 2005 +0000

    First steps towards integrating coreaudio and auhal module into one. It does not actually render digital audio yet.

commit 191dc6be6bbad7b143a913c015978988b33646dd
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sat Dec 3 22:46:33 2005 +0000

     * share/skins2/skin.dtd: fixed a typo

commit 2e7fbf4659b5dde8bf018b94f4d1422c1b2bda7a
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Dec 3 19:35:54 2005 +0000

    Delete more SLP stuff

commit f6f10f97fa520771676aa2745da76cb253271bf2
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Dec 3 19:07:02 2005 +0000

    Remove openslp since we no longer have it in VLC

commit 1c4f28d00aa05e738097e6cd8cbe9a5fc3291911
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Dec 3 18:22:34 2005 +0000

    Fix ffmpeg HOSTCC attempt 2 :D

commit bb99fced510f6707d12bb9e5f243e16e1ad0e0df
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Dec 3 18:20:50 2005 +0000

    Fix ffmpeg HOSTCC

commit dd6e2ed0232298a110048b32b1f9daa38a261a0d
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Dec 3 18:15:42 2005 +0000

    Fix contribs in case we do NOT cross compile

commit cf1ebbfb99613de47e44c79863d71aa97bc6f8db
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Dec 3 17:14:07 2005 +0000

    Fix faad contrib on Mac OS X

commit 1cba17c3110af449e4e31dc1fd7915ff073861e9
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Dec 3 17:04:42 2005 +0000

    contrib x264 cleaning

commit 4e02106b184e7339ba4cb6943a57bcd25ddb14fc
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Dec 3 17:00:55 2005 +0000

    Fix the x264 patch so it works again under Mac OS X

commit 0b62586c9ec62cea555e0c16d63369e150437632
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Dec 3 16:02:32 2005 +0000

    Support for passing an argument from subject to observer

commit 4eed32091e344d6a54952b8f3645702106bd78ee
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Dec 3 15:22:28 2005 +0000

    Naive implementation of deletion : full rebuild after deletion, and refocus on current playing item

commit b4ab33fdbe96a2a2d5511d62ffdeb87c50d4f5b5
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Dec 3 14:57:01 2005 +0000

    Remove useless playtree.* commands

commit c1c34adfb4c15671f837a7a3af0e5db1673f330a
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Dec 3 14:56:28 2005 +0000

    Fix tree selection

commit 98a42ae01a2f97c723bb8759dcdbd50cbac512e8
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Dec 3 13:41:01 2005 +0000

    * modules/gui/wxwidgets: wxSplitterWindow is buggy under wxGTK so we implement our own version.

commit a67fd4f9c8b11883bf84a421d7c924a7b75f0ccd
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Dec 3 13:36:54 2005 +0000

    * ALL: first development version of a GUI for the SubPicture Filters (refs #350)
    - the marquee section is already completely usable, more to come
    - TODO:
        - fix all FIXMEs
        - implement the logo and time settings completely
        - implement l10n
        - fix 10.3 compatibility (runs under Tiger only atm)
        - save the preferences, if requested
        - close a current vout and re-open it, when a filter is (de-)activated
        - redesign the GUI to a smaller panel

commit cc5e6f6c13da199a155b1b7e86f63424c5336a17
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Dec 3 13:34:40 2005 +0000

    Should fix playlist scrolling
    
    playlist-current must not be handled by a full rebuild but by two item updates, on oldval (to remove its playing status) and newval (to give it playing status)

commit d03436e7d9d3bf17aecc632c6c2161707cb4d9c1
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sat Dec 3 11:44:57 2005 +0000

    * forgot to add the new files...

commit 07391315eb5d77e02a3b0569f52c2d45fb22973d
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sat Dec 3 11:43:35 2005 +0000

    * all: support of animated bitmaps in skins: there are new attributes
      "nbFrames" and "fps" in the (Sub)Bitmap elements to set the number
      of frames and the frame rate in a bitmap. As in the radialslider,
      the different frames are just laid vertically in the bitamp (and
      all the frames must have the same size)
      At the moment animated bitmaps are only supported in Button controls.

commit eba35637c30b4d012c3512d95f087e25532ebba9
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Dec 3 11:40:40 2005 +0000

    Add a checkRemove method to CmdGeneric.
    It is called by asyncqueue if remove flag is true, to let the newly added command check if it wants its predecessors to be removed.
    
    Default is to always allow. Only implemented in CmdPlaytreeUpdate: only remove previous commands if they are about the same item.
    
    -> Limit excess updates to playtree
    
    (There are some debug messages left in this commit, will remove later)

commit 43c3dc3ff240d3084fd9cc59c8df0072b09448f0
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Dec 2 22:00:52 2005 +0000

    * modules/gui/wxwidgets: wxwidgets 2.4.2 compilation fixes as suggested by Charlie Ledogar (charlie10 at gmail dot com)

commit 6e6164d05d34b353b4a1f67ffdab974b89a90ad9
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Dec 2 20:50:37 2005 +0000

    * modules/gui/wxwidgets: use a wxSplitterWindow to display the embedded playlist.

commit 209591e0766cf2e1b66a91b76772d1740662b029
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Fri Dec 2 16:27:40 2005 +0000

    all: restored missing patches (mostly for BeOS)

commit 5c8d564625dca1b141e164f1e05da4217c294187
Author: Clément Stenac <zorglub@videolan.org>
Date:   Fri Dec 2 14:55:31 2005 +0000

    Don't notify playlist from input, input does it already
    
    The previous commit and this one globally have a rather negative impact, as we notify playlist waaayy too much while adding info. Should either be implemented in interface to reduce the number of updates, or as a flag to add_info if we have some more to do afterwards

commit 581141401ce42ce7b4c0d65ad957344faa41e99a
Author: Clément Stenac <zorglub@videolan.org>
Date:   Fri Dec 2 14:49:57 2005 +0000

    Fix playlist notification in input

commit e048530772ee5d77f654a678ac0d79266de51c9b
Author: Clément Stenac <zorglub@videolan.org>
Date:   Fri Dec 2 14:48:57 2005 +0000

    Don't preparse item on playing it

commit 3c0018967746cb0ae23457aa813d0d3e10094e56
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Fri Dec 2 09:59:04 2005 +0000

    dvdnav.patch: updated dvdnav-config.in to include dvdread lib

commit d57ee9c73326b5acd7fb58bebfb5cfcc2b0774ee
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Fri Dec 2 00:48:22 2005 +0000

    dvdnav.c: replace %lld printf formating with I64Fd

commit 3d9f01dcaa5224bd6682447347991818bab63819
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Fri Dec 2 00:45:14 2005 +0000

    all: use libdvdnav builtin dvdread source rather than the standalone version
         consolidated all dvdnav/dvdread patches into a single patch

commit d63b9e39f853676075ca171f093f0dc3d8fc1902
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Dec 2 00:25:52 2005 +0000

    * modules/gui/wxwidgets: start of a playlist_manager widget.
       This is based on code from the current playlist dialog but this dialog should eventually make use of the widget as well (when enough features have been implemented).

commit 2c3662500571a7da261c56244acb58128a5da8f6
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Thu Dec 1 22:30:39 2005 +0000

     * doc/skins/skins2-howto.xml: Documented the new attributes of the Text
       control, and fixed a few details

commit a5b7677e204efb07bfb505190832d831f5f5516c
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Thu Dec 1 22:09:45 2005 +0000

    Extra/contrib: Fix goom
    -Cette ligne, et les suivantes ci-dessous, seront ignorées--
    
    M    src/Makefile

commit 9fa6d902cd4b9499195158d061d3f52310a5b9fc
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Dec 1 21:03:00 2005 +0000

    * modules/gui/wxwidgets/interface.cpp: slightly smaller interface size.

commit 8d3e7704ed6fccc6c8afff53136d69e9347e80f6
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Dec 1 19:03:28 2005 +0000

    * modules/gui/wxwidgets: fixes and improvements to the main interface code.

commit 507fe5c1c349bf81c4cff88e9e8845149805c947
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Dec 1 19:01:48 2005 +0000

    * modules/audio_filter/converter/a52tospdif.c: remove useless cruft.

commit 9a675ed8b79e0a23870a86f2a0b23aebee28c840
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Dec 1 17:09:00 2005 +0000

    * Support little endian streams on Big endian output. In theory at least, the Mendelssohn_2.wav sample never worked for me. I think the dtssys demuxer has an endianness issue (probably in the header code or something). In my opinion the dtssys demux should only output big endian streams, because all DTS is generally big endian. It's just that .wav often isn't.

commit 8353eb778434bb0085e7ea3c002fca697ad86099
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Thu Dec 1 17:01:02 2005 +0000

    modules/misc/dummy/decoder.c: Dummily decode subtitle tracks as well.
    And just crash

commit 414f55ee341ac95d7de263d069f9a7c858c529e3
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Dec 1 16:14:18 2005 +0000

    Fix the a52 spdif filter, add big endian support to the DTS filter and add big endian support to the coreaudio module. Now if you use the coreaudio module, you can output encoded audio on the G5 and other systems. PLEASE check that your SPDIF support is not broken after this.

commit 33d2c6906278ef2d06b25114ebad11f55b3ea22b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Dec 1 15:02:02 2005 +0000

    * fixed the compilation on OSX when using our source-code-package and no svn checkout

commit b8840f72caff4fbdcb28bc1781a0c1d9ebcb03cf
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Dec 1 14:12:16 2005 +0000

    * Introduce 'spdb' the big endian variant of 'spdi' output. This will be needed for the encoded audio output on the PowerMac G5. Only A52 is supported so far. DTS support will follow later. (As well as the actual OSX output changes)

commit a644825aa9c26d0bd7e7b9b4c6cd5356a6f466b5
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 30 23:56:51 2005 +0000

    * modules/gui/wxwidgets: massive cleanup and simplification of the main interface code.

commit 70e52acc320da5881287947224f3c28e0e379e12
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Nov 30 22:03:40 2005 +0000

    Fix x264 compilation

commit 9c7c99b08ee4b84f5c9811dfaf3fefa64489772f
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Nov 30 20:05:31 2005 +0000

    Repair "make dist"

commit 7ab224e188a7e6f01dcbefea58e4a037534dc5e3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 30 19:16:27 2005 +0000

    * modules/demux/mp4/mp4.c: fixed bug with some HE-AAC audio tracks (no, really).

commit 51923b09cb35d3199e8463b15dc49edfc1c90330
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 30 17:52:41 2005 +0000

    * modules/demux/mp4/mp4.c: fixed bug with some HE-AAC audio tracks.

commit 2e68c45b3422814a85fbee15ff66dcccceeed10e
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Wed Nov 30 10:04:44 2005 +0000

    Support for CAM modules on dvb-s cards using the high-level CI api from
    linux-dvb. This currently mean Twinhan cards and clones.
    
    There are three compile time switches currently available to people who
    want to test this:
    
    RESET_CAM_SLOTS can be defined to 0 to disable the CA_RESET call at
    startup. This greatly improves startup time for my cam at least.
    
    HLCI_WAIT_CAM_READY can be defined to 1 to enable a loop that waits
    untill the cam module is ready. This may take a long time (at least if
    RESET_CAM_SLOTS is set), and does not happen at all under some error
    conditions.
    
    CAM_PROG_MAX is a limit on the number of programs the code will send
    CAPMT messages for. This can be used to work around buggy cam/card
    combos that have issues when too many capmts are added.
    
    Hopefully this doesn't break the low level CAM support

commit c5ec9fcf984c45a764e77f6e47dcd6828986e83f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 30 07:35:30 2005 +0000

    * modules/codec/ffmpeg/ffmpeg.c: add BMP codec support for when ffmpeg increases their libavcodec version number.

commit f2b775f5d1263da564b7f0198f7f6bf5267e3921
Author: Clément Stenac <zorglub@videolan.org>
Date:   Tue Nov 29 23:12:52 2005 +0000

    Add ability to log to syslog (Closes:#334)

commit f9db392d3af83dc10ed52e15b42b0b9485841333
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Tue Nov 29 23:02:17 2005 +0000

    Makefile: libcaca configure does detect mingw properly under cygwin, give it a hand

commit ba894d9bb3961c1ea8a46ea5e8f3cb22e1346a3e
Author: Clément Stenac <zorglub@videolan.org>
Date:   Tue Nov 29 22:22:14 2005 +0000

    Remove SLP (Closes:#434)

commit bad8db3089fc3fdc0f1670b4d446d18b46a2448f
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Tue Nov 29 19:26:08 2005 +0000

     * po/fr.po: Fixed a little error, reported on the forums by "frenchynomatter".
       (http://forum.videolan.org/viewtopic.php?p=44548)

commit ac318431ccd81f46992240a83ec1ac17bcd3f6ff
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Tue Nov 29 19:20:12 2005 +0000

    dshow.cpp: fixed a potentatial crash, some memory was released twice

commit 994fc2286d0c45fb0d0db07258f438a2054dca9b
Author: Cyril Deguet <asmax@videolan.org>
Date:   Tue Nov 29 18:44:11 2005 +0000

    * winamp2.xml: fix the resize control of the playlist small layout

commit e387684bf0176ac15f76c8fd00cc58043e0b4d16
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Nov 29 17:10:05 2005 +0000

    Fix discrepency when in CyberLink precompile test

commit 11a242273b0b231aae59b8d34a37416238db2779
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Nov 29 16:20:33 2005 +0000

    add aspect ratio, crop and deinterlace hotkeys. fixes #442

commit 04ad6ec8e77a9b453aefd16e6da194f85246eac9
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Tue Nov 29 15:25:20 2005 +0000

    all: updated activex control to use new cone design

commit d6ec9dcadc869adbf1acb0ca511305eed830d0a8
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Nov 29 15:16:15 2005 +0000

    default disable windows context menu VLC entries

commit cc3a8d70bef8bb0e5dff47357821b3847520e516
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Nov 29 14:44:22 2005 +0000

    win32 stdout fix by Polyphem
    http://forum.videolan.org/viewtopic.php?t=14251

commit 911e1f4975eb1c29bd6bd07b8762e4f350275c6c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Nov 29 14:06:52 2005 +0000

    * fix transcoding using H.264 / H.263. The change in the wx-intf needs testing.

commit addc88a8575679d47ab8891cf4e8d34dece6f4e1
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Tue Nov 29 11:01:03 2005 +0000

    vout.h: missing header settings that should have been committed with r13443

commit 4168b364008e31a69d2df1dfabb8f638217bd9a0
Author: Clément Stenac <zorglub@videolan.org>
Date:   Tue Nov 29 08:58:34 2005 +0000

    Trunk - Don't detect avahi versions we can't support - Patch by Diego "Flameeyes" Pettenò

commit ebf8f0cf92dad814bd42ae5163074efafd3cddc4
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Nov 29 01:22:41 2005 +0000

    add the magnify filter to the list

commit 33ab35590dddde6e752df3e25dcff4e43fecc79a
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Nov 28 23:46:27 2005 +0000

    svn propset svn:keywords Id

commit 552edde1702bae9c67b53716d92d75675f37aafc
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Nov 28 23:33:48 2005 +0000

    svn propset svn:keywords Id

commit b50e681dec410247ff3ed45dd1e82e4eeca5070f
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Mon Nov 28 22:02:13 2005 +0000

    directx.c: disable screensaver by temporarily resetting screensaver system settings

commit 77d3ea575769ca3d8064acd98aa075878d5b6831
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Nov 28 21:23:27 2005 +0000

    synch with 0.8.4 tag

commit 5c4ccbb149a7a0652ebfcb419047ac3a7e4f4ec3
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Mon Nov 28 21:01:07 2005 +0000

     * skins2: The Image control now supports the "action2" attribute (feel free to
       suggest a better name :)), triggered by a double click.
       Very kewl to change the layout...

commit 676c89804edc15794a22cc61963926e5d3ebca94
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Mon Nov 28 17:33:12 2005 +0000

    x264-svn-win32.patch: updated for x264 rev 380
    Makefile: more cygwin related fixes

commit 859a78a954bdcc7c4cfefda1e6786b070391ad27
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Nov 28 16:14:34 2005 +0000

    iIgnore version.c in pofiles generation

commit b1469262371485403761ec02d2d659c0af9bfc5c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 28 16:03:33 2005 +0000

    Remove non-existant src/misc/version.c from POTFILES
    DO NOT ADD IT AGAIN - YOU WERE WARNED!

commit f62ada21e1e0a59b9ac8c715387a561c5b580578
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 28 09:26:56 2005 +0000

    Use strdup() instead of malloc()/sprintf(), and fix off-by-one overflow
    Please test.

commit ed7d46886576b5e1419b3222433f12bcf1fe702d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Mon Nov 28 09:25:33 2005 +0000

    Fix format string would-be vulnerability (the macro is never actually used)
    reported by Diego 'Flameeyes' Pettenò (gentoo.org)

commit bc3de7610db0c110b7107097aa68f0ada3b53813
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Sun Nov 27 23:28:55 2005 +0000

    * Hopefully fix a52 over spdif with alsa (at least, there is no error anymore)
    
    * If anybody has the appropriate hardware, PLEASE test
    
    (this is broken in 0.8.4, do we make a 0.8.4a for linux, along with the hal fixes ?)

commit a7dbb20049a56c46c433d8f3203fc0b475bbf8d8
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 27 19:10:01 2005 +0000

    * extras/contrib/src/Patches/zlib.patch: updated for wince.

commit 88367ceafbc805ed5ee463cfff8cecd57ac2bb89
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Nov 27 18:49:49 2005 +0000

     * share/skins2/winamp2.xml: same fix for other controls

commit 3b55990d9b4e18d3da98b4ba761cfbb510351531
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Nov 27 18:47:39 2005 +0000

     * share/skins2/winamp2.xml: Fixed a Text control

commit 71768c38dc6727f46d6facf29284c5ec2e711eae
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 27 18:38:51 2005 +0000

    * modules/codec/ffmpeg/video.c: use frame-rate from container, if available (Closes:#428).

commit cb3ffd975a33ad4125cb32384c14fed3feda7495
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Nov 27 18:15:23 2005 +0000

     * share/skins2/winamp2.xml: Use the new resizeE feature for the resizing
       control of the playlist, in the small layout.

commit 549afc384cde6e2fdf60621adcffa398c8854f32
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Nov 27 18:13:23 2005 +0000

     * skins2/controls/ctrl_resize.cpp: The action of a Image control can now be
       resizeS or resizeE, in addition to the good old resizeSE.

commit 163bf2de4d1fd2f02b82fac5179c1c2f93d268d5
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 27 17:51:56 2005 +0000

    * extras/contrib: wince ffmpeg fixes + faad support.

commit 405e081154a7575e13155e6096d250266ba6581b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 27 16:32:06 2005 +0000

    * added credit for the new icon

commit b256b8ef8ef13378ebb1045ec1b23d5c0d2c5b5d
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sun Nov 27 16:19:45 2005 +0000

    * winamp2.xml: fixed 13419 (don't work at least for "chaos")

commit eb4bf298662632e8db5da3c03b5e4eaaf55b2aa6
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sun Nov 27 16:01:53 2005 +0000

    * all: added a new variable "equalizer.preamp" (self-explanatory ;) in skins
    * winamp2.xml: added preamp slider and fixed offsets

commit af908f4e2ce97a30383108bf10b5348899ee8f51
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 27 15:57:28 2005 +0000

    Imrpove description of http-continuous (Closes:#409)

commit 124b9a6db2cd57b08dd7a9d74f0d1aeb7c3dbecc
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Nov 27 15:54:26 2005 +0000

     * skins2/*: cosmetic changes

commit 163879e70861e9bb16f03745034eabeb35342765
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Nov 27 15:29:55 2005 +0000

     * share/skins2/winamp2.xml: fixed the images of the playlist buttons

commit 457519503f25ba52d82a9aba2e6d45367a052471
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 27 15:27:52 2005 +0000

    Bah.. Fix HAL in libvlc

commit 70ea764fdcbe8eb37e87958c9e6365d958fcdc71
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Nov 27 14:56:54 2005 +0000

    typo fix

commit 82c45b1deeed983b5cb0457149362f3e05a43893
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Nov 27 14:54:02 2005 +0000

     * share/skins2/winamp2.xml:
       - added the smaller version of the time slider used in some skins
       - made all the IDs unique

commit b4bed4e243b15f3c6acf294c35bb631c38fb16d8
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Nov 27 14:42:02 2005 +0000

     * skins2/src/theme.cpp: allow specifying lists of IDs for bitmaps and fonts,
       in controls. The first valid one will be used. This is particularly useful
       for winamp skin, where you cannot know in advance the size of some images,
       so you can define 2 bitmaps, but only one control.

commit ef579b67d0fa315345976da85dec875003bc5977
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Nov 27 13:27:57 2005 +0000

     * skins2/controls/ctrl_image.cpp: fixed a resizing bug.
       A CtrlImage resized with the mosaic method didn't catch events outside of
       the initial (before resizing) size.

commit fe9ac7c0ba9d676ab9029ba784a1ee6895ca8920
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Nov 27 13:24:02 2005 +0000

     * skins2/parser/interpreter.cpp: cosmetic change

commit 32f841d7381da97c80b3ddc60a52cc25339e3544
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 27 13:15:39 2005 +0000

    * extras/contrib/src/Patches/ffmpeg-cvs-wince.patch: updated patch.

commit 58dd70877255786f48a12de05a4205b8e7c84515
Author: Yoann Peronneau <yoann@videolan.org>
Date:   Sun Nov 27 11:34:07 2005 +0000

    svn:ignore

commit 5f15a425fcaacd155a301ab8324cedad2a3ea651
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 27 11:30:14 2005 +0000

    Fix new HAL interaction

commit 7af8b2413813eb84e0643109f68b5fbe36b43ca1
Author: Yoann Peronneau <yoann@videolan.org>
Date:   Sun Nov 27 11:13:53 2005 +0000

    * Fix typo

commit f42a78ffd27f9e3b7b75ccfd89c1892477bc10f8
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 27 10:44:00 2005 +0000

    Don't display in OS X either. Needs to be checked

commit 28bfab09dc7cf9d6233e5de1a3ee28e11b3046e0
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 27 10:43:19 2005 +0000

    * Improve strings for jumps
    * Move jump size definitions to libvlc to avoid having 2 categories (still need to move bookmarks)
    * Don't show bookmarks settings in GUI - speeds up dramatically config panel creation

commit c1a2c61355bb8f0c30e0025e105211f585f37be7
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Nov 27 09:38:34 2005 +0000

    added svn keywords

commit 36b0a2be9a1fb699739231bdfad820537da12c4b
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Nov 26 22:46:55 2005 +0000

    update copyright and svn Id property

commit 94fc63f88e7879805fe58549cb1dadd20980e880
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 26 22:41:16 2005 +0000

    svn:ignore

commit 54f51353c358470dbdf0d6c6923c51407df09f06
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 26 18:53:59 2005 +0000

    * vlc-config:
       - Fix optarg parsing
       - Set ${libs} after the main loop to get the right exec prefix
       - Give -lvlc_pic if we want PIC
    * Java bindings build
       - Use vlc-config better
       - Use pic for building

commit e45f20e71f6e8959d599bd25e2d072855e556827
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Nov 26 18:20:06 2005 +0000

    * modules/gui/wxwidgets/dialogs/vlm/vlm_panel.cpp: build fix.

commit 53e8222b87b6ae4f94daa402ff9e55567adab2d6
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 26 17:31:37 2005 +0000

    Java bindings by Filippo Carone.
    Tweaked to integrate into build system

commit 7f2b618bcc5477125c17d693041e3496681b4294
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Nov 26 17:22:19 2005 +0000

    * modules/gui/wince/interface.cpp: include extra version information in the about dialog box.

commit 77a238deed56c12c9fee5a99312ae213f16847f0
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Nov 26 16:36:32 2005 +0000

    * modules/audio_output/waveout.c: small wince compilation fix.

commit a525a715b291f0a864fe7c4b5943bca71b280034
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 26 15:36:28 2005 +0000

    * Integrate python bindings in make process
    New --enable-python-bindings option
    Pic libs will be built if something needing them (shared libvlc, python, mozilla) is built.
    * Fix a description in vlcObject

commit 747ed7c63fe74800448b8fad5b91e9abd59572a5
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 26 12:35:22 2005 +0000

    Fix typo

commit 4900b2787bf86ca5c945805d9bf5166ac5438d6b
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 26 11:42:58 2005 +0000

    Improve make.pl output
    Fix some svn:ignore

commit 85f037cde84252a811ac95174baa62fe4fc4ca04
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Nov 26 11:03:37 2005 +0000

    Use command-line arguments in compile script

commit 7000eebf0f591c3c583c6d16fc547ccbcd8c3987
Author: Yoann Peronneau <yoann@videolan.org>
Date:   Sat Nov 26 00:46:32 2005 +0000

    * vlm_panel.cpp: fix uninitialized variables

commit fcbecde72263f585c41f57025f351d0b11978069
Author: Yoann Peronneau <yoann@videolan.org>
Date:   Sat Nov 26 00:35:28 2005 +0000

    * wx/vlm: cosmetic changes

commit 06a3889008d908f8505e4c5548605ad7ebf53430
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Nov 26 00:27:12 2005 +0000

     * : make jump hotkeys time interval user configurable
    The hotkey item in the prefs kind of looks akward. Someone have a better idea ?

commit 237f16e4519ff703396fd92b1cb49c7dc26c5bb2
Author: Yoann Peronneau <yoann@videolan.org>
Date:   Fri Nov 25 23:55:17 2005 +0000

    * wx/vlm: add "Load" & "Save" buttons

commit 9dcfbd369f6ff9e9fca315e96e68eb0592650bfd
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Fri Nov 25 23:28:49 2005 +0000

    configure.ac: Use the correct path for pkg-config

commit 50da14bf684eed74af00394937ac85a097e2c67d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 25 21:42:08 2005 +0000

    Handle --without-tuning configure option properly

commit 9a1e4a1161371a00daca53c99c036e9cc994b123
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 25 19:19:22 2005 +0000

    * modules/video_output/directx: apply video-title to both normal and fullscreen windows +  support this for unicode builds as well.

commit 1f85b215acfc2cec32d2de479bbd7de00c4c09c1
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 25 19:17:11 2005 +0000

    * modules/audio_output/waveout.c: fixed typo.

commit dfa3b2c3f5b2539aad1fd719fa27f92f891f16f2
Author: Yoann Peronneau <yoann@videolan.org>
Date:   Fri Nov 25 16:43:52 2005 +0000

    * wxwidgets/dialogs/vlm: add choose input & choose output

commit 4a473a3e9757e5a6213943117b95bd08adfaf188
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Fri Nov 25 16:16:04 2005 +0000

    all: possible fix for screensaver problem

commit d8e3b7a127d2d9bc1273ed0b873e06489daeadff
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 25 08:25:05 2005 +0000

    * modules/audio_output/waveout.c: make sure hardware volume is supported before using it.

commit 1cffaf8dff7506c4d3c17cd30d5a22b6e705e917
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Nov 25 01:48:46 2005 +0000

    * modules/audio_output/directx.c: partial rewrite not to use position notification anymore (since even microsoft says it's buggy). That should solve all known issues with the directx audio output.

commit c645b38e4f60c1f4582effaa182622b442bb7311
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Thu Nov 24 23:08:48 2005 +0000

    Makefile: make sure that libpng shared dll isn't installed to prevent VLC from linking against it (Cygwin only)

commit 228799271f76d66ed1d751a3918e7e9c96a24319
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Nov 24 20:23:07 2005 +0000

    Run thread that reads from the DV camera at a slightly higher priority then the input. Put the --dv-caching value by default at a high value 60000 (1 min). Maybe it can be lower, but needs more testing.

commit 1ee41d42554e30644ccdcb585bab7be2e2e0c622
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Thu Nov 24 15:21:09 2005 +0000

    configure.ac: generate a script to call extras/make.pl. I'm not a autoconf expert so i'm not sure if it's the "good" way to do it. but it works (tm)

commit 496541b72c971d8910df4e57a1262c003237a394
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 24 14:45:17 2005 +0000

    * Fix the icons.
    * Remove the icns in share, nothing is using it.

commit 768ab8279e9761d7b61c943d2a17d790e8f0a943
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Thu Nov 24 14:16:26 2005 +0000

    update trunk japanese translation by Tadashi Jokagi
    (this is not the same ja.po as previous commit in 0.8.4 tag)

commit 1a8db66f93d5bd6f01804bd1fc361e054f32601d
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Thu Nov 24 13:09:47 2005 +0000

    all: fix more issues when building under cygwin

commit 26727f0c84efb9195dd384092a2869bd8d23372f
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Nov 23 23:56:54 2005 +0000

    make.pl: Cross-compile fix

commit 03ab5e91f78b9b2a00c0087da34c2eead6b49a84
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Nov 23 23:55:20 2005 +0000

    configure.ac: don't try to use gnome-vfs when we are cross-compiling

commit 41e58110dbb2c2ac46f602bf79c2078169cfa370
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Wed Nov 23 22:17:38 2005 +0000

    revert previous commit

commit 3fdca3231d86163449ed91bba5921c1099a21a0e
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Nov 23 22:17:18 2005 +0000

    fix nsis installer icon

commit fe35c093d6a0f358788c134db284ae247979e1a6
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Wed Nov 23 21:53:38 2005 +0000

    compile fix

commit b7563f09a84baab9bb7eeee36acd3b960ee1f77b
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Nov 23 21:22:13 2005 +0000

    fix compilation

commit 28eb67bee2ce22dfcaccbe387a81de9880e4640f
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Nov 23 21:03:59 2005 +0000

    Fix the XPM names

commit ea26e607141047c7c624a61af5ea82d1fadfcb0c
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Nov 23 21:01:08 2005 +0000

    Set mime-type for the images

commit a6970967ffb15734e2e70fcd60501e2cf474ce1a
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Nov 23 20:53:56 2005 +0000

    merge [13354] to trunk, and use the right .ico in the windows build

commit 51445d03fcb801c3e1d4dcc4749431913bcc4399
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Nov 23 20:38:37 2005 +0000

    Small changes to the icons + xpm versions

commit c98508abda0df0fa68ef738b42aa2a5f6896442c
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Wed Nov 23 20:22:15 2005 +0000

    Makefile: tell wxwidgets not to use precompiled headers since it is broken under i686-pc-cygwin-gcc 3.4.4

commit e81578263201a8a09684d40bd448e840bd7028b5
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Wed Nov 23 19:44:56 2005 +0000

    Makefile: updated build process for fribidi & goom24k
    x264-svn-win32.patch: updated for x264 rev 375

commit c6a4375884391c6d36dd0c2e83bdeff1eb6bb91f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Nov 23 19:41:51 2005 +0000

    * cleaner fix, which isn't 10.2 compatible (kind of forwardport of [13349])

commit 72e09432325e95526899164e66c80f8932d705d5
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Nov 23 17:06:14 2005 +0000

     * modules/stream_out/mosaic_bridge.c: Fixed BeOS build.

commit d92c8287c2b51034219d31d3ab2542099e9f0907
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Nov 23 16:53:04 2005 +0000

     * modules/stream_out/mosaic_bridge.c: Handle on-the-fly changes of aspect
       ratio. Fix a critical memory leak when closing the module.

commit c1c584445222e2bdab0f44a004ddf0ddd6f8e147
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Nov 23 15:34:20 2005 +0000

     * src/input/input.c: Please use strtol instead of atoi for 0x syntax
       support.

commit 0323f14dce4eb81fc42ae7ae78c6302bc5492fd3
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Nov 23 15:33:01 2005 +0000

     * modules/stream_out/switcher.c: More logging.

commit bac196d5e9a94516abda0d633f0748ad752c4e76
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Nov 23 15:25:11 2005 +0000

     * modules/access/pvr/pvr.c: Added support for radio on PVR150/350/500 and
       setting audio volume.

commit f436e5f702ef9d2f96ab435074b48b588d656769
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Nov 23 15:20:10 2005 +0000

     * modules/access/dvb/en50221.c: Implemented basic MMI support to display
       the CAM error messages.

commit 7b885b9bdb3005af8365094ac6fe63cef1fa6566
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Nov 23 15:00:47 2005 +0000

    Put licensing terms instead of description in about boxes

commit fdaab7f55c396085914846896d1eba7258c7958d
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Nov 23 14:19:29 2005 +0000

    Fix the build breakage due to missing DIST element

commit 33ea43e4624226f012b000e37a852822c53c0919
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Nov 23 14:18:44 2005 +0000

    And set the new icon for OSX

commit 0c9b11cccdf72d546d305861883c4412d1fe3819
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Nov 23 14:18:24 2005 +0000

    remove old icon

commit 66c32ca24c32b2efbfda6cb0ab204026b17b9f72
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Nov 23 13:54:39 2005 +0000

    * New icon thanks to Eurodata Computer Club <retron.info>

commit 9ef388cc16e200fa0a4571f9b006c0d58e9ba115
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Nov 23 13:43:55 2005 +0000

    For now trunk only: use the new icon everywhere, and mark the images as binary files

commit cfac8bec33e3c4c03844bf7041fcde50c93e41db
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Nov 23 13:12:45 2005 +0000

    Forwardport of [13335]

commit 04d1c9c0707100be8f5cf1f5b7eca4de6d49899d
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Nov 23 03:28:30 2005 +0000

    dv input plugin is default disabled

commit 7c4f6bbad346b1fab9bb86f6a2da3919c1171507
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Wed Nov 23 02:27:58 2005 +0000

    Digital Video (Firewire/IEEE1394/I-Link) input for Camcorders

commit 73ac7f80bd6fa79c59c509f0efaadddcece42316
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 22 22:29:00 2005 +0000

    * extras/contrib/src/Makefile, extras/contrib/src/Patches/libogg-wince.patch,tremor.patch: added libogg and tremor support to wince contrib.

commit f1254d96794e5de004978a47f8ff0668f598847b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 22 21:36:21 2005 +0000

    * extras/contrib/src/Makefile, extras/contrib/src/Patches/zlib.patch: added zlib to the wince contrib.

commit 7f7eeb177a8c3ea9987a9b8d73c3188dadaabc2f
Author: Cyril Deguet <asmax@videolan.org>
Date:   Tue Nov 22 21:16:42 2005 +0000

    * subtitle.c: added support of "DVDSubtitle" format

commit 7f4fbf726a80171942e95ec6987c9881fd38d736
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 22 20:26:31 2005 +0000

    * modules/audio_output/directx.c: fixed the way we get the current latency in the driver. fixes the continuous resampling issues with s16l and might also fix the fl32 problems. This needs some heavy testing.

commit 980a37415c68e977334f7636b093d72059d76572
Author: Clément Stenac <zorglub@videolan.org>
Date:   Tue Nov 22 10:33:45 2005 +0000

    One more update to release howto

commit 20bd1d786bdf99b91e87462dcf4f06ff8f650d54
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Nov 22 10:24:51 2005 +0000

    0.8.4 NEWS title change

commit deb77507d6043a1e60ba526a82e56a39e83fc5cf
Author: Clément Stenac <zorglub@videolan.org>
Date:   Tue Nov 22 10:02:46 2005 +0000

    Update release howto

commit c9d8217fd9cb95ecd8b1844c9c141e042f36bceb
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Nov 21 23:06:05 2005 +0000

    * extras/contrib/src/Makefile, extras/contrib/src/Patches/ffmpeg-cvs-wince.patch: add ffmpeg to wince contrib.

commit 8bfa386f79a3f5e0881f1902e6de8505a5757943
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Mon Nov 21 19:59:32 2005 +0000

    release-howto: add a few notes about contribs

commit a1db91773ab59346a7f97fbf86b97fbfb9f87345
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Nov 21 19:47:45 2005 +0000

    translated release howto to english (and updated some stuff)

commit d66ad858a7bc7546fbf3362c414924a7e53fd370
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Nov 21 13:50:27 2005 +0000

    Do not reset preamp value if not needed (Closes:#252)

commit 34534e99aa77c8fbfec19775bf0696ea1b7d9c4c
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Nov 21 10:09:22 2005 +0000

    Fix item selection in WX wizard (Closes:#402)

commit 826fad102b8560afb4a3b344bdc29c2eba57cb04
Author: Scott Caudle <zcot@videolan.org>
Date:   Mon Nov 21 03:15:46 2005 +0000

    implement some minimum size of wx interface at all times. closes ticket #360.

commit 9342d5eeeaf830597179face3094c1d63ef5647f
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sun Nov 20 22:10:00 2005 +0000

    util.c: Partially revert [12120]. the http interface (control=add) just take one mrl qnd the first " :" starts the options. closes #420

commit b40f45d66cd9b2dbcb268ec5d36594e5d0cb09c2
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Nov 20 21:53:09 2005 +0000

    Correctly select items in WX search

commit 6034bfdd060d5ae55a095fa15a240fd3dc043be2
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 20 20:49:25 2005 +0000

    * extras/contrib/bootstrap, extras/contrib/src/Makefile: start of wince gcc cross-compiler support.

commit bbeaf00a45f6e6a917350fecf5a6ef0278cf2f1e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 20 19:15:58 2005 +0000

    * extras/contrib/src/Makefile: more cygwin fixes.

commit 0334d8cc908aabd5588221b2b905b6de3504ff11
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 20 17:28:59 2005 +0000

    * extras/contrib/src/Makefile, extras/contrib/src/Patches/libpng-1.2.5-win32.patch: more cygwin fixes.

commit edaabcaf8de09ce35e174d18ca9e02277c7eb6d1
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 20 16:54:22 2005 +0000

    * extras/contrib/src/Makefile, extras/contrib/src/Patches/goom2k4-0-win32.patch: more cygwin fixes.

commit d0f45735074c98bbbd3fe1d122a8ef2c0fa3f359
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 20 16:42:11 2005 +0000

    * extras/contrib/src/Patches/livedotcom-win32.patch: adapted patch to work with cygwin.

commit 086b882f304981fefb256190e4c18d3fa3a6bd40
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 20 16:41:21 2005 +0000

    * extras/contrib/bootstrap, extras/contrib/src/Makefile: more cygwin fixes.

commit 933e35601ce52a8960bb1eb093bb4e688f44911b
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Sun Nov 20 16:05:12 2005 +0000

    * fix an ordering bug in D'n'D

commit 7ee6cf1ddb09fd71340e75b0ab19418717b4db98
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 20 14:25:40 2005 +0000

    * extras/contrib/bootstrap, extras/contrib/src/Makefile: more cleanup + should mostly work on cygwin now.

commit e1cd30e4a7a0c020a99d6068257d4d358b215395
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 20 12:16:15 2005 +0000

    * extras/contrib/bootstrap: more cleanup.

commit d532369b7ed0de10546e3223509876d29d4a86f3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 20 11:53:44 2005 +0000

    * extras/contrib/bootstrap, extras/contrib/src/Makefile: cleanup (hopefully without breaking anything).

commit 22a94562dfa8d80aa0ed7e9b7e2707ae3ff513ba
Author: Marian Durkovic <md@videolan.org>
Date:   Sun Nov 20 08:36:06 2005 +0000

    always go through BlockChoose(), since it assigns the correct demuxer
    (otherwise e.g. MPEG2 video is mistetected as MPEG-PS)

commit 8ad7c42017d6c8aef90200b910ed6675a605428f
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sat Nov 19 23:17:12 2005 +0000

     * skins2/controls/ctrl_generic.hpp: removed a useless include

commit 3796e3b49cc7216b4568663fad5cce26ff94d300
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Nov 19 20:52:02 2005 +0000

    Link vlc with correct dts library patch by Anssi Hannula

commit 353bed9dbe3937b92cfcda31f092b1e334847f79
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Nov 19 18:51:51 2005 +0000

    * extras/contrib/bootstrap, extras/contrib/src/Makefile: small cleanup + cygwin fix for bootstrap.

commit e53452fb6e2ce9d842c8ebc70b98852049dc797c
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Nov 19 18:02:40 2005 +0000

    Remove unfinished access_rtp support

commit 9e24319a2f73960f79ab2f9e85421379612207bb
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Nov 19 17:54:34 2005 +0000

    add THREAD_LIB to configure test for x264 patch by Anssi Hanulla

commit 8bb2ec211c96d3836a102d44a41c820c28a75a07
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Nov 19 17:36:37 2005 +0000

    Forward port [13274]

commit 5d744b4057152ff7aeee1b328cd9a9799d4d6f92
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Nov 19 17:33:51 2005 +0000

    x264 options patch by Alex Izvorski (plus some checks on x264 version)
    "This patch adds some missing x264 options, namely: me, merange, no-psnr,
    no-b-adapt, b-bias.  The names and expected values are exactly the same
    as for the x264 commandline encoder."

commit 406c3f7c637358f0f5b338ecd35f7a6c0ff5d0dd
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sat Nov 19 13:56:46 2005 +0000

    * winamp2.xml: add/sub buttons in playlist

commit 3760ad3478241bc18fec978b9af1ea4c12c77600
Author: Marian Durkovic <md@videolan.org>
Date:   Sat Nov 19 07:57:08 2005 +0000

    don't perform prebuffering for UDP, since it causes refclock fluctuation
    as large as +/- 25 msec and too frequent audio up/down sampling

commit e8f15ad9a2bf80226901653b118416b7bdf2c7f5
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Fri Nov 18 19:33:08 2005 +0000

    fix autotools warning (space after backsplash)

commit 2d25a2fca8d42e0dfa40406dd81fdf869841e378
Author: Clément Stenac <zorglub@videolan.org>
Date:   Fri Nov 18 12:33:23 2005 +0000

    Improve playlist behaviour

commit 913783c8cd74f0048d374266865911b40a7f406f
Author: Clément Stenac <zorglub@videolan.org>
Date:   Fri Nov 18 12:28:59 2005 +0000

    Fix WX dist

commit 77536f83e3209cfce4d6069080ab7fd85a2e8ea1
Author: Clément Stenac <zorglub@videolan.org>
Date:   Fri Nov 18 08:44:40 2005 +0000

    Merge make wrapper from 0.8.5-zorglub

commit f6c8f8827b9c62fa46f78ef16151ddd34fcd2472
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Nov 17 20:04:03 2005 +0000

    * added wxwidgets.hpp as well. thanks again to 'faust'

commit c83a7d345da167e3769b180f89c57d512b6718c5
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Nov 17 18:54:10 2005 +0000

    * include interface.hpp in make dist. pointed out on the forum by 'faust'

commit ad9f50ce8d53e4256d68ab149b6797b9e8bd15d7
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Thu Nov 17 18:27:36 2005 +0000

    Document the new win32 contrib way.

commit f53914b68e8bc84c7833d0a265fb3bb81a7fbe2f
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Wed Nov 16 22:35:56 2005 +0000

     * share/skins2/winamp2.xml: A few more controls

commit c57f698de95bcd409f2ab51248f9dff2138c8a44
Author: Cyril Deguet <asmax@videolan.org>
Date:   Wed Nov 16 20:50:47 2005 +0000

    * ctrl_slider.cpp: take the resize factor into account to refresh
     the window (fixed the bug of the disappearing slider)

commit de10515e0ae0d606500532bb1ee2a7520edfe07e
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Nov 16 00:21:23 2005 +0000

    * remove no longer used caca.patch
    * Fix 2 gcc4 / SDK issues in glib
    * fixes for libogg, libvorbis and libtheora to make sure LDFLAGS isn't (doubled up) by it's LDFLAGS_save. Issue reported and fixed upstream as well.
    
    Note the patches are not all enabled yet, since my contrib Makefile is quite "edited" atm due to SDK work

commit 0ce12ee82944fb34ec7ce883690d452508f738a3
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Tue Nov 15 22:36:19 2005 +0000

     * skins2/parser/builder.cpp: fixed a warning

commit f8fad963aca75b817fc5a1f7b6c7705a2f449e6a
Author: Cyril Deguet <asmax@videolan.org>
Date:   Tue Nov 15 22:30:17 2005 +0000

    * all: fixed a bug occuring when a slider was resized (the thickness
     of the slider background was proportional to the scaling factor,
     which is not what we want!)

commit 8753c93a6d4bc74d66e2b86bc84c950f6b177c59
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Tue Nov 15 20:53:43 2005 +0000

     * share/skins2/winamp2.xml: use the new Text control attributes, and use $t
       instead of $T

commit c4bc8d0098ab075bde6d6404299dfbddd2968bc9
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Tue Nov 15 20:49:50 2005 +0000

     * skins2/src/bitmap_font.hpp: getHeight() now really returns the height of the
       font, and not always 12...

commit de341d2ff259af44a6ad67df57eb670a8a8c6da8
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Tue Nov 15 20:20:44 2005 +0000

     * skins2/vars/time.cpp: do not print leading spaces in the short time format

commit e2cc1fabeeb51c046f8706d482a52502995ec0c0
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Tue Nov 15 20:00:04 2005 +0000

     * skins2: the Text control now supports 2 additional attributes:
        - alignment: possible values are left/right/center (left is the default)
             The right and center alignments are computed using the width of the
             control (as given by the "width" attribute).
        - scrolling: possible values are auto/manual/none (auto is the default)
           * auto: same behaviour as before, the text automatically starts
             scrolling if it doesn't fit in the width of the control. The user can
             still drag it manually.
           * manual: only manual scrolling is possible
           * none: no scrolling possible

commit 0f32d781420ebca9621209b9e64799742373edc3
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Nov 15 18:39:42 2005 +0000

    this is 0.8.5-svn

commit 2b61ffcd45bfa072bc2b8901807efebca990bb62
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Tue Nov 15 14:37:18 2005 +0000

    plugin.cpp: don't mess up custom protocol when combining 2 urls
    libvlc.c: VLC_IsPlaying(), use playlist_IsPlaying() as last resort

commit 708aea1ebc5eda67a4601b72f3a4768c35bd789f
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Nov 15 09:05:42 2005 +0000

    update copyright date

commit a0bcfd94d0f482c949ec550b36822d34738b404b
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Nov 14 21:25:34 2005 +0000

    forward port of revision 13250

commit 2444c425f396f0a13d558f16e40bf8c455f2c727
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Mon Nov 14 21:03:49 2005 +0000

    libvlc.c: fixed object leak (playlist)

commit a289e3243b92d8c6813a2a6a6bb63dcdd65c9d47
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Nov 14 19:58:23 2005 +0000

    fix --xvideo-xineramascreen option

commit 3f00a92dc575f74116010b4a77915688d10966f1
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Nov 14 18:37:40 2005 +0000

    * added the needed libraries for UPnP-support on OSX
     - CyberLink C++ UPnP 1.7.1
     - libexpat 1.95.8
    
    Note that Cyberlink compiles fine, but must not access its own install script, so we need to run "chmod 755" on this script first.
    The general patch was created by courmisch. Thanks again!
    
    The additional osx-patch is a really ugly hack which disables libiconv to let our upnp-plugin compile. I'll further investigate this in the next couple of days (see ticket #367).

commit 62ddff1c372a364c9061db2f22154cca6f3ae4ef
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Nov 14 18:25:14 2005 +0000

    Updated fr translation . With contributions from adn, ipkiss and Jordi Mallach

commit b3da6771ce30686516269077500fb39e76cf11b0
Author: Clément Stenac <zorglub@videolan.org>
Date:   Mon Nov 14 18:21:06 2005 +0000

    Swedish translation (>50%) by Daniel Nylander <info@danielnylander at se>
    Re-enabled swedish

commit b8cdc61abd4e5794970e5698e36a26336a7a2581
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Mon Nov 14 15:31:39 2005 +0000

    utils.cpp: needs to initialize returned variant for delphi when querying for ambient properties

commit b37103aa259434f912bd25a6f046cf8db3ca1f11
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Mon Nov 14 10:57:00 2005 +0000

    Fix the po file ( [13171] was done with an unclean tree, oups)

commit 57b39a90e39f6864b510163ce732fdb667d329da
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 13 21:02:09 2005 +0000

    * modules/gui/wxwidgets: compilation fix.

commit 1aaee353d1c807c770de6edeb975eb1e52d27e95
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 13 20:42:20 2005 +0000

    * modules/gui/wxwidgets: compilation fixes.

commit ad7ad8bc3078f75ed7bbade7a43dba1f7472953f
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Nov 13 20:32:26 2005 +0000

    It's cp -R not cp -r

commit dfc4c53ed16927e8479c30d2249e74218f180992
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Nov 13 20:29:27 2005 +0000

    Use cp -R instead of CpMac -r in the macosx-dmg script on Mac OS X 10.4

commit 43410ee30c853dd8d35bc92e91657e719666793a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 13 20:09:51 2005 +0000

    * src/input/clock.c: reverted 13220.

commit b3d9b331ea91bb039491e70fa4c7a37b410235d6
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Nov 13 19:51:23 2005 +0000

     * skins2: support $t, $d, and $l in text controls. They do the same as $T, $D
       and $L, except that the hour is not printed if it is 0.

commit 3c5d89e5e861422ce40e9c38a808210f693698bc
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Nov 13 19:14:06 2005 +0000

     * share/skins2/winamp2.xml: Fixed some offsets

commit f3600475e1f83a53ecba9c46bd8a734f3e9cad9e
Author: Mohammed Adnène Trojette <adn@videolan.org>
Date:   Sun Nov 13 16:15:55 2005 +0000

    Use alsa by default

commit 563dc100dbe2c567e70d6a0d6cb1cc3f58649419
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Nov 13 14:43:25 2005 +0000

     * share/skins2/winamp2.xml: Added a few controls

commit b827c556d5c7a1b7c1e05c797930ba6961009e36
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sun Nov 13 12:12:25 2005 +0000

    * winamp2.xml: support smaller volume bars (65 pixels instead of 68)
    * builder.cpp: don't build a subbitmap or a fontbitmap if it already
      exists (so if the xml contains elements with the same id, the first
      valid one is kept)

commit 1bc1b8315cc1551084d0cf748426631ef40c801c
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Nov 13 12:01:52 2005 +0000

     * skins2/controls/ctrl_checkbox.cpp: Avoid the "phantom effect", where the old
       "up" state of the checkbox is displayed wrongly during a few milliseconds

commit 3e77116cccac570758e47b7184aa39eb41754ba2
Author: Marian Durkovic <md@videolan.org>
Date:   Sun Nov 13 11:53:47 2005 +0000

    fixed comparision between incompatible values preventing detection of PCR gaps

commit 328f2bb36e2f3c04ecb1ed06dd45afe29f25e8a0
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 13 11:08:19 2005 +0000

    * modules/codec/ffmpeg: try a bit harder to enable direct-rendering (some codec parameters are not yet set when opening the codec).

commit e364960bd24187e7133a57bb60e47e796ec186e7
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sun Nov 13 11:01:58 2005 +0000

    * ctrl_slider.cpp: fixed an uninitialized member (and a segfault..)

commit fff99eeaf2c7f9dbe73c3cfbeb74d73679e93ba3
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sun Nov 13 10:54:39 2005 +0000

    * winamp2.xml: re-added the removed equalizer slider

commit 418d4e218d0774913f650c9fe8c44e5e7ff3eadd
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Nov 13 10:52:33 2005 +0000

    * modules/codec/ffmpeg: added ffmpeg-skiploopfilter option for H264 decoding.

commit b26f433df88fdd49ecbd1f36c1399896c015b23f
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Nov 13 10:52:10 2005 +0000

     * skins2: prevent a window from using the layout of another window

commit d3bbcab891d3fca353d8a518dfb6502cb4fe4e66
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Nov 13 01:25:16 2005 +0000

     * share/skins2/winamp2.xml: Still more controls

commit cc6e64574ee25dd4d8be8b7a3c926d325dd58479
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Nov 13 00:07:56 2005 +0000

     * share/skins2/winamp2.xml: Fixed the volume slider background, and added
       images for the state of the stream (playing/paused/stopped)

commit c5443367753ad4e98af999d973783fcfd4d2f6ee
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sat Nov 12 23:45:34 2005 +0000

     * share/skins2/winamp2.xml: Added other controls

commit ac91ba0290aa829202cbdca6f669cfac8b7458be
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sat Nov 12 19:59:58 2005 +0000

     * share/skins2/winamp2.xml: A few fixes, and some more controls

commit 7eba669315c79fcb830689e6128ef2e41772e64f
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sat Nov 12 18:11:12 2005 +0000

     * skins2/parser/builder.cpp: create the background part of the slider, even if
       the cursor cannot be created. This allows using the slider in some winamp
       skins which do not use cursors.

commit e55c41bf7bf547712d52b8836012c80bff73c46a
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sat Nov 12 18:00:57 2005 +0000

     * share/skins2/winamp2.xml: minor fix

commit f012d16f5505a603002d1f41435a0b44ae2734db
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sat Nov 12 17:46:29 2005 +0000

     * share/skins2/winamp2.xml: Do not include the last padding lines in the images

commit 5854a6db73947b1fd2218309396377060e06d9ef
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sat Nov 12 17:43:59 2005 +0000

     * skins2/controls/ctrl_slider.cpp: Suppose that the last-padding is not in the
       bitmap (this is more flexible than the contrary)

commit 03909c335d9bb837dbd43753003bebb10be85e85
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sat Nov 12 16:42:22 2005 +0000

     * share/skins2/winamp2.xml: Fixed an incorrect height.

commit 7594d38e02966e7eb6249bfc9bd1a5a27351d453
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sat Nov 12 11:29:32 2005 +0000

    * winamp2.xml: resizable playlist and other things..

commit c59fd2bb91a48cec804943d955062ac1098f0627
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Nov 12 00:42:44 2005 +0000

      * src/vlc.c: do not exit the program with an error if no error occurred, for
        instance when listing the plugins or asking for the usage.

commit d99c3102f80dfd1d8240ad499747343770f5e1fd
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Nov 12 00:41:08 2005 +0000

      * modules/access/dshow/filter.cpp: minor, but ugly, typo.

commit d46d1edfa1470a6dc50ea9816dbbdc5ef7d58fda
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Nov 12 00:38:41 2005 +0000

      * debian: updated Debian build files.

commit ed3714705a3c21179f5dbb57e62ce8fc99c8d418
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Nov 12 00:37:08 2005 +0000

      * configure.ac: don't use -mpim-altivec without -force_cpusubtype_ALL,
        thanks to titer for noticing this.

commit 8ee331bf2b6f02437fa987d50ccc4008142aca82
Author: Marian Durkovic <md@videolan.org>
Date:   Fri Nov 11 19:26:24 2005 +0000

    forwardport [13195]

commit 3c3f388b7f5062535f0b331bf42da03877e1d6a9
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Fri Nov 11 16:28:01 2005 +0000

    oleobject.cpp: fixed order of notifications for buggy containers like Delphi, added default size at activation
    plugin.cpp: set configuration width/height when resizing control

commit 5fe40a7544a0c45cfd1c5bd77c946efbd1d0dc94
Author: Marian Durkovic <md@videolan.org>
Date:   Fri Nov 11 08:32:30 2005 +0000

    update cl->delta_cr only once per 200 msec to ensure better refclock
    stability and mitigate temporary OS/network jitter problems

commit 89b3eb7e3e1b2378dcfd0a1a497782420228a848
Author: Marian Durkovic <md@videolan.org>
Date:   Fri Nov 11 08:26:42 2005 +0000

    changed MPGA_PACKET_SIZE to 1024
    we can't operate with 4 KB blocks since with low bitrate MP3 streams
    we'll  end up putting too many PCRs into one block.

commit 7d57a599495cebf44896eed3539c1a0a0b1bed17
Author: Cyril Deguet <asmax@videolan.org>
Date:   Thu Nov 10 22:33:05 2005 +0000

    * fixed alignment

commit b704f90f33241a9662671812e1de8075ecf76bde
Author: Cyril Deguet <asmax@videolan.org>
Date:   Thu Nov 10 22:30:22 2005 +0000

    * winamp2.xml: all the equalizer sliders are working !!
    * all: the slider background is now in a dedicaded tag
    "SliderBackground". The number of images can now be parametrized
     in both directions, and the offset between 2 images (padhoriz and
     padvert) is no more hardcoded

commit 85fad441ea3f7a343c9a3b8bed0a6c3ec8b5e224
Author: Cyril Deguet <asmax@videolan.org>
Date:   Thu Nov 10 20:42:48 2005 +0000

    * winamp2.xml: added the Equalizer and Playlist windows.
     Now it starts to really look cool ;-)
    * builder.cpp: look for fonts in the resource path if the
     font file cannot be found in the theme itself
    * ctrl_slider.cpp: fixed the hack for winamp: the bar images
     are separated by 2 rows, not 3...

commit 0e6a1c1e65caf1ac706c3c5cbb091930bf38eb16
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 10 19:53:27 2005 +0000

    Fix dvdnav contrib on Mac OS X 10.2

commit fe49a97ce213bce5d52a25fcac9a931ff271309d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Nov 10 18:50:54 2005 +0000

    * modules/demux/mp4/mp4.c: fix some signed/unsigned compiler warnings. Patch by Daniel Stranger (vlc at schmaller dot de).

commit 9f05c12d670b99fac7a5dc2c5e106d70fb1eaa55
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Nov 10 18:48:55 2005 +0000

    * src/libvlc.c: failing of bindtextdomain() does not mean that there exists no DOMAIN in the locale path. It means that a memory error has occured. The error message was generalized. Patch by Daniel Stranger (vlc at schmaller dot de).

commit 640f75ed24387b845c05c599f1c9f3e20ebacee5
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Nov 10 18:42:42 2005 +0000

    * modules/gui/wxwidgets: wx backward compatibility fixes by Daniel Stranger (vlc at schmaller dot de).

commit b5d7eca15e446620c0c0e648c892c5c17369f23f
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Thu Nov 10 18:14:40 2005 +0000

     * Delete Callbacks when closing marquee filter. Thanks to Dave Harley
       for noticing this.

commit c39a12c70ecad0c53180b4dea9c5537f0a29f684
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 10 16:38:50 2005 +0000

    Removed --disable-audio-beos from ffmpeg configure line since it breaks non-beos compiles.

commit 8bfb27e1e78583ffb6068b7568bbad685f6ef85d
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Nov 10 15:41:26 2005 +0000

    Fix the dvdnav contrib for OSX

commit 4ad69b4e4a8955f6407a222b34277b382ae4ed86
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Wed Nov 9 22:47:18 2005 +0000

     * skins2: experimental support for the <Include file="foo.xml"/> tag.
       Be warned, no DTD validation is done on the included XML file, and the
       loading will fail if it contains several top-level tags.

commit 2887c4ad0dbcd0ec77b72bfc3b863eff75079aca
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Nov 9 20:45:53 2005 +0000

    * fixed some strings

commit 305a8ad6813bcf8027c896b5c61f87347cc85df4
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Wed Nov 9 20:05:45 2005 +0000

     * skins2/src/theme_loader.cpp: Close the zip file when we are done with it...

commit ed17d7b1b1477089e9ccd9c3d614e5eacf631d90
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Nov 9 17:37:42 2005 +0000

    wx/Modules.am: fix for make dist
    po/*: update due to file moving

commit b4e651f741028ff4324cb8dfc1c566f46ec642a2
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Nov 9 14:19:20 2005 +0000

    Remove debug

commit cbc8fb034c62aa70c72277298357d701a5456604
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Nov 9 13:44:49 2005 +0000

    Add a input_Read function that reads a stream in blocking or non-blocking mode and cleans-up (Closes:#244)
    
    Still needs to be exported, but needs some thinking for pause/stop handling

commit 8d65083c187c5066a60de73d32695cfce6ddaef8
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Nov 9 12:03:40 2005 +0000

    Support for Perl 5.005 - patch from Daniel Stränger

commit 538d2492138b15ff517304be28d9becbe5139d9f
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Wed Nov 9 09:48:02 2005 +0000

    clock: Fixed rounding error in clock smoothing algorithm.
    Also removed a long unused member from the clock struct.

commit 01c9ca88c67f2ea7ea17d628d1f769dc140f3822
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Tue Nov 8 22:52:00 2005 +0000

     * skins2/src/bitmap_font.cpp: log a warning if a char cannot be rendered

commit d90c80588abe4c569be48d57c6f282e8b071036f
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Tue Nov 8 22:34:36 2005 +0000

     * skins2: Fixed a crash occurring when a SubBitmap was specifying invalid
       coordinates and/or invalid size

commit f81175cf02d83a3d85e6dcc3a3485489dc02c762
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Tue Nov 8 21:51:59 2005 +0000

     * skins2/src/theme_loader.cpp: Do not forget to remove the temporary directory
       when the extraction failed

commit fcf297543de7285a2ccfd251d7b9dc76cfb28d56
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Tue Nov 8 21:11:33 2005 +0000

    Dirty hack to make devices using snd_intel8x0 drivers happy with 96k streams

commit 4d9b753ad36ba04a8196d36714c8c75557a027aa
Author: Cyril Deguet <asmax@videolan.org>
Date:   Tue Nov 8 20:59:35 2005 +0000

    * fixed image alignment

commit e0352f9138f8da06abf7cb621011bbfafda9c803
Author: Cyril Deguet <asmax@videolan.org>
Date:   Tue Nov 8 20:26:13 2005 +0000

    * all: the skin sliders can now have a background image, which
     depends on the position of the slider. The "Slider" elements now
     have optional attributes "background", which the Id of a bitmap,
     and "nbimages" which is the number of images in the bitmap (it
     is similar to the radialslider). At the moment there is a hack
     to support winamp slider bars: the different images must be
     separated by 3 rows of unused pixels (well, maybe they are
     useful; if someone knows how... ;)
    * theme_loader.cpp: convert the file names from zip archives to
      lower case, to avoid mixed case issues in some winamp skins

commit cfe22e5485777df42f02a129f9d36882b7ee67f2
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Tue Nov 8 19:23:27 2005 +0000

     * skins2: expect the .wsz extension for winamp2 skins, instead of .zip

commit 55e26be2db6bf444085c04c33abe291b6684fb0a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 8 19:06:11 2005 +0000

    * modules/demux/ps.c: don't flood everything with "garbage at input" messages if we lost sync.

commit 6ab6c77106ee1e169a475c8dbd18a3ac3c7b317d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Nov 8 18:27:03 2005 +0000

    * removed the file-extension 'm4p' since we can't decode it anyway and added 'm4v'

commit caaf67597a61a55b49902fb0dcdffb6ff6e97393
Author: Clément Stenac <zorglub@videolan.org>
Date:   Tue Nov 8 09:50:51 2005 +0000

    Support new HAL API. Based on patch by Josselin Mouette

commit 1f47871dfa23df44ebdab547089d7ab1607461f2
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Mon Nov 7 22:10:17 2005 +0000

     * doc/skins/skins2-howto: document the SubBitmap tag

commit 2eb4b37502768436a0bbb3b31353805821b4c35e
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Mon Nov 7 20:15:16 2005 +0000

    bootstrap: test for the presence of contrib/share/aclocal before including it because m4 react badly to missing directory

commit 2c8c766c79caf31f891bac1479396ed5f4e6d899
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Nov 6 21:39:38 2005 +0000

     * skins2/winamp2.xml: exchanged volume_up and volume_down images

commit f57c407656a341dd9e08762fe3c9ee23e4dd2dca
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sun Nov 6 20:53:01 2005 +0000

    * sdl_image.c: fixed 8bpp too

commit 5b3632af368e667ee385eb8c4511c53b3db76787
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sun Nov 6 20:11:06 2005 +0000

    * winamp2.xml: added the volume slider

commit bc49075ed505d9ecb9c968c8d78d2c8d83f6c674
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Nov 6 19:45:59 2005 +0000

    forward-port [13146]

commit e7e2c948b928435bc0ffe00d4ec780dc22000e34
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Nov 6 19:35:57 2005 +0000

     * skins2/src/theme_loader.cpp: Fixed another directory delimiter issue. The winamp skins load perfectly on windows now...

commit 6a0d6da9f870a3b65dd20e6f675af5238292b60b
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Nov 6 18:46:25 2005 +0000

     * skins2/src/theme_loader.cpp: use the os-dependent path delimiter

commit 7dd7cbc60f268e1669cbc2080327e2df2c1b05df
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sun Nov 6 18:19:19 2005 +0000

    * skin_parser.cpp: fixed the hack for nums_ex.bmp/numbers.bmp
    * winamp2.xml: more controls

commit 8e20a9cfb1b049db8316e754392d1cfc483f94e4
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sun Nov 6 17:05:50 2005 +0000

    * winamp2.xml: hack to support nums_ex.bmp and numbers.bmp
    * theme_loader.cpp: correct handling of subdirectories in winamp
      skins

commit 4d447b068cacdea5247f3a711aaeb43081904f6f
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sun Nov 6 16:17:57 2005 +0000

    * winamp2.xml: generic theme file for winamp2 skins. Still a
     lot of things to do but it works !
    * theme_loader.cpp: when a theme contains no XML file, assume
     we are trying to load a winamp skin, and use winamp2.xml
    * vlcproc.cpp: repaired text variables ($N was broken)

commit 1ada3176c1da49d9666ca3a02c669b0773466be5
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sun Nov 6 14:23:16 2005 +0000

    * all: added a new xml element: "SubBitmap". It allows to define
      several bitmaps in a skin from regions of the same image file.
      Usage is:
      <Bitmap id="body" file="main.bmp" alphacolor="#FF0000">
        <SubBitmap id="sub1" x="0" y="10" width="100" height="100" />
        <SubBitmap id="sub2" x="100" y="10" width="100" height="100" />
      </Bitmap>

commit fa4330533644f8e3237790903836d822050498c9
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sun Nov 6 12:39:11 2005 +0000

    * dialogs.cpp: added .zip in the "open skin" dialog

commit 5fa7831e3ccf9b7a0ab35cabb5408165ae8cf3e0
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sun Nov 6 12:31:53 2005 +0000

    * all: support .zip for skin themes in addition to tar.gz (vlt)
      Borrowed code from Gilles Vollant for the unzip part
      (I guess this code should be put elsewhere in vlc, but it was
      the easy way for me at the moment;) I hope it compiles fine
      everywhere, I've tested only on linux.
      Now, everything's ready for winamp skins ;)

commit 17025142ade94222034385e77ff4d18042a18f48
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sat Nov 5 17:18:23 2005 +0000

    * all: renamed PngBitmap into FileBitmap, as any image format
     can be loaded

commit d607e4d105654542fe1362f0c12a18d2b7c3c0b4
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sat Nov 5 17:05:25 2005 +0000

    * sdl_image.c: fixed decoding of 24/32 bpp images (the color masks were not
     taken into account, which caused getting RGBA pictures instead of ARGB,
     or GBR instead of RGB). 8bpp is obviously broken too, I have not tested it.
     --> now BMP images (and other formats) can be used in skins, not only PNG!
      (of course the goal is to add a winamp skins loader ;-)

commit 13a000e73bbee335cd3ffb3a1ccfe14ed65d47b7
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sat Nov 5 11:54:38 2005 +0000

    * all: added a variable "equalizer.isEnabled" and commands
     "equalizer.enable()" and "equalizer.disable()" to enable
      or disable the equalizer audio filter.
      + small fixes

commit 4ea25c4d8b32bcd9e76e996bc55e272dec2eddf5
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Nov 4 21:08:37 2005 +0000

    Fix segfault on malformated command
    Bug report credited to Matthew Hodgson

commit 87293632457d8e460f033e83a7dfee143f94b94d
Author: Marian Durkovic <md@videolan.org>
Date:   Fri Nov 4 08:12:16 2005 +0000

    forwardport of [13130]

commit af8882da9fb737a57d2842d3c39f6efdfa93d3ed
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Nov 3 22:10:25 2005 +0000

    forgot to remove the original vlc_release_object()

commit a4bc58cd42ab60b2cafe2fb4e8f35f0c901d5c32
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Nov 3 22:08:23 2005 +0000

    Forward port from revision 13127

commit bf5d185e39cfe9075716038d4775612fe51f88f7
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Thu Nov 3 20:03:41 2005 +0000

    ...

commit e2554d9ca19c44162e6e4991d8a68f48e527c291
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Thu Nov 3 16:54:36 2005 +0000

    woops ... remove debug

commit b6d512b6f05a481727d0e360ec079c3c455c1f3c
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Thu Nov 3 16:52:17 2005 +0000

    New MSN (c) (tm) (r) "What I'm Listening To" plugin.

commit dd6cfc6eccff108043aebd3b009914d8c5d83de0
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Thu Nov 3 09:26:26 2005 +0000

    contrib/makefile: tweak for cygwin. not tested. Feedback welcome

commit cd9ac0b3b69a63309801649843ad6ad163891d01
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Thu Nov 3 09:16:45 2005 +0000

    contrib/makefile: disable portaudio until someone make it compile

commit d2c883dfb9d7c1dd69b28ebe9732c26ef99778a2
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Nov 3 08:58:40 2005 +0000

    * modules/gui/wxwidgets/*: compilation fixes.

commit 9a39ccb22d7b020ea12a2acfd8ea5ee72c69d358
Author: Marian Durkovic <md@videolan.org>
Date:   Thu Nov 3 08:22:13 2005 +0000

    use the new values when resizing

commit bad9d93953f69f51b7b3b10793e0609c49c4415a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 2 23:39:36 2005 +0000

    * modules/gui/wince/video.cpp: forgot a VOUT_SET_ZOOM.

commit 84ec56ab0af42818e9b817f662f24a80b8f3082b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 2 23:29:47 2005 +0000

    * modules/codec/libmpeg2.c: use sequence->picture_width insted of display_width since display_width is used to convey the pan&scan info.

commit 1a29fc3c6e9c8442e9d921f9f9f8becf30b3cb86
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 2 23:18:53 2005 +0000

    * ALL: changed VOUT_SET_ZOOM into VOUT_SET_SIZE and implemented a VOUT_GET_SIZE for some of the vouts.

commit e0364b09a1e48eac8d996a27993112c54bdc1d45
Author: Cyril Deguet <asmax@videolan.org>
Date:   Wed Nov 2 22:01:06 2005 +0000

    * all: first support of graphical equalizer in the skins2 interface.
      It can be defined in the XML with usual sliders, using the new
      variables equalizer.band(0), ..., equalizer.band(9)
      (0% means -20dB, and 100% means +20 dB).
      More things to come, but it is already working as is.
    * all: AsyncQueue::push() now does also a remove() by default, as
      the two methods are always called together

commit ee6d19114f91d845ae1d46e984b0c47dfc44d503
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Wed Nov 2 21:41:45 2005 +0000

    revert 13023 as is doesn't fix anything

commit 5c6c3b80a6ae65e3cf9906ab10c7211d536a5ef4
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Wed Nov 2 21:35:16 2005 +0000

    Ouuups, forgot to uncomment some code I had commented for testing purposes

commit 647211aacb7abb49d8c286acc7950a740284fd79
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 2 20:08:44 2005 +0000

    * extras/contrib/src/Makefile, extras/contrib/src/Patches/libmpcdec.patch: patch for libmpcdec on win32.

commit c30a11676cd66ca9c68dbc10ab3d7cecfc2b95bb
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 2 19:46:55 2005 +0000

    * extras/contrib/src/Makefile: disable asm in FLAC on win32 since its build system insists on creating elf objects (would need fixing).

commit d2331ea31ce34ce41fc8339678544972edf7182a
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Nov 2 19:42:30 2005 +0000

    We use Portaudio v19

commit 10509e22505d8fc95747697588f937cac4afedaf
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Nov 2 19:27:34 2005 +0000

    Contrib: Add Portaudio ( closes #419)

commit 7e39490ef6e92153bb5761fd6edcf01a101cfc61
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Nov 2 19:20:34 2005 +0000

    p( vlc.getInterfaces().getInterface( "wxwidgets" ).isBroken() ) = 1/2
    
    aka : merge the big wx changes from branch

commit 0a7e683444a80d0a394e535d041d601142ee8e2b
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Nov 2 18:47:48 2005 +0000

    contrib/makefile: add libmpcdec (Musepack) to win contribs

commit 96fe8ff92de83e34acb369c1ab17adabea4879ea
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Nov 2 18:33:23 2005 +0000

    Merge test/ stuff

commit 42088654d66f38bca725eb3c69ad84883d185cd4
Author: Clément Stenac <zorglub@videolan.org>
Date:   Wed Nov 2 18:32:39 2005 +0000

    Merge fixes to the python binding from my branch

commit c58f4c10dcefe286b0b9570692cd35fa7cb75e58
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Nov 2 17:04:29 2005 +0000

    contrib/makefile: Fix dirac compilation

commit 5e3678278662d5acd1557b98f224e15bdcb7fecc
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 2 16:02:01 2005 +0000

    * modules/gui/wxwidgets/playlist.cpp: don't call treectrl->EnsureVisible() when updating a playlist item. That just makes navigation of the playlist unusable.

commit d21e9e39449bf48da08ded7d14954f02052248c7
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Nov 2 15:48:54 2005 +0000

    * just don't run INSTALL_NAME on OSX, but on all other platforms (thx to xtophe)

commit f113638965a5b3dda67563f9ed38041be957eeae
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Nov 2 15:37:44 2005 +0000

    * fixed the compilation of some libs on OSX:
        - faad2, goom2k4, libpng, ffmpeg (modified gibalou's patch and moved it to a win32-file)

commit 41e197b52aad35318a020f78bfcf9e39723c0d25
Author: Marian Durkovic <md@videolan.org>
Date:   Wed Nov 2 13:42:48 2005 +0000

    fix for missing modules - hope this closes #412

commit ca17e9b5178952996f8b257bae3cbf4a8ed6de7e
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Nov 2 12:04:54 2005 +0000

    * fixed the compilation of libiconv on OSX

commit b23ce68fd050e9e0eced17316f6ffda56a7d5c22
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Nov 2 11:50:37 2005 +0000

    * run 'make src' by default, since 'make bin' isn't and won't be available

commit a0d182bedfc727093f8af23743995b499d124b58
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 2 10:25:41 2005 +0000

    * modules/gui/wxwidgets/playlist.cpp: if too many items are queued to be added to the playlist then it is quicker to just rebuild the whole playlist instead of inserting items one by one (fixes huge slowdown when using shoutcast).

commit 77595c2bf14549a06e6cba3df7186075e1c7fda7
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Nov 2 09:30:43 2005 +0000

    * modules/gui/wxwidgets/playlist.cpp: don't forget to unlock the playlist.

commit b0350b5be84634adc9cf3fa30d78084cf18173db
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Nov 2 09:07:04 2005 +0000

    contrib/Makefile: faad2: bootstrap only if we patch.

commit 14c40f45260a0a4020cb399abd715cf8f6811f39
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 1 22:30:06 2005 +0000

    * modules/codec/x264.c: x264 now supports non-mod 16 resolutions.

commit 2a268e6e289ba8519c0c4a0b4e12b91916cd0ec0
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 1 22:09:39 2005 +0000

    * extras/contrib/Makefile, Patches/x264-svn-win32.patch: x264 win32 build fix.

commit a6ad4f5707dc9648a6c098bfbae99448f122022f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 1 21:47:49 2005 +0000

    * Patches/ffmpeg-cvs.patch: lrintf() detection work-around for win32.

commit b98d05ef81cf2cc516cbca425a78c193b1d1f433
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Nov 1 21:07:59 2005 +0000

    update my info

commit dc6cc85147c4929dd572d1aa060294d2f3b7d1b9
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Nov 1 21:04:50 2005 +0000

    * extras/contrib/src/Makefile: set PKG_CONFIG_PATH on win32.

commit 4358a3bf7aac8ffd8c83d122b39830671c6ac4e0
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Nov 1 20:50:07 2005 +0000

    Misc changes

commit 68496a51bf9360741dd59c205536ec9245a1fee1
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Nov 1 18:38:14 2005 +0000

    Add detection of ranlib and ar when crosscompiling. It's not fixing the linking problem :(

commit e8d275ba275fd9091486ac2af67b99092a65b7e9
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Nov 1 18:37:02 2005 +0000

    Fix x264 patch

commit 6b229b7e4d030f2ed1f19cc118d1312efb2488bf
Author: Cyril Deguet <asmax@videolan.org>
Date:   Tue Nov 1 15:53:07 2005 +0000

    * all: added an attribute "autoresize" to the Video control.
      When it is set to "true", the window is automatically resized
      when the vout size changes.

commit f1ffafd6765e7753ed30148473fec2350110e3a4
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Nov 1 15:04:06 2005 +0000

    Revert previous commit and Proper solution

commit 099a0004733ca7c908e7cd0ea137fe58c5914112
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Nov 1 14:58:12 2005 +0000

    Delete this one by mistake

commit 119e8f41160dae9cf50327b5e71735a18bc2c1b6
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Nov 1 13:58:33 2005 +0000

    *configure.ac: It was confusing pkg-config on MacOSX

commit ffb0289c851bc2fae806650cbf18fbe91e184c70
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Nov 1 13:09:51 2005 +0000

    contrib/Makefile: svn for mkv/ebml + cddb is a tgz

commit 81d11ad981773301f3f624343fb7734a3312508b
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Nov 1 12:13:33 2005 +0000

    Oops

commit 32f9d615e87bdcfb5811d6d7f7a2d969aa8f64f7
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Nov 1 11:39:49 2005 +0000

    Don't put .zlib as requirement as it can came from the system

commit 0a5027d1cdcff19dbb5e8f8fc9e325fa47ed091b
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Tue Nov 1 11:30:23 2005 +0000

    ALL: Merge the win32-contrib branch.
    
    Todo:
    	Fix FLAC
    	SDL patch by Meuh

commit 77609b74c1bf8b53cab5c2a3906c0ad53bfff590
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 31 23:26:56 2005 +0000

    * modules/stream_out/transcode.c: fixed small memleak.

commit 768c27bf270db6e152dbccaa53156a92a64aeba4
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 31 23:10:29 2005 +0000

    * modules/codec/ffmpeg/encoder.c: fmt_out.p_extra needs to be malloc()ed.

commit b0d6d5d06fd65158f58185d1eca448d773e5a387
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 31 22:42:04 2005 +0000

    * modules/codec/libmpeg2.c: when AR is forced by input, assume it is based on width/height, not display_width/height (required for broken DVDs).

commit 0d78d420c471830db002dda8efcd26470d65997d
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Mon Oct 31 19:53:30 2005 +0000

    Oups, latest commit was broken.

commit eb1795eb35d7df34dce9a23329a273f63d18fba7
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Mon Oct 31 19:46:29 2005 +0000

    Fix a mistake in the resampling algorithm (hope I didn't forget any place)

commit 28efeeec147313721344c35450ac80a10e99ed93
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 31 19:14:39 2005 +0000

    * modules/codec/ffmpeg/demux.c: do not re-invent the wheel.

commit 570f1d4371279adcf13d9f9a9d9eb3eb98a31bf5
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 31 19:10:00 2005 +0000

    * modules/codec/ffmpeg/demux.c: added raw video support.

commit 79aa3c87f2c7210bcff522b40d9b2204415c6061
Author: Marian Durkovic <md@videolan.org>
Date:   Mon Oct 31 13:34:17 2005 +0000

    fixed untranslatable strings

commit 8b281a4bf943080ac9b5608867c9f86114c16cae
Author: Marian Durkovic <md@videolan.org>
Date:   Mon Oct 31 13:17:28 2005 +0000

    we need 16:10 cropping as well, there are monitors with this
    aspect ratio (e.g. 1280x800, 1920x1200)

commit 8a8f406a9f2d688504c8a72f7ff50b234917e371
Author: Marian Durkovic <md@videolan.org>
Date:   Mon Oct 31 13:13:55 2005 +0000

    avoid rounding problems

commit 5b98440b8c458cd4d9bd53ab3fe749ff5dd1d5ac
Author: Marian Durkovic <md@videolan.org>
Date:   Mon Oct 31 12:44:12 2005 +0000

    sar_num needs to be adjusted as well

commit 42928cf80898c7c7a919f308505bc88d573a65f1
Author: Marian Durkovic <md@videolan.org>
Date:   Mon Oct 31 07:33:48 2005 +0000

    make Crop or Aspect change autoamtically resize the window

commit c5f75658bf4867d0f3028c74cc5df1ef0e9349a2
Author: Marian Durkovic <md@videolan.org>
Date:   Mon Oct 31 07:28:26 2005 +0000

    VOUT_SET_ZOOM can't be relative, since it doesn't work if user saved
    anything else than zoom=1.0 in Preferences.
    Reworked it to always go through InitWindowsize()

commit 3887b077c1011c9dc068e416465067755659430f
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Oct 31 01:46:14 2005 +0000

    * changed default value of sub-margin to 0
    * sub elements can be moved up (positive values) and down (negative)
    * force_crop'ed elements cannot be moves (usually only dvd menu's)
    * works for spudec and subsdec
    * if the margin / offset correction forces the picture out of the main picture, the offset is cropped so that the subpicture is still 100% visible.

commit e576f470007a61eb0dac4cec38fc22e577211004
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 30 21:21:22 2005 +0000

    * if we are certain we have a visualization module, don't try to open it as an audio-filter first. (fixes #416)

commit a21ad9f08840d43ee52083e6064e2abac34faf44
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Oct 30 19:52:47 2005 +0000

    * added DJ's 10.2-patch again. Fixes the compilation of libcddb on the xserve.
    * macosx.m: renamed "Stretch Aspect ratio" to "Stretch video to fill window" to make the option's meaning a bit more clear (thanks to Jonas for the hint)

commit 2e242de394b69488abea71d5e673bdea7bc3a991
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 30 19:50:14 2005 +0000

    * modules/codec/ffmpeg/ffmpeg.c: avoid a strcmp() in LibavcodecCallback().

commit d1d351f89f0be4368c5b854a50b85b76a115f5d2
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 30 19:38:44 2005 +0000

    * modules/codec/vorbis.c: fixed crash on codec cleanup when headers couldn't be decoded.

commit f86dc7ba44f8a5e8fc029fc2d697a680c1e752e0
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 30 19:35:21 2005 +0000

    * modules/codec/ffmpeg/ffmpeg.c: fixed crash in LibavcodecCallback() when used from libavformat.

commit ddf2536c6410ae84be276e613466e2494315e191
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Oct 30 19:35:10 2005 +0000

    * forwardport [13037]

commit e76bab2995c0e5feb67df30665d14d786490fa82
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Oct 30 19:05:52 2005 +0000

    * fixed some other strings

commit ac22bdb8060ed5dc6e4c20275960d8da02a8aa31
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 30 19:00:12 2005 +0000

    * modules/demux/mp4/mp4.c: set fmt.video.i_bits_per_pixel (needed at least for QT RLE).
    * modules/codec/ffmpeg/ffmpeg.c: added QT RLE fourcc.
    --This line, and
    those below, will be ignored--
    
    M    codec/ffmpeg/ffmpeg.c
    M    demux/mp4/mp4.c

commit 856a18f74359732cb62210a11c95431f572208ce
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 30 18:04:48 2005 +0000

    * modules/codec/ffmpeg/demux.c: Updated to use latest libavformat api (was broken due to libavformat api changes).

commit 84b1163ffc6635866dca38ecd4138886367b9538
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Oct 30 17:27:01 2005 +0000

    * fixed some untranslatable strings and strings which existed both with and without trailing spaces. Thanks to Jonas A. Larsen for notifying me about them.

commit 6f2374bf4afe0fd7a12ba0b95cc3ea427396967a
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Oct 30 17:15:13 2005 +0000

    * forwardport [13030]

commit 8d4865c19d8122e453ad68e811e68947a1967219
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 30 16:42:40 2005 +0000

    * forwardport of 13010

commit d8759c262b75deb5a12f44f32949e43e8e4f3dd9
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 30 16:25:28 2005 +0000

    * modules/demux/real.c, modules/access/rtsp/*: fixes for real rtsp / demuxing.

commit 83ec5ce2098a65c527555a4ff5d84f8e598767ea
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 30 14:58:05 2005 +0000

    * src/video_output/video_output.c, src/input/decoder.c, include/video_output.h: try to reduce i_sar_num/i_sar_den a bit hader to prevent overflows + remove p_vout->b_override_aspect which isn't used anymore.

commit b376e4e2a305ec3243b0bf07fbbf6538e35ff602
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Oct 29 21:14:23 2005 +0000

    s/unsuported/unsupported/ (thanks to tumu)

commit 6840bc0fee23425ce313da6f2ed94847092407f9
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Sat Oct 29 20:20:14 2005 +0000

    set the samplerate before the format. The open of the device will fail when trying to set the sample rate to a value the soundcard doesn' support afet having set the format to fl32. Now, we will fall back to s16l if the device doesn't support the rate in fl32.

commit 17b63405988b455329963bc60fc1c2c3c4ec492b
Author: Marian Durkovic <md@videolan.org>
Date:   Sat Oct 29 18:06:58 2005 +0000

    removed i_seqno from block_t ; RTP access now stores seqno in i_dts.
    Closes #414

commit 0b62be3af21b84cea9782c6dbc35adf03977398e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Oct 29 16:58:12 2005 +0000

    * modules/video_output/wingdi.c: misc fixes and improvements.

commit 872cb1cab479572b18e32f36065235f0ccb58bb6
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Oct 29 16:14:21 2005 +0000

    * modules/video_output/directx, modules/video_output/x11: take cropping into account when reporting mouse coordinates.

commit 667f188961341ded83b0b17527a71961701e945f
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Oct 29 14:27:18 2005 +0000

    changesets r12782 and r12804 from 0.8.5-zorglub branch concerning podcast
    service discovery and demux modules.

commit 9381154038e465e6caf971f19f30420a52635c1b
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Oct 29 14:17:11 2005 +0000

    oops

commit 10a2b566a7d3885c1c95787d596c1d1d26fe7388
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Oct 29 14:12:13 2005 +0000

    s/ffmpeg/x264/

commit d5e8b7340d120798bd5871bafaf96f4e14a0b1b8
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Oct 29 14:10:10 2005 +0000

    allow subpel option in the 1 to 6 range for X264_BUILD >= 30 (r262)

commit 2ceb14b89a832bcf084648fcdaf1bcfa65a4e20f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Oct 29 13:01:46 2005 +0000

    * modules/codec/libmpeg2.c: fixed detection for aspect-ratio change.

commit 29174f4ec4bcfb1b216ce9d4afc8df58111604d0
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Oct 29 12:43:40 2005 +0000

    * modules/video_output/x11/xcommon.c: support on-the-fly ar/cropping in the x11 vout.

commit 51796a5fe195c82973f7f6fa61ae6ecfe7f13b0f
Author: Jon Lech Johansen <jlj@videolan.org>
Date:   Fri Oct 28 21:44:53 2005 +0000

      * configure.ac: Added --with-tree for various decoders.

commit 7c75321657485ed438fddeaff573df6c81d0aa22
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Oct 28 20:20:30 2005 +0000

    * Adds radix_safe printf/scanf for liveMedia contrib

commit 92d71fdf75e2a4a3e769ebd5388d4dc761888fcb
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 28 19:34:27 2005 +0000

    * modules/misc/freetype.c, src/video_output/vout_intf.c: fixed a couple of memory leaks.

commit 6b24b40348f314fa2b0115a5594943433f2deab9
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 28 17:35:40 2005 +0000

    * configure.ac, extras/MacOSX/*: bumped version to 0.8.5-svn.

commit ed290de26d2df252ab63a7f5934700b07f990093
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Fri Oct 28 17:00:00 2005 +0000

     * magnify video filter. Still needs some work on the zoom method (which
       isn't really efficient)

commit 15ed7cfb30b61b751818c190e28d20a1fc781bb5
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Fri Oct 28 16:55:39 2005 +0000

     * new gradient and edge detection video filters (sobel gradient)

commit 97d37e899f5072da2faeadbea12a864ec4d38ba7
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 28 15:25:11 2005 +0000

    * src/video_output/*: re-implemented InitWindowSize() using fmt_in.i_sar_num/den and moved it to vout_intf.c where it can be called again after crop or aspect ratio changes.

commit 9bb8de340ee97bd5467375b1971b9470563b6cf4
Author: Steve Lhomme <robux@videolan.org>
Date:   Fri Oct 28 14:31:32 2005 +0000

    mkv.cpp: support the new A_AAC codec ID and SBR for older IDs (more tests needed)

commit 714029c8420b69885692eec32e93f3cbe850b701
Author: Marian Durkovic <md@videolan.org>
Date:   Fri Oct 28 13:21:11 2005 +0000

    call vlc_ureduce to simplify sar

commit 14bde4f9f84e36c776845d255a4e4f5054127f6e
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Fri Oct 28 12:36:08 2005 +0000

    rc control interface fix for correct reporting of playlist state when toggling pause.

commit 2bb4d93daba67880253ae8a4e5f9cf5153d3ad7d
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 28 09:30:47 2005 +0000

    * src/libvlc.h, src/video_output/vout_intf.c: added crop config option + changed --monitor-aspect-ratio into --monitor-par (pixel aspect ratio). It makes a lot more sense since lots of widescreens still have square pixels.

commit 5e15330ddcf933d80aa2b912192a4a94155ad35f
Author: Marian Durkovic <md@videolan.org>
Date:   Fri Oct 28 09:15:51 2005 +0000

    fix for HDTV-1080 format: window size now correct (1920x1080)

commit cff02a626f22592be43b72185c2cdc1405fbad80
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 28 08:21:18 2005 +0000

    * modules/video_output/directx/directx.c, modules/video_output/directx/glwin32.c, modules/video_output/opengl.c: support on-the-fly aspect-ratio changes.

commit 5780754659242cfee27253d3162e280ba8e7473c
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Oct 28 08:05:51 2005 +0000

    * ' ' -> '_' in !DARWIN define

commit b276a3383f9e193fc464f5be55c1479c7a2b3508
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 28 07:04:40 2005 +0000

    * modules/video_output/x11/xcommon.c: support changing aspect-ratio on-the-fly.

commit e9548f4d05861a383a445d8769407244313d3218
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Oct 28 07:03:17 2005 +0000

    * src/video_output/*, include/video_output.h: support changing aspect-ratio on-the-fly.

commit d1551e175043a959e22ebaccce5a9a3a9aba9222
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Oct 28 00:13:28 2005 +0000

    * hotkey: Go to DVD menu (ctrl-M)

commit 6b2960cf3d6c3ae7f256ead81cc9693cbcf6ca1b
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Thu Oct 27 22:46:47 2005 +0000

    plugin.cpp: on activation, set width and height in VLC configuration variables with plugin actual geometry, this prevents video rescaling when starting video

commit 91aa2047e6a755b6ab88729f28a93fc3762cfdd7
Author: Steve Lhomme <robux@videolan.org>
Date:   Thu Oct 27 19:23:47 2005 +0000

    mkv.cpp: get ready to support pixel cropping (top/bottom/left/right) when it will work from the demuxer in VLC

commit c5fae24e5abc3d790e1c4ce866ec7eb6ba786b88
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Oct 27 18:19:05 2005 +0000

    * updated the po-files once again in preparation of the string freeze

commit db7107f25dc7e55fb0e48c247abbf07d70de9f3b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Oct 27 18:15:35 2005 +0000

    * minor string fixes

commit 1bf86eb081301a0196cde0e745dadfe756ce019e
Author: Marian Durkovic <md@videolan.org>
Date:   Thu Oct 27 13:39:50 2005 +0000

    fix relation between MTU and RTP max packet size - closes #408

commit 24dc1822ebaff258b13dffc3f60b48b9cd82f54d
Author: Marian Durkovic <md@videolan.org>
Date:   Thu Oct 27 12:57:14 2005 +0000

    skip 4 bytes also for RTP payload=32 (MPV) - RFC2250

commit 0337533b39a2eada8c257a2f6a127a807e89ddcc
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Oct 27 09:52:30 2005 +0000

    * modules/video_output/directx/glwin32.c: support on-the-fly crop changes.

commit 6139440a60f5be435442401f4828e29d9e07bd03
Author: Marian Durkovic <md@videolan.org>
Date:   Thu Oct 27 09:29:36 2005 +0000

    use visible width/height in crop filter

commit e6cdbf3d8f81f66783cf4f1b26af60c6b1a39c76
Author: Marian Durkovic <md@videolan.org>
Date:   Thu Oct 27 07:31:15 2005 +0000

    fixed huge memory leak affecting #rtp stream output

commit 3ca216ee0eb08831702a4abebbfce578e1c94103
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 26 22:52:05 2005 +0000

    * modules/video_output/x11/xcommon.c, modules/video_output/opengl.c, modules/video_filter/deinterlace.c: added on-the-fly cropping support to opengl and deinterlace.

commit d2a6a11d78b41ce649b922a55257e6271a89a507
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Oct 26 18:34:34 2005 +0000

    * updated po files because of make dist fixing

commit ba1924b6ccc1b2f8e6fc6b55e71ea3ebaa59cd1d
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Oct 26 15:41:51 2005 +0000

    * Don't include the Update.nib in make dist

commit b308b839acbec0e9ea50a5251e7f7cea6e276943
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Oct 26 14:37:49 2005 +0000

      * bootstrap: fixed bashism (#411).

commit f0d69f13d3ff7259a9cd71fcc52ab11b58864990
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Oct 26 14:31:03 2005 +0000

      * bootstrap configure.ac: removed Cisms from shell tests (#411).

commit 6da562f9bfaa51e09c4bc8b1e75c5f30229c5057
Author: Marian Durkovic <md@videolan.org>
Date:   Wed Oct 26 09:14:14 2005 +0000

    fixed SAP c= line TTL issue in #standard,
    --sout-udp-ttl takes precedence over -ttl

commit 6016460e5326686f14123f5db7d16f12dc8cbd64
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 26 07:52:01 2005 +0000

    * modules/video_output/directx/directx.c: support on-the-fly cropping.

commit 8a47c573fe02fac7e313dc2cd88b3f7760f5adc3
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 26 07:51:19 2005 +0000

    * src/video_output/vout_intf.c: small fix for cropping.

commit 71b135655d2cda25d29d22beb18d9898c75268bb
Author: Marian Durkovic <md@videolan.org>
Date:   Wed Oct 26 07:05:06 2005 +0000

    fixed aspect ratio calculation when deinterlace->discard is used

commit afd4e73c23ebdc8b379a75a88ee9e4b176ede0b9
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Oct 25 23:33:43 2005 +0000

    * modules/video_output/x11/xcommon.c: added support for on-the-fly cropping to xvideo.

commit e7e8d104eb51b6905d20bfa866bc248f98f67ef6
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Oct 25 23:32:28 2005 +0000

    * src/video_output/vout_intf.c: added support for on-the-fly cropping in the core (needs some vout support).

commit 16a8d677f41180060866f52454e9c7325bd5de9d
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Oct 25 23:19:51 2005 +0000

    * Fix a memleak in the image video output.
      It's still not leak free. I suspect an error in src/misc/image.c

commit f2a9e65e077874b804b4ba99542f883cfca9caf4
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Oct 25 19:24:21 2005 +0000

    * modules/video_filter/*: use p_vout->fmt_in/out.

commit a5f23e848b79bada1c8c128089bd024d85b6dd8f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Oct 25 19:10:30 2005 +0000

    * modules/video_filter/deinterlace.c: fixed aspect-ratio + pass on cropping info (could be optimized to only deinterlace cropped part).

commit bc9929eef5e2b7b290a8f9ca9478e55091af53be
Author: Marian Durkovic <md@videolan.org>
Date:   Tue Oct 25 16:27:06 2005 +0000

    once again...

commit 4b336b8e86850b42d218663a1b3d587a68ef2b37
Author: Marian Durkovic <md@videolan.org>
Date:   Tue Oct 25 16:21:55 2005 +0000

    string modification before freeze

commit 44c1b34bd75f90ea55f00e85f20e52b1ce4fe214
Author: Marian Durkovic <md@videolan.org>
Date:   Tue Oct 25 13:01:39 2005 +0000

    fix for SAP announcements:
     * if --sout-rtp-ttl=0  use --ttl for c= line

commit e9b9f8ab40a0e354001bbcf9c1ee157b7a79ebe2
Author: Marian Durkovic <md@videolan.org>
Date:   Tue Oct 25 10:55:47 2005 +0000

    put --sout-udp-ttl back, needed if streaming several stream with
    different ttl each.
    Need to re-think relations with --ttl and SAP within #404

commit f84c833c7911744b0ca0005778eec1eaf3b8d395
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Oct 25 10:32:49 2005 +0000

    one more fix :) -- courmisch approved ...

commit 0fe7062c18baef9daeefba4410ac076b62127616
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Oct 25 10:21:29 2005 +0000

    Work-around wxWidgets overriding the LC_NUMERIC setting (closes #406)
    
    In any case, that's ugly and thread-safe. The proper solution would
    be to reimplement an atof() version that is locale-independant and
    use in the many places that expect C/American float numbers. Even
    then, there might be some buggy underlying libraries breakage
    (e.g. Live555 ?).
    
    Tested on Linux (both UTF-8 and Latin-x locales).
    Needs testing on Win32.

commit 711eb06688793f2c1d9ba2356f901790da5fa9fc
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Oct 25 09:45:36 2005 +0000

    Revert heavily flawed commit 12959.
    
    I'm not explaining this again.

commit 1385a1a710eb4ddae15063d62fb138f5038213bd
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Oct 25 09:08:28 2005 +0000

    re fix the stupid float ","/"." error. Please don't break it once again
    (fixes #406)

commit af72dcc4b4e4c3df31c6701b9e819a8e80ebc7a6
Author: Marian Durkovic <md@videolan.org>
Date:   Tue Oct 25 08:55:07 2005 +0000

    get rid of confusing --sout-udp-ttl and unneded warning message

commit 00fa05ae85ed4ef0061567701008cf482c54376f
Author: Marian Durkovic <md@videolan.org>
Date:   Tue Oct 25 07:46:22 2005 +0000

    Use RTP for wizard, since it's capable of packet reordering.

commit 7c4d12ee3b57cc2b645b21b1fd78c6cce995e3b3
Author: Marian Durkovic <md@videolan.org>
Date:   Tue Oct 25 07:02:52 2005 +0000

    FTP URLs are relative to user's default directory (RFC1738)
    For absolute path use ftp://foo.bar//usr/local/etc/filename
    -This line, and those below, will be ignored--
    
    M    modules/access/ftp.c

commit 773b8f68396382cca6140c1311c81a254896d1a7
Author: Cyril Deguet <asmax@videolan.org>
Date:   Mon Oct 24 19:59:51 2005 +0000

    * all: Post a CmdResizeVout command when the vout size changes
    (this command does nothing at the moment ;)

commit 4a3274fbe8ae70fc5fbab4af74a323692241d3f9
Author: Marian Durkovic <md@videolan.org>
Date:   Mon Oct 24 17:08:54 2005 +0000

    modifications for RTP reordering:
     * for RTP, prebuffering is done within RTP access
     * reordering now working within this buffer
     * solves synchro problems since packet rate is preserved

commit 60acd31a1db0b05f2960229da2a20f121933ceee
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Mon Oct 24 15:17:03 2005 +0000

    Add a "clear" command to empty the playlist (someone asked for it)

commit 54c3c6a03a21e78e07441a7325b030476250c409
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Oct 24 08:26:23 2005 +0000

    * modules/video_output/directx/directx.c: removed debug message.

commit 5811a7d6a760db4064b7e698abf551f181f6c14d
Author: Marian Durkovic <md@videolan.org>
Date:   Mon Oct 24 07:33:08 2005 +0000

    fixed SAP announcement deletion for muxed streams

commit 5805cafb899e0fad02653aeeca6da46659f2acc5
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sun Oct 23 17:59:52 2005 +0000

    * ctrl_tree.cpp: (un)folding of a playlist item is no triggered
    by a simple click (was a double click before) which is more
    natural

commit 89acb8f512feb0a4be4587ce085be08aa922b2de
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sun Oct 23 17:42:16 2005 +0000

    * all: don't rebuild the whole playtree when an item is updated
     (at the moment the tree control is still entirely rebuilt,
     but now it will be easier to fix that)
     + coding style fixes

commit 4e34b354ce78690fff15543535e34e5ac99744c2
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Oct 23 16:55:11 2005 +0000

    Add support for wmap

commit 3f749b9b5994a51f1ade06d3ded6807baa7095c2
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 23 16:43:48 2005 +0000

    * modules/misc/network/ipv4.c: fixed wince breakage.

commit 831562a56507bc79b06bbb1e8fa5f8153ca7ead0
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 23 16:24:30 2005 +0000

    * src/misc/net.c: WinCE fix.

commit db2eed2d818d3642b22f355727bf264b88055f9a
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 23 16:08:22 2005 +0000

    * modules/codec/realaudio.c: on win32, use codecs installed by realplayer if available.

commit 5165e593cb45ef83adc53c923e3d722963d02af0
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Oct 23 15:34:37 2005 +0000

    Backport OS X specific USE_LOCALE patch to trunk/

commit 3e8aabdc4f4ce5601b2b57c9f15d0a4cda92fca2
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 23 14:53:50 2005 +0000

    * modules/video_output/directx/directx.c: small fix for last commit.

commit b32e2119e224a5bbf3fb1064d66fb9e1b45ef1cf
Author: Eric Petit <titer@videolan.org>
Date:   Sun Oct 23 14:43:07 2005 +0000

     ffmpeg.patch.cvs: oops, fix build

commit dc32e3f74e1abf2f63b02a8eb87e875ceeeb9575
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sun Oct 23 14:39:57 2005 +0000

    * png_bitmap.cpp: fixed handling of PNG bitmaps with an alpha channel
     (was broken for quite a long time...)
    * ctrl_tree.cpp: removed debug messages

commit 883daa52cac1043039271c622fe46a81b5887e74
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 23 14:36:33 2005 +0000

    * modules/video_output/directx/*: support for cropping.

commit d35b01cc26b90febeff9383426ccb9c543acd228
Author: Eric Petit <titer@videolan.org>
Date:   Sun Oct 23 14:12:57 2005 +0000

     Patches/ffmpeg.patch.cvs: fix for current CVS (hunk was failing)

commit 2b0ff6b80bcf8944274210fe7958a17685ca5aa8
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 23 13:04:54 2005 +0000

    * modules/video_output/opengl.c: hopefully got it right this time.

commit b1f091085c1e83553865d8daf0dc1b71a233adfd
Author: Marian Durkovic <md@videolan.org>
Date:   Sun Oct 23 12:21:39 2005 +0000

    SAP announcer needs destination address in URI
    Hosts should never send packets with TTL=0

commit 6ab18a5045dea2fed7830e08dce6425a6f929327
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 23 12:05:23 2005 +0000

    * modules/video_output/opengl.c: implemented cropping.

commit d8ac16fbbc9e710f74e5d76b28eada07d668be7c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 23 11:07:38 2005 +0000

    * src/video_output/vout_pictures.c: avoid overflow in vout_PlacePicture().

commit 06212a31521e363780bca27eab12e06885c375c1
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Oct 23 10:58:24 2005 +0000

    Export URI from RTP module . Closes:#403

commit dab290129027229268da4414a0be9c006a473606
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 23 10:44:59 2005 +0000

    * src/libvlc.c: fixed --width/height.

commit e8d693164b01f0e9833614638af0ffb710426ac0
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 23 10:19:03 2005 +0000

    * modules/video_output/x11/xcommon.c: use p_vout->fmt_out.i_x/y_offset during cropping.

commit 540f7c1fa42c54cfbec1e3b13fc210142f189620
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Oct 23 10:06:49 2005 +0000

    Revert commit [12925] - reopens #403
    psz_uri is NEEDED - it determines the destination for SAP announces
    Go read the code before you commit

commit ec8a1a3ed14122c665410023f5bf5d2c4756008f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 23 10:01:49 2005 +0000

    * modules/video_output/x11/xcommon.c: support cropping to i_visible_width/height in xvideo (not implemented in x11 yet).

commit cc3d6f5cd3feda8efc943419d9162ed9c552c324
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 23 10:00:58 2005 +0000

    * src/video_output/video_output.c: get rid of hack for for grey line with hdtv streams (proper way is to have video outputs support cropping to i_visible_width/height).

commit 93ddf74520a069da4f06fefcac3d45b860beef61
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 23 09:52:32 2005 +0000

    * src/video_output/vout_pictures.c: use fmt_in.i_visible_width/height and i_sar_num/den in vout_PlacePicture().

commit d515ca53c0554f270035bb2441e952b66eaeb78d
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Oct 23 09:43:43 2005 +0000

    psz_uri can be null in sap announcer if we have a SDP (Closes:#403)

commit ad69969da07b08850d7bec945f7e194897549d38
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Oct 23 09:33:13 2005 +0000

    Another bunch of attributes fixes

commit 60daba85722ee84e7ae9c451119d077e2547593a
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Oct 23 09:25:27 2005 +0000

    Add usual SVN properties

commit b2f135326bd45c78b161219c64299359cedbe9b0
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Oct 23 09:24:07 2005 +0000

    C source code is not executable

commit 242e60882755e9f54262c79b6f9e977ebdd43741
Author: Marian Durkovic <md@videolan.org>
Date:   Sun Oct 23 09:18:05 2005 +0000

    use correct address filed for MMSH

commit 396d39fe56f85f3102205d69907d1fb39d6d76e1
Author: Marian Durkovic <md@videolan.org>
Date:   Sun Oct 23 09:14:19 2005 +0000

    if no mux, add TS also for RTP

commit 744adcaa056f0c8051d8db9311bb0e4220a31d1f
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Oct 23 09:00:08 2005 +0000

    Put the full path in wizard output option (Closes:#392)

commit 0390618bbc5e7001d66ae99c5e612dcd2a746f2c
Author: Scott Caudle <zcot@videolan.org>
Date:   Sat Oct 22 18:20:45 2005 +0000

    msw ShowConsole() - enable previously provided msg on console for --help file output.

commit 989a7bdb9eb01352a4be8215db4c63caf905da25
Author: Boris Dorès <babal@videolan.org>
Date:   Sat Oct 22 17:58:12 2005 +0000

    - accurate testing of i_original_channels

commit 4bcde5742787049b78f3beb9bf61646bd6674abf
Author: Marian Durkovic <md@videolan.org>
Date:   Sat Oct 22 16:23:01 2005 +0000

    allocate HUGE buffer only for Windows sockets - see last paragraph in:
    http://www.itamarst.org/writings/win32sockets.html

commit 9a68a1afc6c6764c73fd1329319ada0d465834dd
Author: Steve Lhomme <robux@videolan.org>
Date:   Sat Oct 22 15:04:45 2005 +0000

    mkv.cpp: add some debugging messages for the users and tests for unsupported tracks

commit 76f6417bec5548faddf32feadf3c2e120341da01
Author: Steve Lhomme <robux@videolan.org>
Date:   Sat Oct 22 13:12:25 2005 +0000

    mkv.cpp: add support for the basic A_AAC codec ID

commit 071e4fc6d445d76ec42fb99dbcca5a69521b6079
Author: Steve Lhomme <robux@videolan.org>
Date:   Sat Oct 22 12:46:29 2005 +0000

    mkv.cpp: support for the new header stripping compression

commit dccb47b82b469f118b6ced550c3cee3bc7ad202c
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sat Oct 22 11:57:29 2005 +0000

    * all: the "visible" attribute for windows (in the XML) now
      does what it should (if set to "false", the window is hidden
      when the theme is loaded for the first time)

commit 272e3bf936e50fd28bd163dc725dcbcc1d29759f
Author: Marian Durkovic <md@videolan.org>
Date:   Sat Oct 22 11:56:42 2005 +0000

    increase output buffer for HTTP streaming to 1 MByte
    - now Windows machines are able to stream even 20 Mbps HDTV over TCP
    - resolves  http://forum.videolan.org/viewtopic.php?t=8374

commit d84fb95fb622e240d91fca4348d2145bf935fa7f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Oct 22 11:16:33 2005 +0000

    * src/video_output/video_output.c: revert #12904 which is useless since it is already done in vout_IntfInit().

commit c014bb1803a1f8ea8d0b4202857e12c99f6e4fca
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sat Oct 22 11:06:15 2005 +0000

    * modules/audio_output/alsa.c: rework of the previous patch.

commit a1bd506bf19b7a10adb1315110563467caf089f5
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sat Oct 22 10:18:20 2005 +0000

    * hotkeys.c: don't crash when there is no input

commit 6e701044b3dca20ecfd8476e5a7d141c4b8154c7
Author: Steve Lhomme <robux@videolan.org>
Date:   Fri Oct 21 19:08:09 2005 +0000

    mkv.cpp: implement working support for the new SimpleBlock (only when libmatroska 0.8.0 is used)

commit 7c18bb2239406913f2dc2a5986204c1115eca782
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Oct 21 14:17:48 2005 +0000

    * use the latest ffmpeg-cvs again. Included dionoea's build fix (rev. [12607]). Thanks to xtophe for pointing this out.

commit 524254f836416fba567be30b2b168d63811fb3a5
Author: Scott Caudle <zcot@videolan.org>
Date:   Thu Oct 20 22:37:14 2005 +0000

    updates spectrometer visualization. some optimization tweaks and additional features.

commit 46d8d47a755832d9153d40825eefdfd5cd4737f5
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Oct 20 22:21:20 2005 +0000

    * I think this should fix the width & height params of vout. If anyone sees anything wrong with it, please say so. Report thx to Greg Farell. fixes #399

commit 9e2ad0759021e6a1a698efa15ab912b8763233b8
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Oct 20 19:56:22 2005 +0000

    fix one potential refcount problem

commit 4aa556027530ad7bb48971ab37099373240a72df
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Oct 20 19:42:24 2005 +0000

    Put vlc_object_release() at the proper place. This fixes a refcounting problem.

commit a6f87e12b5c3a0bea2739094531abced578c4233
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Thu Oct 20 17:49:04 2005 +0000

    * Put the with-ffmpeg-* outside the test
    * beware of AC_ARG_WITH

commit 4aed5df8909c6b06832330e2baa027771acfa55d
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Thu Oct 20 15:46:00 2005 +0000

    * Fix pkg-config detection
    * fix ffmpeg extra flags

commit 3d213b2f8f0363e4b3ebdf63af0808dceb55eed1
Author: Marian Durkovic <md@videolan.org>
Date:   Thu Oct 20 14:26:09 2005 +0000

    send proper info in m= line of SAP announcements:
      m=video 1234 udp 33      for raw UDP
      m=video 1234 RTP/AVP 33  for RTP

commit 771d94cab40a778e6fa1c8f867f00ca7a82d2138
Author: Marian Durkovic <md@videolan.org>
Date:   Thu Oct 20 12:52:05 2005 +0000

    our address needs to be fetched via getsockname()
    - now SAP announces have proper source address in o= line

commit b83ce73cdc9398d7b63f777ee6bb9bca2deb3a85
Author: Marian Durkovic <md@videolan.org>
Date:   Thu Oct 20 11:09:02 2005 +0000

    added RTP method to streamout dialog

commit 81f014386394fa1b39eae77c681d448b96c32cb3
Author: Marian Durkovic <md@videolan.org>
Date:   Thu Oct 20 10:05:13 2005 +0000

    fixed some issues with port numbers
    (VLC expects muxed streams on port 1234)

commit a44ee597ebb45703de22c47535c0c5c0c176d9cf
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Thu Oct 20 07:27:07 2005 +0000

    Forgot to remove some debug...

commit 58cf097daccf3e8066359f9a00d34a1821fa30a1
Author: Marian Durkovic <md@videolan.org>
Date:   Thu Oct 20 07:17:09 2005 +0000

    fixed rtp with mux=ts

commit 0644d438694e8917ebbdff0ac50bf42fcdbef613
Author: Steve Lhomme <robux@videolan.org>
Date:   Wed Oct 19 20:00:52 2005 +0000

    mkv.cpp: read the new KaxSimpleBlock element (when libmatroska 0.8.0 is used)

commit 10b4712657b5f16907fc16cf7499ea0ca080fd84
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Wed Oct 19 19:53:05 2005 +0000

    * This should fix switching from a stereo device to surround40 or surround51 with the alsa audio output (close #85).
    * Now we probe the device for supported formats on each device change
    * Please test this, at least on stereo inputs. We don't want a broken alsa audio output in 0.8.4...

commit 7d31e6022391b827f3bd0b2bbce30eb49e05cf84
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Oct 19 17:26:07 2005 +0000

    * fix aclocal-cleaning

commit 4b48d8ff4ab36d59a6ca6fae9688a9ffd7c0d692
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Oct 19 11:27:09 2005 +0000

    * fix liveMedia URL

commit 73c192e5029a2e61bef3974018a261e27db1af2e
Author: Marian Durkovic <md@videolan.org>
Date:   Wed Oct 19 09:38:50 2005 +0000

    use display width/height for libmpeg2 debug message

commit 688720dfb06b76bf2bde964bd1ed882e6b21abf0
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Oct 19 09:12:12 2005 +0000

    * src/input/input.c: fixed segfault with sub autodetection.

commit 7a879adc5fd066c5d1cc7642f372f65997f97726
Author: Marian Durkovic <md@videolan.org>
Date:   Wed Oct 19 07:09:09 2005 +0000

    1088->1080 fix for broken HDTV encoders; could be disabled via --no-hdtv-fix

commit 818d87e5be0e179d38439305368b32cdb160a950
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Oct 19 00:09:54 2005 +0000

    * Fix clean target of liveMedia

commit 8b46c7ab57cdb02ad8a03f63e7a2bef31fab487f
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Oct 18 23:58:23 2005 +0000

    increment version check ... (QDM2 won't work before ffmpeg people bump
    their version number up, but at least it doesn't break builds with older
    versions of ffmpeg)

commit 09fe388850734a0433c502445756ee36cd5060f2
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Oct 18 23:49:35 2005 +0000

    * Re apply the revert from [12159]. ffmpeg pkg-config has been fixed. closes #306

commit d1001432b3a7ef652f9bdcd9e1b81f211184a88e
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Oct 18 23:36:35 2005 +0000

    check for LIBAVCODEC_BUILD >= ((50<<16)+(0<<8)+0) in order to use QDM2

commit f0ea0a191e7390fa3f49dca0ea61c0e6f4ac8639
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Tue Oct 18 23:05:09 2005 +0000

     * add qdm2 support. Thanks to the ffmpeg people for this new feature.

commit ed646f0f07d91e11564864399dfa9f8161a89c97
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Oct 18 21:53:42 2005 +0000

    * Don't crash if we cannot retrieve a directory in which to search.

commit 1d135a804f2d2fafddc12567f066fb866c9ccd07
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Oct 18 21:03:34 2005 +0000

    RTP reordering fixes.

commit 52932184a4d386ea98ef71ba504222026da46a5d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Oct 18 21:02:04 2005 +0000

    * let's run 'make clean-src' when typing 'make clean', since make clean-bin won't be used anyway. The user is informed of this through a message.

commit 127ac12b6d26d618c9fe57d43ee6e26a0c65f15b
Author: Steve Lhomme <robux@videolan.org>
Date:   Tue Oct 18 18:59:26 2005 +0000

    configure.ac: require libebml that fixes a major bug

commit 50816536a3e582473bcbe894a5668ec5279e31b7
Author: Steve Lhomme <robux@videolan.org>
Date:   Tue Oct 18 18:58:58 2005 +0000

    contrib: update the libebml/libmatroska versions (libebml fixes a major bug for Haali's files)

commit a8a7362ba05d3472b4972095063d76b524048179
Author: Marian Durkovic <md@videolan.org>
Date:   Tue Oct 18 07:16:14 2005 +0000

    use display dimensions when creating vouts - solves HDTV greyline bug

commit 1f4b74086c3ef0533bd2fe5065d8a07694fab1cb
Author: Marian Durkovic <md@videolan.org>
Date:   Tue Oct 18 07:12:27 2005 +0000

    prepare video outputs for display size not equal to encoded size

commit 6798e163ab59305d97c5e07e716f9d6e0e851aea
Author: Marian Durkovic <md@videolan.org>
Date:   Tue Oct 18 07:04:46 2005 +0000

    calculate SAR from visible width/height

commit e75daaa6f4ea320321f900e8657212365f0099a5
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Oct 17 21:41:01 2005 +0000

    reverted most of revision 12872, it didn't work after all

commit eeab96f133f3e745a9b961557d6b6537e9628548
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Oct 17 20:43:33 2005 +0000

    Several RTP reordering fixes (Thanks to Marian Durkovic for finding them)

commit 2cf38dd9195464f7d418938c96337bd83f635bcd
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Oct 17 20:15:10 2005 +0000

    * Renamed "Advanced" subcat of "Input / Codecs" into "General" and made all the advanced options within it hidden.

commit 1ceb883e26eabce46d7ce7dc361ab5745cdae77f
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Mon Oct 17 14:37:20 2005 +0000

    plugin.cpp: formatting cleanup
    vlccontrol.cpp: fixed a bug when processing target options stored in a safe array, last element in array was never processed

commit 62ee2f9ddd492139eb60c034929198dc5123a7cd
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Mon Oct 17 01:14:04 2005 +0000

    * cough, cough... undef a config option decleration

commit e6119f9951c79bd13bded8b56bbc8c161aea74f6
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 16 23:21:25 2005 +0000

    * Fix crash on Quit issue in Mac OS X
      This is really dirty btw. the OS X GUI module has some serious memory management issues.

commit 37658acad9821853273320353b6410b93d3a839c
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 16 22:02:33 2005 +0000

    * Fix BeOS breakage due to [12863]

commit 91b22a6d0228c20bc2412d1e607ba4d67faabe04
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Oct 16 22:01:51 2005 +0000

    correct DVD autoplay (thanks to E-bola)

commit c3319cfa1528effa569f20cea7b177bed580b420
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 16 21:54:04 2005 +0000

    * Fix the sub autodetect directory string

commit d2dc70071357994d697e324d1bbc6ec420056017
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Oct 16 21:20:05 2005 +0000

    Fix several segmentation faults

commit 907f220a86fc4754f457da39b35448b0da6cd68b
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Oct 16 21:15:02 2005 +0000

    Rewrite base64 encoder
    (it was not padding properly the end of encoded stream)

commit 695cb26ae199ff15c34ecb0b0bb4c43a58de59ce
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Oct 16 20:08:22 2005 +0000

    Rolled back part of revision 10144 and 11422. The solutions is the same as revision 8360

commit fccb46cab6d50c2a0551071142a834164d6a8ac6
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Oct 16 20:07:15 2005 +0000

    Remove useless whitespace

commit 75208d546966b402894733f296c8e6159e4933d8
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Oct 16 20:00:36 2005 +0000

    Make sure to get the right unit

commit 59f25960a3637b7e20cb37af7bb9b7348e0762e5
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Oct 16 19:44:44 2005 +0000

    * wizard.*: added the display-option to the advanced-transcoding and the advanced-streaming options (-> it's displayed only once, since only one of these pages is displayed at a one run)
    * THANKS: added zcot's patch ;)

commit 9562f30f1b311a99baac241bf5089084d65f0a7b
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 16 19:21:08 2005 +0000

    * forgot about the strings rules for menu-items.

commit 29af403abd717fb10632ce9b6a4f8c23bc99600a
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 16 19:19:48 2005 +0000

    * announces -> announcements (announce is a verb)
      "Session Announcement Protocol"

commit c4b9470fad3ad9fac9f1309e2c4df4172411411d
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 16 18:36:20 2005 +0000

    * include limits.h to be sure of PATH_MAX availability

commit 1a16531679777b5442fb5c5f4cc4591df7974d22
Author: Steve Lhomme <robux@videolan.org>
Date:   Sun Oct 16 18:19:32 2005 +0000

    mkv.cpp: file path comparison is case insensitive on Windows

commit e9c803a1a961126714c9e7563ba8ffffb305d346
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 16 18:01:09 2005 +0000

    * Thanks to Meuuh for the feedback. threads prioritization should work now, without annoying error messages.
    * If an rt-offset is specified, then this offset is not applied to the main thread, because it's value cannot yet be retrieved at that time (same as before, but now without annoying error).

commit 0894ff443403be47932a6b0dedbaefa9114b36a6
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 16 15:44:56 2005 +0000

    * Always set priorities on Mac OS X.
    * Simplify something of [12852]

commit adb3c550be567849d29be060de5fa0435c39ddab
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 16 15:27:34 2005 +0000

    * This patch does what the revert'ed patch from before should have done. Changing priorities of vlc threads with --rt-priotity and --rt-offset. (Note that 'rt' isn't 'realtime'. We should use Mach threading for that on Darwin)
    * It also fixes the errors on the non-existent  rt-priority and rt-offset on start, which was caused because no config was loaded yet.

commit 5730eaaa4d8f64badd1938652a0ccdda235fda25
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 16 14:50:17 2005 +0000

    * What was i smoking when i did this change?

commit c37297d20147b82ecf89eddeb4256b13f29978f8
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Oct 16 14:42:15 2005 +0000

    Better thread-safety in previous commit

commit a8497048c662a53fe0503ab1d7f32011e13c2c75
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Oct 16 14:32:37 2005 +0000

    - Support for glibc IDN
    - Run-time check for IDN

commit f9d4021d9f0cd8bd2a3ecd30b391b51560614498
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 16 01:20:54 2005 +0000

    * Fix the directory 'ignore' mode which skips .jpg's, nfo's etc when opening directories.

commit d6fb7fa7dae9d22238b289012f880111df839cbe
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 16 00:30:30 2005 +0000

    * UTF-8 ified the subtitle autodetect core. (fixes #373)
    * converted it to a scandir system
    
    Please test this heavily on all your files and directories, because these routines are triggered on each opening of a file. If someone would like to review it for leaks and memory messups, I would be eternal grateful.

commit 506e6faab049a2b3ab45aa5729350361484efe74
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Oct 15 22:07:55 2005 +0000

    RTP reordering in module/access/udp.c done by me with help from Marian Durkovic (md _AT_ bts _dot_ sk). Allow src/input/stream.c to handle a linked list of blocks from demuxers.

commit 1db8de5ac5cb48f48527b7c5ba620eaff2de0fd5
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sat Oct 15 18:19:03 2005 +0000

    * Fix an OSX only issue with accents and other weird chars in subtitle filenames when using the "forced" method.

commit d8fc9a87417d36984c0c42557addb38a0fa3d74c
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sat Oct 15 17:55:46 2005 +0000

    * playlist.c: hopefully fixed the playlist screwed up for a so
     long time... (now "Next" is working in non-view mode)

commit 5cb15dcd133d86a7e6fab835e57d99f2cee3923f
Author: Steve Lhomme <robux@videolan.org>
Date:   Sat Oct 15 16:41:50 2005 +0000

    mkv.cpp: more user-friendly error messages

commit 5eec5281ecece82282ccbf6c73e306241409d890
Author: Steve Lhomme <robux@videolan.org>
Date:   Sat Oct 15 16:32:48 2005 +0000

    mkv.cpp: use error messages instead of debug messages

commit a6802ee4d0e977bf1a0dd8ac1698e890b8ef25fa
Author: Steve Lhomme <robux@videolan.org>
Date:   Sat Oct 15 16:25:18 2005 +0000

    mkv.cpp: verify that the matroska version needed for playback matches (support only matroska v1 for now)

commit 409ec0faaa80c0fbf025d6ae774352940ec82afc
Author: Steve Lhomme <robux@videolan.org>
Date:   Sat Oct 15 16:00:24 2005 +0000

    mkv.cpp: better test when files with no Segment UID are in the same dir

commit 790032d1fe63a0f6bc1da36e2c84c241bcbdf8fe
Author: Steve Lhomme <robux@videolan.org>
Date:   Sat Oct 15 15:07:17 2005 +0000

    mkv.cpp: fix a potential problem when the same dir contains files with no Segment UID

commit f60b4c79acaf0412280672f83677a96e74dacb65
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Sat Oct 15 13:23:08 2005 +0000

    all: updated my name and e-mail address
    AUTHORS: updated my entry

commit 81d59b424e199c02b818b6775f15c7daa266029b
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Oct 15 12:15:06 2005 +0000

    Fix indentation

commit ddb18b2953043baab8da8db80a52d42eadbfcac6
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Oct 15 12:12:46 2005 +0000

    whitespace cleanup

commit 36a2e724d7e9e8d79274b624310003f79aa84a92
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Oct 15 10:01:46 2005 +0000

    Fullscreen patch for rc-interface that allows to force fullscreen on or off state. Original patch is from Greg Farell (Greg _AT#_ gregFarrell _DoT_ org) and modified by me.

commit 91c268c59fc39bbe287cb54edd77b6657679ddfb
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Oct 14 11:22:46 2005 +0000

    * Revert previous commit.

commit dbb23bab9c911398b68bb54daa90dcac47b0c559
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Oct 14 10:57:51 2005 +0000

    * If codec_type != video | audio, then don't use the ffmpeg demux. (it was crashing on .gif pictures).

commit dfa05a443239c3fc1183e457e0aed6dedcbe38a3
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Oct 14 10:53:55 2005 +0000

    * libavformat shouldn't handle .xa files. We have modlib already

commit 1250d55707d9895c5181b0b8bf3d93b8b93d05bd
Author: Boris Dorès <babal@videolan.org>
Date:   Thu Oct 13 21:41:58 2005 +0000

    - revert "spdif", "force-dolby-surround" and "headphone-dim" to
      basic options

commit 012e27e7edd12536aa394684ec9e6a51bdbde490
Author: Cyril Deguet <asmax@videolan.org>
Date:   Wed Oct 12 20:44:13 2005 +0000

    * vlcproc.cpp: fixed "playlist.*" variables (were broken by the playtree)

commit c4b52184851a5c4d790a22ef8686b79f084ac585
Author: Cyril Deguet <asmax@videolan.org>
Date:   Wed Oct 12 20:06:29 2005 +0000

    * all: added "wx-config" option in menuconfig

commit b6ceabb1bc7e47db528a13df05d413092d558bbf
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Wed Oct 12 19:18:50 2005 +0000

     * modules/gui/wxwidgets/messages.cpp: set the insertion point only before inserting text (patch by zcot)

commit e5455af92e3a117356a06d90b79ad440948b558c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Oct 12 16:06:50 2005 +0000

    * set keywords correctly

commit 6796f4ef8df2d639da9a51cad23bb26bc9d387e3
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Oct 12 16:04:18 2005 +0000

    * partial translation to Simplified Chinese by Wei Mingzhi <whistler_wmz@users.sourceforge.net>

commit 7ea7afc0e9c9c8353711bc9350280ee9473b7de9
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Tue Oct 11 21:37:42 2005 +0000

    added clearer comments, couple of fixes

commit a9ee8d8a34c90c3c64d8c843a6ac33f3cffae1f5
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Tue Oct 11 17:32:01 2005 +0000

     * udp: avoid sending uninitialized memory at the end (close #168)

commit ffc45b9454e212908669d2370f5e5bf1da8d8c9e
Author: Clément Stenac <zorglub@videolan.org>
Date:   Tue Oct 11 17:16:13 2005 +0000

    Fix a bunch of preferences errors
     - Missing value lists
     - advanced / non-advanced problems
     - description problems
     - tyops

commit 9f516fa2fc9027acf50a715018b240442b779e7f
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Tue Oct 11 16:44:53 2005 +0000

    vlccontrol.cpp: fixed a bug in setVariable where arguments for VariantChangeType were inverted

commit 1fbd377cd7af379497857bcaa499804824c181ee
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Tue Oct 11 15:25:47 2005 +0000

    I keep on forgeting to reset my own debug :)

commit 7445b6bdc79aa60e338ca3572a771a942e7903c6
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Tue Oct 11 15:14:08 2005 +0000

    plugin.cpp: auto-detect debbuger and change threading mechanism to avoid VLC intialization lock when launching a debug session
    plugin.h: validate container code page before using it
    utils.cpp,utils.h: type clean-up
    connectioncontainer.cpp: fixed stack corruption (???)  when poping and dispatch an event

commit ca0ada335e61e0c94104f56e7eeb56ca9c2a2b2b
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Oct 11 13:25:41 2005 +0000

    Fix broken status command on rc interface

commit 71391376382716192e3b81a524f7d587bb17ad82
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Tue Oct 11 09:01:00 2005 +0000

    undoing zcot's screensaver patch, better luck next time :)

commit 3d284ccf939501d0ccfc4992fc515480919bf9e4
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Oct 10 15:53:57 2005 +0000

    * revert [12779] (this broke the output of MPEG PS files) and fix it correctly

commit 1760568d6bb9c926ededac2010011d9309222c62
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Oct 10 15:41:52 2005 +0000

    * set keywords properly and removed an outdated FIXME

commit 4652fd476c406ac9123e73c0feaf8687769174dd
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Oct 10 13:13:28 2005 +0000

    * applied zcot's screensaver patch. Thanks for the fix. -- needs testing

commit 5f814478791d67eff7c8925c5e0d773ff3c70ce3
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Mon Oct 10 07:56:33 2005 +0000

    Guard against multiple inclusions

commit 7a063304797e68b8109b2e5ac91f2458cb0c6752
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 9 21:34:51 2005 +0000

    * clearer error messages on invalid seek
    * reenable the threads prio option. Not broken, but creates annoying error messages. will look into that later.

commit 08be58ddca5bfc5dbba58928f936934d6350426b
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Sun Oct 9 21:30:08 2005 +0000

    * spelling

commit 435dc16ddc59fc18ed81f00a57dc71e5545e26cf
Author: Boris Dorès <babal@videolan.org>
Date:   Sun Oct 9 19:19:06 2005 +0000

    + src/input/decoder.c src/libvlc.h:
      - more precise message for the "force-dolby-surround" option
      - don't use -1 as a value in an integer list option (dangerous casts
        in the wxWidgets interface)
    + modules/audio_filter/converter/a52tofloat32.c:
      - option to disable the internal upmixing algorithm
    + modules/audio_filter/channel_mixer/headphone.c:
      - option to partially compensate the delay introduced by the algorithm
      - option to accept raw Dolby Surround encoded streams

commit 4dfaa7dcc54e9ff8ad683926a4dc763a319f5241
Author: Olivier Teulière <ipkiss@videolan.org>
Date:   Sun Oct 9 17:57:58 2005 +0000

     * skins2/src/dialogs.cpp: When no dialogs provider is found, the error message
       now indicates the most likely causes of the problem.

commit 8fe00082291e00d18e0b5e629b13ccd0fc4afd2c
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Oct 9 17:56:25 2005 +0000

     * ogg: fix potential invalid read with broken files (close #272)

commit c23a649aabc82abc6e707ff1dbd5e442b9a96335
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Oct 9 17:07:38 2005 +0000

     * standard: allow to use 'dst' instead of 'url' (consistant with other
     stream_out modules, warn that url is deprecated (but it is still supported),
     add wav mux autodetection.

commit 9e45d8e68a8f10ae7783bffd9ea27a5d5c9cf584
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Oct 9 17:02:59 2005 +0000

     http: removed useless debug.

commit 6c1d2ae8773975c00e04c86a5eae1dde4f54db60
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Oct 9 17:01:08 2005 +0000

     * ts: fix segfault with old dvbpsi, fix uninitialized variables
     * pes: memset header before using bits_* in DEBUG mode (to please valgrind)
     * bits: cosmetics.

commit 3b3ae4a6a5fda3ce0055fcf6e330cc49f7a20a5c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 9 16:37:26 2005 +0000

    * configure.ac: revert commit 12788 (check for wxWidgets > 2.6.0).

commit 44b45d38d405de4927148abd32287fdcd6a81dc4
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 9 16:36:17 2005 +0000

    * modules/gui/wxwidgets: fixed build when wxWidgets isn't compiled with unicode support.

commit cc6312889a361ec6141048aa911c4da9678ef3b8
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Oct 9 12:35:29 2005 +0000

    * forgot this one in [12794]

commit c5340175afc8d96555fee86b3c83eb2cde302d48
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Oct 9 12:33:44 2005 +0000

    * redesign of the about window
    - thanks to Vincent van den Heuvel <heuvel@mac.com> for the artwork
    - screenshots are available at www.aenneburghardt.de/fk/vlc/about1.jpg and *2.jpg
    - feel free to revert or modify this commit if you don't like it this way

commit 7ba0627e369b06fd404e478bab9cb0bf84eeb875
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Oct 9 12:24:43 2005 +0000

    * added the 'mpc' file extension

commit f620d69bb17c21b47505b082581c5affefd894bf
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Oct 9 12:19:45 2005 +0000

    * removed unused variable

commit d2b0eb1c12f8032c5483ac6930383a55ab8c5f0c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Oct 9 12:18:33 2005 +0000

    * added Musepack support to extras/contrib, AUTHORS, NEWS (refs #32)

commit 499cb6f593cb0c3254aac3f9ebc271ba3a4c965d
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Oct 9 11:14:41 2005 +0000

      * all: added Musepack support using libmpdec (1.2.1) from www.musepack.net.
       (It is done the ugly way : decoding take place at the demuxer but it works)

commit a93fc49af1a5ba31fdb54f7841ba3210760221ec
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sun Oct 9 11:09:06 2005 +0000

     * mp4: use ES_OUT_SET_NEXT_DISPLAY_TIME when doing a seek (avoid late
     frame).

commit c0ff0119b3d09fed4c20254939425576ed607fe3
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Oct 9 10:50:15 2005 +0000

    Force a check on wxWidgets 2.6.0 for vlc-0.8.4-test1.

commit 7b362dec4d47bbd280027e6950d73e7eaed5e84b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Oct 9 09:48:03 2005 +0000

    * modules/gui/wxwidgets/interface.cpp: restored call to SetupHotkeys(). Yes it really needs to be called twice (because of a bug in wxWidgets).

commit 841e8ab29e966f3520b78f31f24c1b55fe3f028b
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Sat Oct 8 23:06:34 2005 +0000

     * input.c: fix invalid free.

commit ff90bd9c4651e8d9c83d392fb9652eae91aa2b2a
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Oct 8 17:39:07 2005 +0000

    iface-addr -> miface-addr

commit adb18922a4d73c3698ffd5a71bb9875c509699cd
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sat Oct 8 15:35:18 2005 +0000

     * handle CDATA (as if it were TEXT)
       fixes the rss sub-filter with rss feeds using CDATA

commit 09a0098bfab17832ef58477d9f5f2dadffc63b32
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Fri Oct 7 15:07:54 2005 +0000

    split desktop icon and start menu shortcut creation (untested)

commit afdb51ad1e3fee945aac2f7f9e5f109ca2540c14
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Fri Oct 7 13:43:54 2005 +0000

    Remove unused option

commit d96df4ca4faea4872d37dd147643464082634b01
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Fri Oct 7 09:58:04 2005 +0000

    * don't use 'ps' as suffix but 'mpg' like most other apps do. 'ps' can be confused with PostScript files on the Mac. In fact, the Finder tries to open our ps-files with Preview by default.

commit 8eac36507c4ace6cead2c54349f0bc4e6cf09ddd
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 6 22:16:23 2005 +0000

     * var: create "demux" and "access" (--demux/access module works too)

commit 47d4e675cc4eeeb24e02b97ef8cbe8baf39fc3ca
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 6 22:09:24 2005 +0000

     * input: :demux=module really force module and bypass demuxer module given
    by access.
     * udp: force ts demux on payload 33 (:demux=dump will work)

commit d4c07f8d566f766845c01ec7dd51032b4267ab7e
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 6 20:24:55 2005 +0000

     * udp: Patch by Marian Durkovic:
        "I've added a bit of code to the UDP/RTP input, which assures that old
     or duplicate RTP packets are trashed. When the network performs packet
     reordering, only one discontinuity happens instead of 3 before - since
     the old packet is trashed. If multiple copies of the same packet are
     received, only one is used and all the others are trashed."

commit 8ac98153fc129313dc2af83c62d0ff44942c772d
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Oct 6 20:14:04 2005 +0000

    Patch to zcot's patch by zcot :)

commit 7d3d47c48a265585b255352808484b76c261bdd2
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Oct 6 19:40:01 2005 +0000

    * allocate o_extended only if requested by the user (that's dirty, but prevents the access of freed objects while terminating) and save the extended-prefs as early as possible in the termination-process (directly after the vout and playlist shut down)

commit 8546371b488f862b0e216a0b326957a5708f0124
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 6 19:39:15 2005 +0000

     udp: support for RTP"header extension. Patch by Zohar Lorberbaum .

commit 9b17f037003d9b90c05f555dbd97ab86bed2045f
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 6 19:19:55 2005 +0000

     * http: update meta data only on title change.

commit 7127a2d5a455b812b914091e9c46a887faafa3c6
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 6 19:15:11 2005 +0000

     * record: correct i_update field.

commit c490aa52cf056603cc37a98660d0f6567d739b3b
Author: Laurent Aimar <fenrir@videolan.org>
Date:   Thu Oct 6 19:12:22 2005 +0000

     * mp4: support for tx3g subtitle (close #332)

commit e76d87b90b46a8c911a5084017ce300c60505891
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Oct 6 18:54:01 2005 +0000

    * set autosave names

commit bb06a7fe8e7f68af8e9cd3436d555690255abaa6
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Oct 6 17:45:57 2005 +0000

    Misc WX improvements - patches by zcot
    
    * Option to have extended interface by default (Closes: #232)
    * Fix "floating" volume bar with wxMSW 2.6.X (Closes:#289)
    * Enforce minimum vertical size (Closes:#360)
    * Fix a font size problem on WX
    
    * Add him to THANKS, obviously :)

commit 8b290cc6c4472448a384ed0e4b3e6f6dd237d1d9
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Oct 6 16:45:21 2005 +0000

    * only save the affected modules (main, headphone, transform, adjust, invert, motionblur, distort, clone, crop, normvol, headphone_channel_mixer, macosx) -- thanks to zorglub for the help (closes #382)

commit 5d06ca53160769f0ecc548be0123200eb754c970
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Thu Oct 6 16:00:42 2005 +0000

    open.cpp: unicode fix for ProbeDVD, ProbeCDDA, ProbeVCD

commit ce53e8740d039e4edb4f259f9fb89e935faaccd2
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Oct 6 16:00:01 2005 +0000

    * intf.m: -make sure that objects like o_open, o_wizard, etc. get released in any case
        -trigger the extended-panel to collapse completely before saving its position
        -save the prefs, if the extended-panel changed them previously (refs #382)
    * extended.m: minor cleanups to make the stuff above possible (more cleanup needed, will follow later on)
    * extended.nib & #.m: don't let the normvol-slider become zero, but use floats from 0.1 to 10.0 only

commit 05afe6ae231568fe3428d8b47ee19f5b3276c4c9
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Thu Oct 6 15:00:50 2005 +0000

    all: support for unicode version of wxwidgets for win32, needs testing for other platform

commit c377d1bceca00fef1d314f7ca793818fa7dfa968
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Oct 5 18:44:24 2005 +0000

    * added a note about the prefs-remove-script for OSX

commit d65dad229d2bb2fc6efe06a810efd8de9acc87fc
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Oct 5 16:13:43 2005 +0000

    Document wx requirements

commit 3c60e85bf241942f5b03cda5e95a6d8f7f77a0b1
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Wed Oct 5 13:12:34 2005 +0000

    * use the ffmpeg-cvs-trunk from 09/27 and not the current one. This snap compiles finely on 10.2 and is used in the win32-port as well.

commit a93d03dafa6d4bebfe4cf016faea3533ba197ded
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Tue Oct 4 19:20:21 2005 +0000

    Fix double free error.

commit 4285aae31d1822e7e6fa5b36308df80c9d939004
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Oct 4 14:13:50 2005 +0000

    * Fix Kasenna RTSP VoD

commit e1069f1248d29dea95468778886f5b90f9d29913
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Tue Oct 4 08:32:08 2005 +0000

    #include "charset.h"
    but it should not be necessary "thanks to" the vlc_symbols.h kludge

commit b39d2937ad59c486af005ceb7eb6507de9627af3
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Oct 2 19:49:05 2005 +0000

    * this was not to be committed

commit bb63164ed7d2a8eaed855e0e526df7fbd2e22189
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Oct 2 19:47:03 2005 +0000

    * remove/disable the update-checker on OSX until 0.8.4 is out

commit 92e83955a8fcc9dd618624f24d7d32d25b9d052f
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Oct 2 19:16:12 2005 +0000

    Implemented the retrieval of the versions, files and mirrors. Both the size and the mirrors aren't displayed yet, but stored. The 'Released On'-stuff was removed, since it isn't present in the xml actually. More to come. (refs #310)

commit 508c769a8fe8e51aaca744e76877bee3332d6c17
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Oct 2 17:21:18 2005 +0000

    * marked Bonjour-service-discovery as linux only

commit 6f11d7c00b3c1f53d5f01d893268bf1f7e61d073
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Oct 2 17:20:47 2005 +0000

    * small script to move the preferences to Trash. You can change it by editing 'Delete Preferences.app/Contents/Resources/Scripts/main.scpt' in Xcode or the Script Editor. It is copied on the dmg by default. (thanks to dionoea for the idea)

commit 4411d2ba81ab0ae24ae8ef161e3df4d193bcce80
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Oct 2 16:52:52 2005 +0000

    Move UTF32 conversion to more appropriate file

commit 48827db4ac34101246fd338e19122306fcccb18d
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Oct 2 16:34:56 2005 +0000

    include charset.h is in the include path and not local

commit 2270d64161b0660c01ba7d5166a7eea08f7175fd
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Oct 2 16:34:21 2005 +0000

    Protect agains multiple includes

commit 1131285f2c02089d6460ac7e213044b9583627b1
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Oct 2 16:33:40 2005 +0000

    The include vlc_md5.h is in the include path and not local

commit beaa856a8f906d6213fae2d0af7c21046e81cde2
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Oct 2 16:33:02 2005 +0000

    The include vlc_md5.h is in the include path and not local

commit 7f76dd24d406579c26b740b0a3c81c3eefc7f1c3
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Oct 2 13:15:22 2005 +0000

     * fix signedness gcc warning

commit 2729ff69b240b15cee481cf9b72efee5da071fb5
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Oct 2 13:12:31 2005 +0000

     * fix signedness gcc warnings

commit 198220ee9b206d5a5478153333b3090548772f35
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Oct 2 13:04:25 2005 +0000

     * fix signedness gcc warnings (and remove trailing spaces)

commit 03e8df655ab8508e06af8c599791ce55f79a9871
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Sun Oct 2 13:01:47 2005 +0000

     * fix signedness gcc warning

commit 7c9e176813e0e1fe821922ff21c73a244b6679e6
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Oct 2 12:47:49 2005 +0000

    Add missing include <charset.h>

commit b50b81dbc26cc8d001400477fae9095f77c8fbda
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Oct 2 12:22:29 2005 +0000

    Fix compiler warning: 'araw.c:62: warning: static' but never defined'

commit c6ead256788ce67f32c53d6eae3f35b239c03f7f
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Oct 2 11:55:28 2005 +0000

    Fix long-standing compilation warning and unduplicate data

commit cad0bacac1b5088c0404710d30cd8adaf970e941
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Oct 2 11:36:30 2005 +0000

    For wxWidgets into so-called Unicode (actually UTF-32) mode

commit 5c46aa1185c850c9f31a744647212764c1774923
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Oct 2 11:14:57 2005 +0000

    Remove some redundant casts

commit d8e7899ddc180c294a4b70e79b2f0d42379f1a7c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Oct 2 11:14:42 2005 +0000

    Missed that file

commit ce391606d43b25da1cbc7d4d9907f804e515f358
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Oct 2 11:11:12 2005 +0000

    Add const qualifier

commit facac0f9465b4534e795b23316a214e1ba73c796
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Oct 2 11:05:45 2005 +0000

    Compile fix

commit 9f716478e6b71cf150bcc08a82ae61858cbe668a
Author: Steve Lhomme <robux@videolan.org>
Date:   Sun Oct 2 10:36:06 2005 +0000

    mkv.cpp: move back the SET_PCR to its previous location for the moment
    add some debug for the UI hooks (for menu support)

commit bbdd3d86f120181b34f30a4844e9e33a44196da2
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Oct 2 09:21:04 2005 +0000

    mb_str() doesn't work as documented (or maybe it doesn't work at all)
    so use wc_str() instead - closes #362
    
    Now it looks almost like an exerpt from The Daily WTF :(

commit 5c77525e8dce394a9cb9ea959c6604b66f82323f
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Oct 2 09:10:49 2005 +0000

    Oups minor fix

commit dab38ed79854f525b675230491590ca4ae678d5d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Oct 2 08:53:14 2005 +0000

    UTF32 to UTF8 conversion
    because the buggy GUI toolkit that sucks big time^W^W^W^W^W^W^WwxWidgets
    needs it

commit 918b5afd64c58a043b23d817b2e07ee9abff675d
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sun Oct 2 08:00:06 2005 +0000

    Fix compilation warning

commit 76d7c1bc095cbb1932c4ceed9aeea5718f1922c5
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Oct 2 07:54:03 2005 +0000

    Don't reprint messages on quit

commit 468a26f8ff5981c14f2cbe4a6793f795a0fd5734
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Oct 1 23:32:39 2005 +0000

      * src/misc/cpu.c: oops.

commit 2ff83248d38df880b8202d3360c09244dbfbe82a
Author: Sam Hocevar <sam@videolan.org>
Date:   Sat Oct 1 23:29:56 2005 +0000

      * src/misc/cpu.c: no need to push/pop %rbx before cpuid on x86_64.

commit e8b1a9f87d29b362cbb2513f66cdea0e7a430682
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sat Oct 1 13:47:58 2005 +0000

    * minor fix (capitalise string at the bottom of the pl, don't create temporary strings if you don't use stringWithFormat)

commit 7e9ec8754a4077e8c316a971591e9096c4ece536
Author: Steve Lhomme <robux@videolan.org>
Date:   Sat Oct 1 13:40:27 2005 +0000

    mkv.cpp: added option "mkv-preload-local-dir", disable when there are broken files in the same dir (eMule)

commit 58b693c9b31a54a2f5ddc32c07f1e58af9c741ab
Author: Steve Lhomme <robux@videolan.org>
Date:   Sat Oct 1 13:23:13 2005 +0000

    mkv.cpp: better timecode sent by the demuxer (doesn't seem right with native MPEG4.2)

commit 067f3c3772102dfbe7661e40666893cda6ca0047
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sat Oct 1 11:15:36 2005 +0000

    Add Install.wince in the tar

commit 9b173b2d77b32006079b4a22ea205883e97cf176
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Sat Oct 1 10:57:40 2005 +0000

    Add some sed in the package-win32 rules (closes #372)

commit 4b6fe28ab6f1457cc248c5b12d9e669fab2afe59
Author: Steve Lhomme <robux@videolan.org>
Date:   Sat Oct 1 09:58:52 2005 +0000

    avoid declaration collision on MSVC

commit 3f17fb6c1a5e380e8015ccd9d40bcbc1093c4a50
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Oct 1 08:58:10 2005 +0000

    Fix typo

commit f99ebbc215b85a5d18c379c2cd2ab243b746f031
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Fri Sep 30 19:36:22 2005 +0000

    * modules/audio_filter/resampler/bandlimited.c: re-enabled the bandlimited resampler. Commit 12102 is actually bogus since the problem is in fact created by the audio output pipeline introducing more latency than what can be compensated by the default input caching.

commit e4e839be778874b313c716ef5cccde562fe5a07a
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Fri Sep 30 17:18:45 2005 +0000

    * Cleaner url parsing

commit 76807978007211db96f6cacc0be2b6e97724457a
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Sep 30 00:05:32 2005 +0000

    * Some freetype renderer hacks as suggested by Sigmund to improve the current outline.
      Sigmund says that YUVP rendering sucks and that he wants his 256 YUVA renderer back.
      Who exactly remembers why this one was removed ???

commit b7091051a22ba3306431d5938643d0a35c00ecff
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Thu Sep 29 19:42:35 2005 +0000

    Handle correctly some more error cases

commit 5ec39eb4e4fef8465ede8fb325fe62e34ed9401c
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Sep 29 15:21:40 2005 +0000

    * The PTS/PCR repeats we test for should at least continue for 1s before we consider it to be the EOF of a QTSS VoD session.

commit daf8622dd109bb0952a8e7a3c87f73a14b558f68
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Sep 29 14:33:21 2005 +0000

    Remove trailing whitespace

commit 6882d77323bcbce9ebe38ff294dde6ae50cd38cd
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Sep 29 14:32:54 2005 +0000

    Remove trailing whitespace

commit 223dadeb3189d2288e9554d912ccfb41882ca815
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Sep 29 14:31:26 2005 +0000

    Remove trailing whitespace

commit 01400f51b2b5357039a1769dbccada2a9e8a97b2
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Sep 29 14:30:53 2005 +0000

    Remove trailing whitespace

commit d30ae7ec6aaf4b71ab60d596561757b669bf72ca
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Sep 29 14:30:26 2005 +0000

    Remove trailing whitespace

commit 34f24dcd6ceb5f13d171f3a0b56defbdf8a10c3b
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Sep 29 14:29:59 2005 +0000

    Fix compiler warning, remove unused variables

commit 810e9accee5e25309f75cfcd9873a4543385865a
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Sep 29 14:28:51 2005 +0000

    remove trailing whitespace

commit 0e79f464081441bb979427207931010ad694691a
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Sep 28 22:19:38 2005 +0000

    * forgot to handle initial pcr == 0 case

commit 8f6dd67fe5aaa18a3cbbe5ffac639548f2c6710d
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Sep 28 21:30:19 2005 +0000

    * if a PTS keeps repeating for a while we assume EOF. This fixes QTSS VoD which VLC kept open after it was finished.
      The limit i chose in Demux() is 5 loops of Demux() with the same pcr. It's based on nothing, but I assumed it was more safe then checking for a single repeat of a PTS value. That might be allowed in some cases????

commit fd6a24d13064e5e9a435ab0752db92f7d4a315b2
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Sep 28 19:36:15 2005 +0000

    Create some WinCE package target (Gibalou please review them)

commit 952caf00279ee9469ebdff5bc8d735c58e446fd3
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Sep 28 19:03:28 2005 +0000

     * trailing spaces removal (this commit is really useless)

commit 2626e234403de5ce9cc12e1c2bb4423ab767bf08
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Sep 28 19:00:42 2005 +0000

     * warning fixes

commit 6e8cb95c07595616c943fe0f9a12f0269f8309af
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Sep 28 18:56:36 2005 +0000

     * remove signedness gcc warnings (lots of cast from char * to uint8_t
       and the other way arround. Shouldn't change anything about how the
       thing is run)

commit 88466d2e280e630e0936d5cca29186e2f62667c5
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Sep 28 18:51:17 2005 +0000

    Document the access/demux://MRL format

commit 4ca51e782b95a878f82d0a04f052cbae2de18bcc
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Wed Sep 28 18:49:52 2005 +0000

     * fix signedness gcc warning

commit 673c5d8eef474bd4508b5dc5cbc957f100c73490
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Sep 28 14:57:31 2005 +0000

    * Streamming -> Streaming

commit 63796ebf1a1694ef5273e29934e46b7473352b76
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Sep 28 14:56:49 2005 +0000

    * Now uses the fullscreen variable instead of setting i_changes |= FULLSCREEN_CHANGE since this is not handled by vout filters, and variables are.

commit 16c7c7141889b674a61da67a83a470323ad6f660
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Tue Sep 27 16:18:11 2005 +0000

    * Fix a double free and the size of a memory allocation
    * Only call gnome_vfs_escape_path_string on the path part of the uri, since the functions in gnomevfs that are supposed to make the host/user/path separation are broken (they will escape passwords too)
    * Trying to open a file with http on a system with non latin1 encoding may still fail (testing welcomed).
    * Don't call gnome_vfs_make_uri_from_input_with_dirs since this will fail on a path with special caracters, but gnome_vfs_expand_initial_tilde and gnome_vfs_make_uri_from_shell_arg

commit 6064cdb5e2d13ca044d3f3934f7225d54fa0c70f
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Tue Sep 27 01:10:56 2005 +0000

    * ts.c: print Stream Identifier descriptor information

commit d650d36bfd8c64b94cf004ba5248405ebfd6809c
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Sep 26 21:46:01 2005 +0000

    THANKS and AUTHORS were converted to UTF-8

commit 67cbe1bb63d8bed3e4ff2ef56cc2516b2c1b6c21
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 26 21:00:27 2005 +0000

    * modules/demux/ogg.c: discard subtitles header packets (not sure this is the right fix though).

commit 939676ba74139bbc77479d40f01265c6e0e16b7f
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Sep 26 18:45:44 2005 +0000

     * forgot some stuff

commit 184f8666154ea24e9adc2606a09c8720dfd1d97c
Author: Antoine Cellerier <dionoea@videolan.org>
Date:   Mon Sep 26 18:34:52 2005 +0000

     * 0.8.4-test1

commit ba02e3b2f293642002367adec6c7f397c0fb1aa9
Author: Eric Petit <titer@videolan.org>
Date:   Mon Sep 26 15:03:39 2005 +0000

     beos/*: update the playlist properly

commit db913e1cc4b264b7cd6e11a6cbd52d3eef55193e
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Sep 26 10:42:11 2005 +0000

      * extras/contrib/src/Makefile: additional fix for the livedotcom snapshot.

commit be8a8e0675114f7e59cfcfe594bbae6a96cd7135
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Sep 26 10:15:44 2005 +0000

      * configure.ac: re-enabled i420_rgb_mmx on amd64.

commit b8bd65eddaff5740e51740a8f8c2b27ec39dca46
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Sep 26 10:15:02 2005 +0000

      * modules/video_chroma/i420_rgb16.c: fixed compiler warnings.

commit 3717fdfeb8aa1fcf75bec91c86554b76577f1b43
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Sep 26 10:14:46 2005 +0000

      * modules/video_chroma/i420_rgb_mmx.h: use RIP-related code on amd64.

commit e7a5c90d7e3ef015c54fff5d6cfc293ff0b6389f
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Sep 26 06:08:13 2005 +0000

      * extras/contrib/src/packages.mak: updated livedotcom location.

commit b226e524ada2b70e3c41e548640790f3d4e86630
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Sep 25 23:47:23 2005 +0000

      * debian/rules: toupétééé

commit 6c6693b16ea3372436aaf4338947f3ca68d4545b
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Sep 25 23:10:50 2005 +0000

      * debian/rules: build x264 in PIC mode whenever possible

commit 268ff7ea8eff7f6901f46c9b2e4f76b6f02c2cba
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Sep 25 18:25:57 2005 +0000

    Undo coding style fixes to make syncing with Xine code easier

commit 96537a3cc85014b867806379265bb74a6408e13e
Author: Cyril Deguet <asmax@videolan.org>
Date:   Sun Sep 25 17:10:55 2005 +0000

    * toolbox: added a --update-vc7 option to generate projects for Visual Studio .NET

commit 4974f83a76238faa404e105fd077a1e1af4ce6fd
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Sep 25 17:06:08 2005 +0000

    Another bunch of memory leaks in realrtsp plugin

commit 036c9c52326be9a14c439ffe5b7e04861779a31d
Author: Boris Dorès <babal@videolan.org>
Date:   Sun Sep 25 16:49:40 2005 +0000

    - the creation of the audio filter pipeline when specifying user audio
      channel mixers was broken (again) in 0.8.1 and 0.8.2; hopefully this
      will fix it for good, by allowing audio filters to request a specific
      format rather than imposing them an arbitrary one
    - various other small fixes in the audio output core
    - option to force detection of Dolby Surround
    - simple module to decode Dolby Surround
    - increase spatialization with two center speakers and fix channel
      order for 7.1 streams in the headphone channel mixer

commit 880f95fd6fd6cbeeb9734f0ab72bc4d77b84b273
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Sep 25 11:16:43 2005 +0000

    Fix compiler warnings

commit 0c2787f8979efcaa62345dfaee450c1c3453d906
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Sep 25 11:09:54 2005 +0000

    Compile fixes and another memory leak fix

commit 966a1503060b75e0f3c6bf957a5380f81156b58d
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Sep 25 10:14:39 2005 +0000

    Allow setting video output title under X
    Patch by Oscar Perez

commit 98988daec93e31578572efd520f651f52a0585b8
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sun Sep 25 10:10:24 2005 +0000

    Handle multicast like unicast in SAP
    I'm really sorry, I couldn't find who sent this patch. Just drop me a mail, I'll add you to the THANKS list.

commit 66f1e9dd89bb186c3d3b3ab2e925c4797b50f35f
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Sep 25 09:52:28 2005 +0000

    Fix several memory leaks and do a bit of coding style cleanup.

commit 3143ebce28c28128b3362c1b274e6129f12fa428
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sat Sep 24 16:41:23 2005 +0000

    Update my entry

commit 99938a0c641e91874d70eb64af6aa9aba280c044
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Fri Sep 23 14:01:20 2005 +0000

    * Update ffmpeg configure line

commit e975cd47d5dd2c7931b5ad1a2905148d49bfbed2
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Sep 23 13:39:26 2005 +0000

      * debian/rules: removed useless magic in the faad2/x264 build.

commit b1e57e2a4e258dca9a274c9593773737983767da
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Sep 23 12:09:46 2005 +0000

      * HA! HA! I ARE USING TEH AM_MAINTAINER_MODE!!!1!

commit 99fb54995a368caa23f87bbf7b08a2b63878c2f3
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Sep 23 11:54:46 2005 +0000

      * bravo sam.

commit 9621628b651981745a03eae33d01de34baead027
Author: Sam Hocevar <sam@videolan.org>
Date:   Fri Sep 23 11:47:52 2005 +0000

      * bootstrap: issue an error if gettextize is not present.

commit 4293db9508af6f16a574e2a8e48ab3a431fc18ab
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 22 21:23:35 2005 +0000

    * modules/control/netsync.c: compilation fix.

commit 510db00de5e518590f8a26b72c38911cb4c42d63
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 22 21:19:33 2005 +0000

    * modules/misc/network/ipv6.c: EVC compilation fixes.

commit dde1e10ebf63bb018f325b30aee12527be8639c6
Author: Eric Petit <titer@videolan.org>
Date:   Thu Sep 22 21:17:14 2005 +0000

     Fixed build on BeOS R5/BONE and Zeta

commit 694768da47c4151059dec742ae92713ec2c7adb0
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 22 21:11:38 2005 +0000

    * modules/gui/wince/dialogs.cpp: EVC compilation fix.

commit 55b636028d121e37f0b136b90b5081f74f549c6b
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 22 20:56:57 2005 +0000

    * modules/audio_filter/resampler/ugly.c: compilation fix.

commit 485b099468d90e02be0c3910f277b020da81ffbd
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 22 20:49:37 2005 +0000

    * src/stream_output/sap.c: net_Write() returns an int, not an unsigned.

commit 6df9b4eaa028449b79d22fd44cae8e39ca784617
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 22 20:48:59 2005 +0000

    * modules/access/mms/mmstu.c: use net_Write() instead of send().

commit 56f453f7af82b92dbb3ad75d0a3da68070561708
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 22 20:31:16 2005 +0000

    * src/misc/getaddrinfo.c: WinCE implementation + ipv6 support (not tested).

commit bfbe106f30c080028421c874904132705fc6d98e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 22 20:14:20 2005 +0000

    * ALL: WinCE EVC compilation fixes.

commit f3071f228b85a012125691cd524b40e4787bc972
Author: Sam Hocevar <sam@videolan.org>
Date:   Thu Sep 22 20:09:48 2005 +0000

      * configure.ac: well well... until GCC is fixed, let's disable i420_rgb_mmx
        on AMD64.

commit 9c310ce1a526d805abc86987624a8f4888b79cfd
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 22 19:40:11 2005 +0000

    * evc/vlc.vcw: plugin_id3 doesn't exist anymore.

commit 27de7cdbd47af4c5d22d23435b06ea572ecd95e2
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Thu Sep 22 19:39:38 2005 +0000

    * include/vlc_common.h: why on earth was off_t not typedefed to int64 anymore under _MSC_VER ?

commit 79654985a3bec4ac76abd4455a08659fc86c4390
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Sep 22 15:39:37 2005 +0000

     * INSTALL.win32: Added --with-sdl-config-path=/usr/win32/bin.

commit 92c873f061c85d46a2ed611d70fc394e9e66c5be
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Wed Sep 21 22:08:00 2005 +0000

    * modules/codec/x264.c: renamed analyse "all" mode to "slow" and added X264_ANALYSE_I8x8 to "all" mode.

commit 502d0a0d5afe7530820ea33a906b7f8726ec6806
Author: Christophe Mutricy <xtophe@videolan.org>
Date:   Wed Sep 21 17:11:02 2005 +0000

    Don't use Hal elsewhere than Linux

commit a7cfd908fb371302e311b5d5267498849b3ce2db
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Sep 21 10:44:17 2005 +0000

      * configure.ac: fixed typo that prevented --disable-gnomevfs from working.

commit ec4d0343dafbf2fd5ea266a000fbad3122d762d9
Author: Sam Hocevar <sam@videolan.org>
Date:   Wed Sep 21 09:53:14 2005 +0000

      * src/libvlc.c: cosmetic fix.

commit 204fe9b562a01475d2a04c1704640748a870df61
Author: Rocky Bernstein <rocky@videolan.org>
Date:   Wed Sep 21 02:15:03 2005 +0000

    In libcdio < 0.76
    
    #include <cdio/cdda.h> /* Pulls in #include <cdio/paranoia.h> */
    
    In libcdio >= 0.76
    
    #include <cdio/paranoia.h> /* Pulls in #include <cdio/cdda.h> */
    
    and
    
    #include <cdio/cdda.h>     /* These lines can be | In either order    */
    #include <cdio/paranoia.h> /* in either order    | these lines can be */
    
    So that's what we go with. See the libcdio-devel@gnu.org mailing list
    for more information on why the change in 0.76

commit b638a3dbb86e07af984eaffbeaaf23d12c7210d0
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Sep 21 01:24:48 2005 +0000

    * Autodetect the liveMedia on 10.2 special case. Note that this might break current 'sed' patch lines on existing 10.2 installs, since the correct line will be patched by those as well.

commit 661e782126cbc02d0d046b7f761dc7b898303fc2
Author: Eric Petit <titer@videolan.org>
Date:   Tue Sep 20 22:48:30 2005 +0000

     visual/effects.c: compile fix

commit 4a4a0f55059c5800101c89b55395a5807baf1eca
Author: Eric Petit <titer@videolan.org>
Date:   Tue Sep 20 20:14:48 2005 +0000

     Fixed ffmpeg BeOS cross compile on x86_64 (adapted from [12575])

commit 87f2a351f02365346cfebe849e7627f4651f3cc9
Author: Eric Petit <titer@videolan.org>
Date:   Tue Sep 20 20:03:11 2005 +0000

     speex.patch: fix build with gcc < 3

commit fe33072c40dedf095c95cf64b2cdf19e03dc31f4
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Sep 20 17:21:42 2005 +0000

      * configuer.ac: grmbl, fixed an old typo breaking the build with gcc-4.x on ppc.

commit 4e1846b316b06f1b0ee98f8a868830f1e3b6b13e
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Sep 20 13:06:26 2005 +0000

      * New Debian upload. Uses newer x264 and faad snapshots.

commit d09ccf639c3ca97c7f50dede94f309bfec328cf8
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Sep 20 12:25:03 2005 +0000

      * modules/control/http/rpn.c: don’t crash if stripslashed string ends with \

commit 274346a3bff7c8585bfcf29652341d3074fb4196
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Sep 20 09:55:29 2005 +0000

      * modules/video_chroma/i420_rgb_mmx.h: bypassed gcc-3.4's ICEs again.

commit ae7273d20f50ce62af7f7a27c86103813b0cf92d
Author: Sam Hocevar <sam@videolan.org>
Date:   Tue Sep 20 00:11:35 2005 +0000

      * modules/video_chroma/i420_rgb_mmx.h: work around a GCC 3.4.x bug.
        /* Using i586-mingw32msvc-gcc 3.4.2: */
        uint32_t i; __m64 mm0 = (__m64)(uint64_t)i;           /* ICE */
        uint32_t i; uint64_t tmp = i; __m64 mm0 = (__m64)tmp; /* OK */

commit b9730ddde01a6c1f9d0f531133292799ef5396b5
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Sep 19 21:49:27 2005 +0000

      * debian/copyright: fixed the FSF address and updated copyright.

commit 9da3197181703159274a9f63a0e5f1ecbc826801
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Sep 19 21:44:49 2005 +0000

      * modules/video_chroma/i420_rgb_mmx.h: wrote an MMX intrinsics version of
        the conversion routines. Now that we no longer use inline asm, these
        modules do not generate non-PIC code with -fPIC.

commit 31de010116bf0cf0ad0b370e7d5a990476f22b2c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 19 21:32:04 2005 +0000

    * modules/mux/ogg.c: fixed potential buffer overflow.

commit 2be34a0f51aa4cf6281ed0e1f62059cd4dea7c89
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 19 21:21:17 2005 +0000

    * modules/demux/real.c: avoid using null pts + removed debug message.

commit d1d7614168dbc3f6a689003be66c8532b6180d01
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 19 21:16:23 2005 +0000

    * modules/access/rtsp: fixed problem in BlockRead().

commit 6a1a3a70a9b893c4aadee3798d8ae721961bac1c
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 19 20:20:07 2005 +0000

    * modules/access/mms/mmstu.c: reverted broken commit.

commit dcb53b6f05371d0aa60c106370d907d1914489db
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Mon Sep 19 20:07:04 2005 +0000

    * modules/codec/realaudio.c: split the audio output buffers in chunks of 1024 samples because the audio output can't deal with big chunks.

commit aed061c78af835dfb7589f61d90ea9f92d673e65
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Sep 19 19:45:54 2005 +0000

    * fixed some other signedness-issue (thanks to Trax!)

commit b7a1564c67ea89261723b4f4c824bc476b28ae30
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Sep 19 18:30:36 2005 +0000

    * fixed some 'comparison between signed and unsigned'-warnings

commit f7d8835aca6c438ea93e7e5f01f34bd691b0633b
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Mon Sep 19 18:16:32 2005 +0000

    * fixed 2 minor compilation warnings

commit 2e1869c43526427a073d11e6651534362d7a794f
Author: Sam Hocevar <sam@videolan.org>
Date:   Mon Sep 19 16:06:04 2005 +0000

      * configure.ac: more robust check for MMX intrinsics support. GCC 4.1.0
        works, but gcc 4.0.x doesn’t build some constructs properly.
        See http://gcc.gnu.org/bugzilla/show_bug.cgi?id=23963

commit 3c49814ccedd609d9bd2eaac4fe89f805bee0529
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Sep 19 12:59:58 2005 +0000

     * modules/demux/ts.c: PID 8191 is padding.

commit 4e12f06be9b7d9fc4238e3f96ad0bb09f37c8460
Author: Christophe Massiot <massiot@videolan.org>
Date:   Mon Sep 19 12:32:57 2005 +0000

     * modules/mux/mpeg/ts.c: Detect older versions of libdvbpsi.

commit c5c70b2583bde6e2e4f546e8a2645c5b90ec039b
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Sep 18 23:13:41 2005 +0000

      * configure.ac: check for MMX intrinsics.

commit 10e3803dc315149f2cb059e504eb20186680799a
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Sep 18 23:13:04 2005 +0000

      * updated po/POTFILES.in.

commit 771b5e8ce9958ed7fe9976a68ac9b784c8a595ef
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 18 22:36:46 2005 +0000

    * modules/mux/mpeg/ts.c: disabled some broken code.

commit 71a79544ebbf17b75f721f2dd3048741da8ef99b
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Sep 18 20:14:45 2005 +0000

      * modules/access/rtsp/Modules.am: removed nonexistent file from the sources.

commit b79fc4ead7ff11cf6b9c1348f4c4aa9a96381c28
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Sun Sep 18 19:29:35 2005 +0000

    * split up hostname and following path and insert the port after the hostname (fixes #351)

commit 5fe3a4a3e7f8b76804126a370438d94cbfb98572
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 18 18:44:04 2005 +0000

    * configure.ac: compile the realaudio plugin with -DLOADER when --enable-loader is specified.

commit c284892b9bf06acca13bcb0cd1502c509296f287
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 18 17:50:43 2005 +0000

    * modules/access/rtsp/rtsp.c: win32 compilation fix.

commit 775fa8a1c8fc2041908e01ea7f12bc0bb0c22f6f
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 18 17:35:23 2005 +0000

    * modules/access/rtsp: real rtsp access module.

commit 369ccbef96b6f8420d5efa847ca8c8bfe8ae01f5
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 18 17:23:13 2005 +0000

    * modules/codec/realaudio.c: real audio (cook) decoder using real's libraries.

commit 7b9cc3cfa8c8efe987782ae7d300d9459e03c84e
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 18 16:20:24 2005 +0000

    * modules/demux/livedotcom.cpp: fixed small leak.

commit de32e7d1659d9487328b34b64fa10df3032de942
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 18 16:03:49 2005 +0000

    * modules/demux/livedotcom.cpp: do not modify p_demux->psz_path.

commit be3fe382c6d17eaa157d9bafd5de6731ed509721
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Sun Sep 18 14:42:02 2005 +0000

    * modules/demux/real.c: cleanup + added support for cook.

commit d4b1caf1cc02ad3e5c16a88eb0adf74a142dc349
Author: Sam Hocevar <sam@videolan.org>
Date:   Sun Sep 18 13:18:55 2005 +0000

      * UTF8ised files that get distributed with Debian.

commit d6a720cb351211eb36303f18340a9889223f6f7e
Author: Steve Lhomme <robux@videolan.org>
Date:   Sun Sep 18 12:58:25 2005 +0000

    misc possible buffer/resource misuse & tidy compilation

commit 95024e063319e039b91a81bf8feec736b1bac9c4
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Sep 18 10:58:25 2005 +0000

    Don't access unallocated memory

commit e616477b0571a172c98758b9c5e096d7a4b5dcd5
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Sep 18 10:06:05 2005 +0000

    Fix compiler warning about signed and unsigned comparisons

commit ef8cc37104e6db0cb6d37ab9197758c89b4bb8ae
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Sun Sep 18 10:03:10 2005 +0000

    Forward port of revision 12566: Ignore menu select|right|left|up|down when OSD Menu is not visible

commit 266e4aa0177e922ad0819982d5ed5db9fce62f10
Author: Steve Lhomme <robux@videolan.org>
Date:   Sun Sep 18 09:43:23 2005 +0000

    * wxwidgets: fix a memory leak (patch by Brian Robb)

commit 14ad9f857eea89d1fd9b34717193cf2ce92f597c
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Sep 17 15:14:34 2005 +0000

    Win32 compile fix

commit 80b10c25872f7f2dcf515c1579114d5e0b377455
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Sat Sep 17 15:00:58 2005 +0000

    * print unreachable host as an error in net_OpenTCP (refs #320)
    * don't print IPv6 unreachable warning when IPv4 works fine
    * don't attempt SOCKS negociation when TCP connection failed
    * use "%s port %d" rather than "%s:%d" because the latter is
      confusing with IPv6 adresses
    * removed trailing spaces

commit 830c44d6e890c8873b1db87b3c581bf6d1c87856
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Sep 17 14:15:32 2005 +0000

    Don't crash on items with % in name (Closes:#312)

commit ebe4a155c30713ca1d3b3b4a6842f1b0206ac82c
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Sep 17 13:29:37 2005 +0000

    Select the correct input in #display (Closes:#343)
    
    The module used FIND_ANYWHERE. The proposed patch solved the bug as a side-effect as you get the latest created input, which is the current one with the proposed patch (wait for init to signal thread as ready)

commit 59add6328988b5c6acb83d57817b7b6864730c51
Author: Clément Stenac <zorglub@videolan.org>
Date:   Sat Sep 17 12:12:54 2005 +0000

    Default to disabling screensaver under X (Closes:#253)
    Hide screensaver interface from the prefs

commit 3fba3944f2567fc1e4906271aa716c0b925b69cc
Author: Benjamin Pracht <bigben@videolan.org>
Date:   Fri Sep 16 21:19:43 2005 +0000

    added bonjour service discovery and gnomevfs access

commit bff6cc3c3ff6f6f6fe4a015f06955b6a30bffb58
Author: Eric Petit <titer@videolan.org>
Date:   Fri Sep 16 18:52:33 2005 +0000

     contrib/src/Makefile: libvorbis now supports --host, so let's use it

commit 9f7cb303821acde62bf0064ca569b2682f8025c1
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Fri Sep 16 16:13:07 2005 +0000

    dshow.cpp: make sure driver name is properly NULL terminated

commit 19313bbfdececacf005acccfb1da9d02a90084b9
Author: Damien Fouilleul <damienf@videolan.org>
Date:   Fri Sep 16 16:10:42 2005 +0000

    all: bug fixing, clean-up

commit 9131dbf7aed37302ec730be4f57a75731b31849c
Author: Sigmund Augdal Helberg <sigmunau@videolan.org>
Date:   Thu Sep 15 23:53:41 2005 +0000

    Coding style fixes and added comments

commit 5f4d054f17591cb2208e29f20429172facdf3bfc
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Thu Sep 15 22:11:01 2005 +0000

    * added x264 and live to the linux target

commit 28563cf1392a18101abb1da5c7e4241a70ce2510
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Sep 15 17:42:24 2005 +0000

    Sort-by-album patch by Pierre Marc Dumuid

commit b879e009016c67b3d242f5d2fd6b42d8278f2987
Author: Christophe Massiot <massiot@videolan.org>
Date:   Thu Sep 15 16:41:26 2005 +0000

     * modules/mux/mpeg/ts.c: Support for SDT and multiple PMTs, original
       patch courtesy of Wallace Wadge (thanks!).

commit b5a2c69e78dcc392bea1f33a465092ae5d4a050b
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Sep 15 15:36:36 2005 +0000

    * Add FMP4 FourCC. (FFMPEG MPEG-4 encoded)

commit 2cf7d632c3bbe19c69fcb3ab88d90796def6bb88
Author: Jean-Paul Saman <jpsaman@videolan.org>
Date:   Thu Sep 15 14:50:47 2005 +0000

    Forward port of revision 12559: Fix division by zero crash

commit dd48fef76925a807f9eec3334b098d19282bb044
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Sep 15 14:21:38 2005 +0000

    * Missing object release

commit 0fd33223a7445e5732fc8db2c8468233b07f8ace
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Sep 15 06:17:33 2005 +0000

    Hopefully "The Right Fix" patch for M3U parsing, by Daniel Straenger.

commit c453158be69a0a552578e194224887a5314ce8b7
Author: Clément Stenac <zorglub@videolan.org>
Date:   Thu Sep 15 06:11:07 2005 +0000

    Improve random behaviour - Patch by Daniel Straenger. Thanks !

commit 2755833faabcdcabad35f708222f651694d430c7
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Thu Sep 15 00:02:31 2005 +0000

    * Fix yet another playlist corner case

commit ee4da95172e777588a12c32a19a3b070534c9715
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Sep 14 17:24:32 2005 +0000

     * mudules/misc/network/ipv4.c: Expand output buffer size as well to avoid
       send() delays.

commit 1aa9ec3ae335aefceea29d2e275ea0d1ca050877
Author: Christophe Massiot <massiot@videolan.org>
Date:   Wed Sep 14 17:22:48 2005 +0000

     * modules/access_output/udp.c: Check send() return value.

commit 8d64e09b35b6f28ed5489162eccd1a574ca19fae
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Sep 14 15:04:37 2005 +0000

    * Better fix for [12521]. Previous fix resulted in the playlist forgetting it's position if you did a play / stop / play sequence. This is the CORRECT fix.

commit ec6dfcfe719f439d577bb08a3cdc47fb47a7412f
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Sep 14 11:56:08 2005 +0000

    * remove CDDB patch that is now applied upstream in the new libcddb version that we use.

commit 86837258a991760deb10acbf26bfb871dfe8fde5
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Sep 14 08:44:26 2005 +0000

    Check -mtune even when --with-tuning is used

commit 60b38f657070a3ce553abfb5eb59962943146ea9
Author: Rémi Denis-Courmont <rem@videolan.org>
Date:   Wed Sep 14 08:44:06 2005 +0000

    Clean up

commit b0e0bc12ee3d3333ce97f0d152387e3aac04209f
Author: Yoann Peronneau <yoann@videolan.org>
Date:   Wed Sep 14 00:43:57 2005 +0000

    * modules/gui/ncurses.c: Filebrowser enhancements:
      - sorting
      - show/hide hidden files (with '.')

commit 7a704aeaf324c3e93d80ae2a9b899d52d856b3e7
Author: Derk-Jan Hartman <hartman@videolan.org>
Date:   Wed Sep 14 00:36:41 2005 +0000

    * Fix memleaks

commit e241eb2190db1e5f470f8f210d3a96c5eca49efb
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Sep 13 23:55:44 2005 +0000

    Fortuuuuune.

commit 65df60014bf45d6ede0e99d53d7391064e72286e
Author: Christophe Massiot <massiot@videolan.org>
Date:   Tue Sep 13 22:33:49 2005 +0000

    Fortuuuuune.

commit 0cd03567e4000d667ff030e967d8d2766692683f
Author: Yoann Peronneau <yoann@videolan.org>
Date:   Tue Sep 13 22:15:00 2005 +0000

     * modules/gui/ncurses.c: use <space> in the filebrowser to add the selected directory to the playlist.

commit 50fd08c33f968d4050b63344a1765fa70ecf71ec
Author: Gildas Bazin <gbazin@videolan.org>
Date:   Tue Sep 13 22:01:20 2005 +0000

    * modules/packetizer/h264.c: small fix to annexe-b packetizer.

commit 4f9e5a30481b8a7babaeda8dbe46eea3323f3a1d
Author: Felix Paul Kühne <fkuehne@videolan.org>
Date:   Tue Sep 13 17:52:09 2005 +0000

    * whoops, fixed invalid path for MASH introduced in the last commit

